package cn.leancloud;

import cn.leancloud.AVQuery;
import cn.leancloud.core.PaasClient;
import cn.leancloud.ops.Utils;
import io.reactivex.Observable;
import java.util.Map;

public class AVCloud {
    private static boolean isProduction = true;

    public static void setProductionMode(boolean z) {
        isProduction = z;
    }

    public static boolean isProductionMode() {
        return isProduction;
    }

    public static <T> Observable<T> callFunctionInBackground(String str, Map<String, Object> map) {
        return PaasClient.getStorageClient().callFunction(str, Utils.getParsedMap(map));
    }

    public static <T> Observable<T> callFunctionWithCacheInBackground(String str, Map<String, Object> map, AVQuery.CachePolicy cachePolicy, long j) {
        return PaasClient.getStorageClient().callFunctionWithCachePolicy(str, Utils.getParsedMap(map), cachePolicy, j);
    }

    public static <T> Observable<T> callRPCInBackground(String str, Object obj) {
        return PaasClient.getStorageClient().callRPC(str, Utils.getParsedObject(obj));
    }

    public static <T> Observable<T> callRPCWithCacheInBackground(String str, Map<String, Object> map, AVQuery.CachePolicy cachePolicy, long j) {
        return PaasClient.getStorageClient().callRPCWithCachePolicy(str, Utils.getParsedMap(map), cachePolicy, j);
    }

    private AVCloud() {
    }
}
