package cn.leancloud;

import android.os.Parcel;
import android.os.Parcelable;
import cn.leancloud.utils.LogUtil;

public class AVParcelableObject implements Parcelable {
    public static final transient Parcelable.Creator<AVParcelableObject> CREATOR = AVObjectCreator.instance;
    private static final AVLogger LOGGER = LogUtil.getLogger(AVParcelableObject.class);
    private AVObject instance = null;

    public int describeContents() {
        return 0;
    }

    public AVParcelableObject(AVObject aVObject) {
        this.instance = aVObject;
    }

    public AVParcelableObject() {
    }

    public AVObject object() {
        return this.instance;
    }

    public void writeToParcel(Parcel parcel, int i) {
        String archiveContent = ArchivedRequests.getArchiveContent(this.instance, false);
        parcel.writeString(this.instance.getClassName());
        parcel.writeString(archiveContent);
        AVLogger aVLogger = LOGGER;
        aVLogger.d("writeToParcel with archivedContent: " + archiveContent);
    }

    public static class AVObjectCreator implements Parcelable.Creator<AVParcelableObject> {
        public static AVObjectCreator instance = new AVObjectCreator();

        private AVObjectCreator() {
        }

        @Override // android.os.Parcelable.Creator
        public AVParcelableObject createFromParcel(Parcel parcel) {
            String readString = parcel.readString();
            String readString2 = parcel.readString();
            AVLogger aVLogger = AVParcelableObject.LOGGER;
            aVLogger.d("createFromParcel with archivedContent: " + readString2 + ", className: " + readString);
            return new AVParcelableObject(Transformer.transform(ArchivedRequests.parseAVObject(readString2), readString));
        }

        @Override // android.os.Parcelable.Creator
        public AVParcelableObject[] newArray(int i) {
            return new AVParcelableObject[i];
        }
    }
}
