package cn.leancloud;

import cn.leancloud.annotation.AVClassName;
import com.alibaba.fastjson.annotation.JSONType;

@AVClassName(AVRole.CLASS_NAME)
@JSONType(ignores = {AVRole.ATTR_NAME, "query", AVRole.RELATION_ROLE_NAME})
public class AVRole extends AVObject {
    private static final String ATTR_NAME = "name";
    public static final String CLASS_NAME = "_Role";
    private static final String RELATION_ROLE_NAME = "roles";
    private static final String RELATION_USER_NAME = "users";
    private String name;

    public AVRole() {
        super(CLASS_NAME);
    }

    public AVRole(String str) {
        super(CLASS_NAME);
        put(ATTR_NAME, str);
    }

    public AVRole(String str, AVACL avacl) {
        this(str);
        this.acl = avacl;
    }

    public void setName(String str) {
        super.put(ATTR_NAME, str);
    }

    public String getName() {
        return getString(ATTR_NAME);
    }

    public static AVQuery<AVRole> getQuery() {
        return new AVQuery<>(CLASS_NAME);
    }

    public AVRelation getRoles() {
        return super.getRelation(RELATION_ROLE_NAME);
    }

    public AVRelation getUsers() {
        return super.getRelation(RELATION_USER_NAME);
    }
}
