package cn.leancloud.cache;

import android.content.Context;
import android.content.SharedPreferences;
import cn.leancloud.AVLogger;
import cn.leancloud.utils.LogUtil;
import java.util.Map;

public class AndroidSystemSetting implements SystemSetting {
    private static AVLogger LOGGER = LogUtil.getLogger(AndroidSystemSetting.class);
    private Context context;

    public AndroidSystemSetting(Context context2) {
        this.context = context2;
    }

    @Override // cn.leancloud.cache.SystemSetting
    public boolean getBoolean(String str, String str2, boolean z) {
        Context context2 = this.context;
        if (context2 != null) {
            return context2.getSharedPreferences(str, 0).getBoolean(str2, z);
        }
        LOGGER.w("application context is null");
        return z;
    }

    @Override // cn.leancloud.cache.SystemSetting
    public int getInteger(String str, String str2, int i) {
        Context context2 = this.context;
        if (context2 != null) {
            return context2.getSharedPreferences(str, 0).getInt(str2, i);
        }
        LOGGER.w("application context is null");
        return i;
    }

    @Override // cn.leancloud.cache.SystemSetting
    public float getFloat(String str, String str2, float f) {
        Context context2 = this.context;
        if (context2 != null) {
            return context2.getSharedPreferences(str, 0).getFloat(str2, f);
        }
        LOGGER.w("application context is null");
        return f;
    }

    @Override // cn.leancloud.cache.SystemSetting
    public long getLong(String str, String str2, long j) {
        Context context2 = this.context;
        if (context2 != null) {
            return context2.getSharedPreferences(str, 0).getLong(str2, j);
        }
        LOGGER.w("application context is null");
        return j;
    }

    @Override // cn.leancloud.cache.SystemSetting
    public String getString(String str, String str2, String str3) {
        Context context2 = this.context;
        if (context2 != null) {
            return context2.getSharedPreferences(str, 0).getString(str2, str3);
        }
        LOGGER.w("application context is null");
        return str3;
    }

    @Override // cn.leancloud.cache.SystemSetting
    public Map<String, Object> getAll(String str) {
        Context context2 = this.context;
        if (context2 == null) {
            return null;
        }
        return context2.getSharedPreferences(str, 0).getAll();
    }

    @Override // cn.leancloud.cache.SystemSetting
    public void saveBoolean(String str, String str2, boolean z) {
        Context context2 = this.context;
        if (context2 == null) {
            LOGGER.w("application context is null");
            return;
        }
        SharedPreferences.Editor edit = context2.getSharedPreferences(str, 0).edit();
        edit.putBoolean(str2, z);
        edit.apply();
    }

    @Override // cn.leancloud.cache.SystemSetting
    public void saveInteger(String str, String str2, int i) {
        Context context2 = this.context;
        if (context2 == null) {
            LOGGER.w("application context is null");
            return;
        }
        SharedPreferences.Editor edit = context2.getSharedPreferences(str, 0).edit();
        edit.putInt(str2, i);
        edit.apply();
    }

    @Override // cn.leancloud.cache.SystemSetting
    public void saveFloat(String str, String str2, float f) {
        Context context2 = this.context;
        if (context2 == null) {
            LOGGER.w("application context is null");
            return;
        }
        SharedPreferences.Editor edit = context2.getSharedPreferences(str, 0).edit();
        edit.putFloat(str2, f);
        edit.apply();
    }

    @Override // cn.leancloud.cache.SystemSetting
    public void saveLong(String str, String str2, long j) {
        Context context2 = this.context;
        if (context2 == null) {
            LOGGER.w("application context is null");
            return;
        }
        SharedPreferences.Editor edit = context2.getSharedPreferences(str, 0).edit();
        edit.putLong(str2, j);
        edit.apply();
    }

    @Override // cn.leancloud.cache.SystemSetting
    public void saveString(String str, String str2, String str3) {
        Context context2 = this.context;
        if (context2 == null) {
            LOGGER.w("application context is null");
            return;
        }
        SharedPreferences.Editor edit = context2.getSharedPreferences(str, 0).edit();
        edit.putString(str2, str3);
        edit.apply();
    }

    @Override // cn.leancloud.cache.SystemSetting
    public void removeKey(String str, String str2) {
        Context context2 = this.context;
        if (context2 == null) {
            LOGGER.w("application context is null");
            return;
        }
        SharedPreferences.Editor edit = context2.getSharedPreferences(str, 0).edit();
        edit.remove(str2);
        edit.apply();
    }

    @Override // cn.leancloud.cache.SystemSetting
    public void removeKeyZone(String str) {
        Context context2 = this.context;
        if (context2 == null) {
            LOGGER.w("application context is null");
            return;
        }
        SharedPreferences.Editor edit = context2.getSharedPreferences(str, 0).edit();
        edit.clear();
        edit.apply();
    }
}
