package cn.leancloud.cache;

import java.util.Collections;
import java.util.Map;
import java.util.WeakHashMap;

public class LastModifyCache {
    private static LastModifyCache INSTANCE;
    private boolean lastModifyEnabled = false;
    private Map<String, String> lastModifyMap = Collections.synchronizedMap(new WeakHashMap());

    public static synchronized LastModifyCache getInstance() {
        LastModifyCache lastModifyCache;
        synchronized (LastModifyCache.class) {
            if (INSTANCE == null) {
                INSTANCE = new LastModifyCache();
            }
            lastModifyCache = INSTANCE;
        }
        return lastModifyCache;
    }

    private LastModifyCache() {
    }

    public boolean isLastModifyEnabled() {
        return this.lastModifyEnabled;
    }

    public void setLastModifyEnabled(boolean z) {
        this.lastModifyEnabled = z;
    }
}
