package cn.leancloud.callback;

import cn.leancloud.AVException;
import cn.leancloud.AVObject;

public abstract class GenericObjectCallback {
    public boolean isRequestStatisticNeed() {
        return true;
    }

    public boolean isRetryNeeded(int i, Throwable th) {
        return false;
    }

    public void onFailure(Throwable th, String str) {
    }

    public void onGroupRequestFinished(int i, int i2, AVObject aVObject) {
    }

    public void onSuccess(String str, AVException aVException) {
    }

    public void retry(Throwable th, String str) {
    }

    public void onFailure(int i, Throwable th, String str) {
        if (isRetryNeeded(i, th)) {
            retry(th, str);
        } else {
            onFailure(th, str);
        }
    }
}
