package cn.leancloud.callback;

import cn.leancloud.AVException;

abstract class GenericRetryCallback extends GenericObjectCallback {
    GenericObjectCallback callback;

    public GenericRetryCallback(GenericObjectCallback genericObjectCallback) {
        this.callback = genericObjectCallback;
    }

    @Override // cn.leancloud.callback.GenericObjectCallback
    public void onSuccess(String str, AVException aVException) {
        GenericObjectCallback genericObjectCallback = this.callback;
        if (genericObjectCallback != null) {
            genericObjectCallback.onSuccess(str, aVException);
        }
    }

    @Override // cn.leancloud.callback.GenericObjectCallback
    public void onFailure(Throwable th, String str) {
        GenericObjectCallback genericObjectCallback = this.callback;
        if (genericObjectCallback != null) {
            genericObjectCallback.onFailure(th, str);
        }
    }

    @Override // cn.leancloud.callback.GenericObjectCallback
    public boolean isRequestStatisticNeed() {
        return this.callback.isRequestStatisticNeed();
    }
}
