package cn.leancloud.codec;

import cn.leancloud.AVLogger;
import cn.leancloud.utils.LogUtil;
import com.umeng.commonsdk.proguard.ar;
import java.security.InvalidAlgorithmParameterException;
import java.security.InvalidKeyException;
import java.security.NoSuchAlgorithmException;
import java.security.spec.InvalidKeySpecException;
import javax.crypto.BadPaddingException;
import javax.crypto.Cipher;
import javax.crypto.IllegalBlockSizeException;
import javax.crypto.NoSuchPaddingException;
import javax.crypto.SecretKey;
import javax.crypto.SecretKeyFactory;
import javax.crypto.spec.IvParameterSpec;
import javax.crypto.spec.PBEKeySpec;
import javax.crypto.spec.SecretKeySpec;

public class AES {
    private static final String CIPHERMODEPADDING = "AES/CBC/PKCS7Padding";
    private static final int HASH_ITERATIONS = 10000;
    private static final String KEY_GENERATION_ALG = "PBKDF2WithHmacSHA1";
    private static final int KEY_LENGTH = 256;
    private static final AVLogger Log = LogUtil.getLogger(AES.class);
    private IvParameterSpec IV;
    private char[] humanPassphrase = "QxciDjdHjuAIf8VCsqhmGK3OZV7pBQTZ".toCharArray();
    private byte[] iv = {10, 1, 11, 5, 4, ar.m, 7, 9, 23, 3, 1, 6, 8, 12, ar.k, 91};
    private SecretKeyFactory keyfactory = null;
    private PBEKeySpec myKeyspec = new PBEKeySpec(this.humanPassphrase, this.salt, HASH_ITERATIONS, 256);
    private byte[] salt = {0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, ar.k, ar.l, ar.m};
    private SecretKey sk = null;
    private SecretKeySpec skforAES = null;

    public AES() {
        try {
            SecretKeyFactory instance = SecretKeyFactory.getInstance(KEY_GENERATION_ALG);
            this.keyfactory = instance;
            this.sk = instance.generateSecret(this.myKeyspec);
        } catch (NoSuchAlgorithmException unused) {
            Log.e("no key factory support for PBEWITHSHAANDTWOFISH-CBC");
        } catch (InvalidKeySpecException unused2) {
            Log.e("invalid key spec for PBEWITHSHAANDTWOFISH-CBC");
        }
        this.skforAES = new SecretKeySpec(this.sk.getEncoded(), "AES");
        this.IV = new IvParameterSpec(this.iv);
    }

    public String encrypt(byte[] bArr) {
        return Base64Encoder.encode(encrypt(CIPHERMODEPADDING, this.skforAES, this.IV, bArr));
    }

    public String decrypt(String str) {
        return new String(decrypt(CIPHERMODEPADDING, this.skforAES, this.IV, Base64Decoder.decodeToBytes(str)));
    }

    private byte[] addPadding(byte[] bArr) {
        int i = 16;
        int length = 16 - (bArr.length % 16);
        if (length != 0) {
            i = length;
        }
        byte[] bArr2 = new byte[(bArr.length + i)];
        for (int i2 = 0; i2 < bArr.length; i2++) {
            bArr2[i2] = bArr[i2];
        }
        for (int length2 = bArr.length; length2 < bArr.length + i; length2++) {
            bArr2[length2] = (byte) i;
        }
        return bArr2;
    }

    private byte[] dropPadding(byte[] bArr) {
        int length = bArr.length - bArr[bArr.length - 1];
        byte[] bArr2 = new byte[length];
        for (int i = 0; i < length; i++) {
            bArr2[i] = bArr[i];
            bArr[i] = 0;
        }
        return bArr2;
    }

    private byte[] encrypt(String str, SecretKey secretKey, IvParameterSpec ivParameterSpec, byte[] bArr) {
        try {
            Cipher instance = Cipher.getInstance(str);
            instance.init(1, secretKey, ivParameterSpec);
            return instance.doFinal(bArr);
        } catch (NoSuchAlgorithmException unused) {
            AVLogger aVLogger = Log;
            aVLogger.e("no cipher getinstance support for " + str);
            return null;
        } catch (NoSuchPaddingException unused2) {
            AVLogger aVLogger2 = Log;
            aVLogger2.e("no cipher getinstance support for padding " + str);
            return null;
        } catch (InvalidKeyException unused3) {
            Log.e("invalid key exception");
            return null;
        } catch (InvalidAlgorithmParameterException unused4) {
            Log.e("invalid algorithm parameter exception");
            return null;
        } catch (IllegalBlockSizeException unused5) {
            Log.e("illegal block size exception");
            return null;
        } catch (BadPaddingException unused6) {
            Log.e("bad padding exception");
            return null;
        }
    }

    private byte[] decrypt(String str, SecretKey secretKey, IvParameterSpec ivParameterSpec, byte[] bArr) {
        try {
            Cipher instance = Cipher.getInstance(str);
            instance.init(2, secretKey, ivParameterSpec);
            return instance.doFinal(bArr);
        } catch (NoSuchAlgorithmException unused) {
            AVLogger aVLogger = Log;
            aVLogger.e("no cipher getinstance support for " + str);
            return null;
        } catch (NoSuchPaddingException unused2) {
            AVLogger aVLogger2 = Log;
            aVLogger2.e("no cipher getinstance support for padding " + str);
            return null;
        } catch (InvalidKeyException unused3) {
            Log.e("invalid key exception");
            return null;
        } catch (InvalidAlgorithmParameterException unused4) {
            Log.e("invalid algorithm parameter exception");
            return null;
        } catch (IllegalBlockSizeException unused5) {
            Log.e("illegal block size exception");
            return null;
        } catch (BadPaddingException unused6) {
            Log.e("bad padding exception");
            return null;
        }
    }
}
