package cn.leancloud.codec;

import cn.leancloud.cache.PersistenceUtil;
import java.io.File;
import java.io.IOException;
import java.io.InputStream;
import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;
import kotlin.UByte;

public class MD5 {
    private static final int MAX_FILE_BUF_SIZE = 2097152;
    private MessageDigest mdInstance = null;

    public static String computeMD5(String str) {
        if (str == null) {
            return null;
        }
        return computeMD5(str.getBytes());
    }

    public static String computeMD5(byte[] bArr) {
        if (bArr == null) {
            return null;
        }
        try {
            MessageDigest instance = MessageDigest.getInstance("MD5");
            instance.update(bArr, 0, bArr.length);
            return hexEncodeBytes(instance.digest());
        } catch (NoSuchAlgorithmException e) {
            throw new RuntimeException(e);
        }
    }

    public static String computeFileMD5(File file) {
        if (file == null || !file.exists() || !file.isFile()) {
            return null;
        }
        try {
            MessageDigest instance = MessageDigest.getInstance("MD5");
            InputStream inputStreamFromFile = PersistenceUtil.getInputStreamFromFile(file);
            if (inputStreamFromFile == null) {
                return null;
            }
            byte[] bArr = new byte[2097152];
            while (true) {
                int read = inputStreamFromFile.read(bArr);
                if (read != -1) {
                    instance.update(bArr, 0, read);
                } else {
                    String hexEncodeBytes = hexEncodeBytes(instance.digest());
                    inputStreamFromFile.close();
                    return hexEncodeBytes;
                }
            }
        } catch (IOException | NoSuchAlgorithmException unused) {
            return null;
        }
    }

    public static String hexEncodeBytes(byte[] bArr) {
        if (bArr == null) {
            return "";
        }
        StringBuffer stringBuffer = new StringBuffer();
        for (byte b : bArr) {
            String hexString = Integer.toHexString(b & UByte.MAX_VALUE);
            if (hexString.length() == 1) {
                stringBuffer.append('0');
            }
            stringBuffer.append(hexString);
        }
        return stringBuffer.toString();
    }

    public static MD5 getInstance() {
        return new MD5();
    }

    private MD5() {
        try {
            this.mdInstance = MessageDigest.getInstance("MD5");
        } catch (NoSuchAlgorithmException unused) {
        }
    }

    public boolean prepare() {
        MessageDigest messageDigest = this.mdInstance;
        if (messageDigest == null) {
            return false;
        }
        messageDigest.reset();
        return true;
    }

    public void update(byte[] bArr, int i, int i2) {
        MessageDigest messageDigest = this.mdInstance;
        if (messageDigest != null) {
            messageDigest.update(bArr, i, i2);
        }
    }

    public byte[] digest() {
        MessageDigest messageDigest = this.mdInstance;
        if (messageDigest != null) {
            return messageDigest.digest();
        }
        return null;
    }
}
