package cn.leancloud.core;

import cn.leancloud.codec.MD5;
import cn.leancloud.utils.AVUtils;
import cn.leancloud.utils.StringUtil;

public class GeneralRequestSignature implements RequestSignature {
    private static String masterKey = null;
    private static boolean useMasterKey = false;

    @Override // cn.leancloud.core.RequestSignature
    public String generateSign() {
        return requestSign(AVUtils.getCurrentTimestamp(), isUseMasterKey());
    }

    public static String requestSign(String str, long j, String str2) {
        StringBuilder sb = new StringBuilder();
        StringBuilder sb2 = new StringBuilder();
        sb.append(j);
        sb.append(str);
        sb2.append(MD5.computeMD5(sb.toString()).toLowerCase());
        sb2.append(',');
        sb2.append(j);
        if (str2 != null) {
            sb2.append(',');
            sb2.append(str2);
        }
        return sb2.toString();
    }

    public static String requestSign(long j, boolean z) {
        String applicationKey = AVOSCloud.getApplicationKey();
        if (z) {
            applicationKey = masterKey;
        }
        return requestSign(applicationKey, j, z ? "master" : null);
    }

    public static void setMasterKey(String str) {
        if (!StringUtil.isEmpty(str)) {
            masterKey = str;
            useMasterKey = true;
            return;
        }
        useMasterKey = false;
        masterKey = null;
    }

    protected static boolean isUseMasterKey() {
        return useMasterKey;
    }
}
