package cn.leancloud.logging;

import cn.leancloud.core.AVOSCloud;
import cn.leancloud.utils.StringUtil;
import java.util.logging.ConsoleHandler;
import java.util.logging.Level;
import java.util.logging.Logger;

public class SimpleLoggerAdapter extends InternalLoggerAdapter {
    private static ConsoleHandler consoleHandler;

    static {
        ConsoleHandler consoleHandler2 = new ConsoleHandler();
        consoleHandler = consoleHandler2;
        consoleHandler2.setLevel(Level.ALL);
    }

    @Override // cn.leancloud.logging.InternalLoggerAdapter
    public InternalLogger getLogger(String str) {
        Logger anonymousLogger = StringUtil.isEmpty(str) ? Logger.getAnonymousLogger() : Logger.getLogger(str);
        anonymousLogger.addHandler(consoleHandler);
        SimpleLogger simpleLogger = new SimpleLogger(anonymousLogger);
        simpleLogger.setLevel(AVOSCloud.getLogLevel());
        return simpleLogger;
    }
}
