package cn.leancloud.ops;

import cn.leancloud.AVLogger;
import com.alibaba.fastjson.JSONArray;
import java.util.ArrayList;
import java.util.Collection;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class AddRelationOperation extends BaseOperation {
    public AddRelationOperation(String str, Object obj) {
        super("AddRelation", str, null, false);
        this.value = new ArrayList();
        if (obj != null) {
            if (!(obj instanceof Collection)) {
                ((List) this.value).add(obj);
            } else {
                ((List) this.value).addAll((Collection) obj);
            }
        }
    }

    @Override // cn.leancloud.ops.BaseOperation, cn.leancloud.ops.ObjectFieldOperation
    public Object apply(Object obj) {
        if (obj == null) {
            return getValue();
        }
        if (!(obj instanceof List) && !(obj instanceof JSONArray)) {
            AVLogger aVLogger = LOGGER;
            aVLogger.w("cannot apply AddRelationOperation on non list attribute. targetValueType=" + obj.getClass().getSimpleName());
        } else if (this.value instanceof List) {
            ((Collection) obj).addAll((List) this.value);
        } else {
            ((Collection) obj).add(this.value);
        }
        return obj;
    }

    /* access modifiers changed from: protected */
    @Override // cn.leancloud.ops.BaseOperation
    public ObjectFieldOperation mergeWithPrevious(ObjectFieldOperation objectFieldOperation) {
        if ((objectFieldOperation instanceof SetOperation) || (objectFieldOperation instanceof DeleteOperation)) {
            return objectFieldOperation;
        }
        if (objectFieldOperation instanceof AddRelationOperation) {
            this.value = concatCollections(this.value, ((AddRelationOperation) objectFieldOperation).value);
            return this;
        } else if (objectFieldOperation instanceof RemoveRelationOperation) {
            return new CompoundOperation(this.field, objectFieldOperation, this);
        } else if (objectFieldOperation instanceof CompoundOperation) {
            return ((CompoundOperation) objectFieldOperation).mergeWithPrevious(this);
        } else {
            reportIllegalOperations(this, objectFieldOperation);
            return NullOperation.gInstance;
        }
    }

    @Override // cn.leancloud.ops.BaseOperation, cn.leancloud.ops.ObjectFieldOperation
    public Map<String, Object> encode() {
        HashMap hashMap = new HashMap();
        hashMap.put("__op", getOperation());
        hashMap.put("objects", encodeObject(getValue()));
        HashMap hashMap2 = new HashMap();
        hashMap2.put(getField(), hashMap);
        return hashMap2;
    }
}
