package cn.leancloud.sms;

import cn.leancloud.core.PaasClient;
import cn.leancloud.utils.StringUtil;
import io.reactivex.Observable;

public class AVCaptcha {
    public static Observable<AVCaptchaDigest> requestCaptchaInBackground(AVCaptchaOption aVCaptchaOption) {
        if (aVCaptchaOption != null) {
            return PaasClient.getStorageClient().requestCaptcha(aVCaptchaOption);
        }
        throw new IllegalArgumentException("option is null");
    }

    public static Observable<AVCaptchaValidateResult> verifyCaptchaCodeInBackground(String str, AVCaptchaDigest aVCaptchaDigest) {
        if (StringUtil.isEmpty(str)) {
            throw new IllegalArgumentException("captcha code is empty");
        } else if (aVCaptchaDigest != null) {
            return PaasClient.getStorageClient().verifyCaptcha(str, aVCaptchaDigest.getCaptchaToken());
        } else {
            throw new IllegalArgumentException("captcha digest is null");
        }
    }
}
