package cn.leancloud.sms;

import cn.leancloud.core.PaasClient;
import cn.leancloud.types.AVNull;
import cn.leancloud.utils.StringUtil;
import io.reactivex.Observable;
import java.util.regex.Pattern;

public class AVSMS {
    static Pattern phoneNumPattern = Pattern.compile("^[1+]\\d+$");

    public enum TYPE {
        VOICE_SMS("voice"),
        TEXT_SMS("sms");
        
        private String name;

        private TYPE(String str) {
            this.name = str;
        }

        public String toString() {
            return this.name;
        }
    }

    public static boolean checkMobilePhoneNumber(String str) {
        return phoneNumPattern.matcher(str).find();
    }

    public static Observable<AVNull> requestSMSCodeInBackground(String str, AVSMSOption aVSMSOption) {
        if (StringUtil.isEmpty(str) || !checkMobilePhoneNumber(str)) {
            return Observable.error(new IllegalArgumentException("mobile phone number is empty or invalid"));
        }
        if (aVSMSOption == null) {
            return Observable.error(new IllegalArgumentException("smsOption is null"));
        }
        return PaasClient.getStorageClient().requestSMSCode(str, aVSMSOption.getOptionMap());
    }

    public static Observable<AVNull> verifySMSCodeInBackground(String str, String str2) {
        if (StringUtil.isEmpty(str) || StringUtil.isEmpty(str2)) {
            return Observable.error(new IllegalArgumentException("code or mobilePhone is empty"));
        }
        return PaasClient.getStorageClient().verifySMSCode(str, str2);
    }
}
