package cn.leancloud.types;

import cn.leancloud.utils.StringUtil;
import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.annotation.JSONType;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.TimeZone;

@JSONType
public class AVDate {
    public static final String DEFAULT_FORMAT = "yyyy-MM-dd'T'HH:mm:ss.SSS'Z'";
    private static final ThreadLocal<SimpleDateFormat> THREAD_LOCAL_DATE_FORMAT = new ThreadLocal<>();
    private String iso = "";
    @JSONField(name = "__type")
    private String type = "Date";

    public AVDate() {
    }

    public AVDate(JSONObject jSONObject) {
        if (jSONObject != null) {
            this.iso = jSONObject.getString("iso");
        }
    }

    public Date getDate() {
        ThreadLocal<SimpleDateFormat> threadLocal = THREAD_LOCAL_DATE_FORMAT;
        SimpleDateFormat simpleDateFormat = threadLocal.get();
        if (simpleDateFormat == null) {
            simpleDateFormat = new SimpleDateFormat(DEFAULT_FORMAT);
            simpleDateFormat.setTimeZone(TimeZone.getTimeZone("UTC"));
            threadLocal.set(simpleDateFormat);
        }
        if (StringUtil.isEmpty(this.iso)) {
            return null;
        }
        try {
            return simpleDateFormat.parse(this.iso);
        } catch (ParseException unused) {
            return null;
        }
    }

    public AVDate(String str) {
        this.iso = str;
    }

    public String getType() {
        return this.type;
    }

    public void setType(String str) {
        this.type = str;
    }

    public String getIso() {
        return this.iso;
    }

    public void setIso(String str) {
        this.iso = str;
    }

    public String jsonString() {
        return JSON.toJSONString(this);
    }
}
