package cn.leancloud.types;

import cn.leancloud.utils.AVUtils;
import com.alibaba.fastjson.annotation.JSONType;

@JSONType
public class AVGeoPoint {
    static double ONE_KM_TO_MILES = 1.609344d;
    private double latitude;
    private double longitude;

    public AVGeoPoint() {
        this.latitude = 0.0d;
        this.longitude = 0.0d;
    }

    public AVGeoPoint(double d, double d2) {
        this.latitude = d;
        this.longitude = d2;
    }

    public double getLatitude() {
        return this.latitude;
    }

    public void setLatitude(double d) {
        this.latitude = d;
    }

    public double getLongitude() {
        return this.longitude;
    }

    public void setLongitude(double d) {
        this.longitude = d;
    }

    public double distanceInKilometersTo(AVGeoPoint aVGeoPoint) {
        if (aVGeoPoint == null) {
            return 0.0d;
        }
        return AVUtils.distance(this.latitude, aVGeoPoint.latitude, this.longitude, aVGeoPoint.longitude, 0.0d, 0.0d);
    }

    public double distanceInMilesTo(AVGeoPoint aVGeoPoint) {
        return distanceInKilometersTo(aVGeoPoint) / ONE_KM_TO_MILES;
    }

    public double distanceInRadiansTo(AVGeoPoint aVGeoPoint) {
        return distanceInKilometersTo(aVGeoPoint) / 6378.14d;
    }
}
