package cn.leancloud.utils;

import cn.leancloud.utils.FileUtil;
import java.io.File;
import java.nio.file.Files;

public class DefaultMimeTypeDetector implements FileUtil.MimeTypeDetector {
    @Override // cn.leancloud.utils.FileUtil.MimeTypeDetector
    public String getMimeTypeFromUrl(String str) {
        if (StringUtil.isEmpty(str)) {
            return "";
        }
        int lastIndexOf = str.lastIndexOf(35);
        if (lastIndexOf > 0) {
            str = str.substring(0, lastIndexOf);
        }
        int lastIndexOf2 = str.lastIndexOf(63);
        if (lastIndexOf2 > 0) {
            str = str.substring(0, lastIndexOf2);
        }
        int lastIndexOf3 = str.lastIndexOf(47);
        if (lastIndexOf3 >= 0) {
            str = str.substring(lastIndexOf3 + 1);
        }
        return getMimeTypeFromExtension(FileUtil.getExtensionFromFilename(str));
    }

    @Override // cn.leancloud.utils.FileUtil.MimeTypeDetector
    public String getMimeTypeFromPath(String str) {
        try {
            return Files.probeContentType(new File(str).toPath());
        } catch (Exception unused) {
            return "";
        }
    }

    @Override // cn.leancloud.utils.FileUtil.MimeTypeDetector
    public String getMimeTypeFromExtension(String str) {
        if (StringUtil.isEmpty(str)) {
            return "";
        }
        return MimeUtils.guessMimeTypeFromExtension(str);
    }
}
