package cn.leancloud.utils;

import cn.leancloud.AVException;
import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.umeng.analytics.pro.b;
import java.io.IOException;
import retrofit2.HttpException;
import retrofit2.Response;

public class ErrorUtils {
    public static AVException propagateException(String str) {
        try {
            JSONObject parseObject = JSON.parseObject(str);
            return new AVException(parseObject.getIntValue("code"), parseObject.getString(b.J));
        } catch (Exception unused) {
            return new AVException((int) AVException.UNKNOWN, str);
        }
    }

    public static AVException propagateException(Throwable th) {
        Response<?> response;
        if (th == null) {
            return null;
        }
        if (th instanceof HttpException) {
            HttpException httpException = (HttpException) th;
            if (!(httpException.response() == null || (response = httpException.response()) == null || response.errorBody() == null)) {
                try {
                    return propagateException(response.errorBody().string());
                } catch (IOException unused) {
                }
            }
        }
        return new AVException((int) AVException.UNKNOWN, th.getMessage());
    }

    public static AVException propagateException(int i, String str) {
        return new AVException(i, str);
    }

    public static AVException sessionMissingException() {
        return propagateException(AVException.SESSION_MISSING, "No valid session token, make sure signUp or login has been called.");
    }

    public static AVException illegalArgument(String str) {
        return propagateException(AVException.INVALID_PARAMETER, str);
    }

    public static AVException invalidObjectIdException() {
        return propagateException(104, "Invalid object id.");
    }

    public static AVException invalidStateException() {
        return propagateException(AVException.INVALID_STATE, "Invalid State Exception.");
    }

    public static AVException invalidStateException(String str) {
        return propagateException(AVException.INVALID_STATE, str);
    }
}
