package cn.leancloud.utils;

import cn.leancloud.AVLogger;
import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;

public class LogUtil {
    private static Map<String, AVLogger> loggerCache = new ConcurrentHashMap();

    public static AVLogger getLogger(Class cls) {
        if (cls == null) {
            return null;
        }
        if (loggerCache.containsKey(cls.getCanonicalName())) {
            return loggerCache.get(cls.getCanonicalName());
        }
        AVLogger aVLogger = new AVLogger(cls.getSimpleName());
        loggerCache.put(cls.getCanonicalName(), aVLogger);
        return aVLogger;
    }
}
