package com.jiazheng.app.base;

import android.app.Application;
import androidx.lifecycle.AndroidViewModel;
import com.jiazheng.app.base.BaseModel;
import com.trello.rxlifecycle2.LifecycleTransformer;
import java.util.ArrayList;

public class BaseViewModel<T extends BaseModel> extends AndroidViewModel {
    private ArrayList<String> onNetTags;
    private T repository;

    public BaseViewModel(Application application) {
        super(application);
        createRepository();
        ArrayList<String> arrayList = new ArrayList<>();
        this.onNetTags = arrayList;
        this.repository.setOnNetTags(arrayList);
    }

    public void setObjectLifecycleTransformer(LifecycleTransformer lifecycleTransformer) {
        T t = this.repository;
        if (t != null) {
            t.setObjectLifecycleTransformer(lifecycleTransformer);
        }
    }

    private void createRepository() {
        if (this.repository == null) {
            this.repository = new RepositoryImpl();
        }
    }

    public T getRepository() {
        return this.repository;
    }
}
