package com.jiazheng.app.ui.activity;

import android.content.Intent;
import android.text.Html;
import android.text.TextUtils;
import android.view.View;
import com.jiazheng.app.base.MyApplication;
import com.jiazheng.app.base.NormalViewModel;
import com.jiazheng.app.dao.OrderInfo;
import com.jiazheng.app.entity.AddressEntity;
import com.jiazheng.app.entity.OrderEvent;
import com.jiazheng.app.entity.TimeItemEntity;
import com.jiazheng.app.ui.base.BaseActivity;
import com.jiazheng.app.utils.PreferenceUtil;
import com.jiazheng.app.utils.ToastUtils;
import com.weideapp.yufeng.R;
import in.jiazheng.app.databinding.ActivityCreateOrderBinding;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;
import java.util.Locale;
import java.util.Random;
import org.greenrobot.eventbus.EventBus;

public class CreateOrderActivity extends BaseActivity<NormalViewModel, ActivityCreateOrderBinding> implements View.OnClickListener {
    private AddressEntity extra;
    private TimeItemEntity extra2;

    /* access modifiers changed from: protected */
    @Override // com.jiazheng.app.ui.base.BaseActivity
    public int getContentViewId() {
        return R.layout.activity_create_order;
    }

    /* access modifiers changed from: protected */
    @Override // com.jiazheng.app.ui.base.BaseActivity
    public void setListener() {
        ((ActivityCreateOrderBinding) this.dataBinding).setOnClickListener(this);
    }

    /* access modifiers changed from: protected */
    @Override // com.jiazheng.app.ui.base.BaseActivity
    public void processLogic() {
        ((ActivityCreateOrderBinding) this.dataBinding).tvType.setText(getIntent().getStringExtra("title"));
    }

    public void onClick(View view) {
        int id = view.getId();
        if (id == R.id.leftBack) {
            finish();
        } else if (id == R.id.tvAddress) {
            Intent intent = new Intent(this, MyAddressActivity.class);
            intent.putExtra("openType", 1);
            startActivityForResult(intent, 101);
        } else if (id == R.id.tvDate) {
            startActivityForResult(new Intent(this, SelectDateActivity.class), 102);
        } else if (id == R.id.btnYuyue) {
            String trim = ((ActivityCreateOrderBinding) this.dataBinding).tvAddress.getText().toString().trim();
            if (trim.contains("请选择")) {
                ToastUtils.showToast("请选择地址");
            } else if (TextUtils.isEmpty(((ActivityCreateOrderBinding) this.dataBinding).et4.getText().toString().trim())) {
                ToastUtils.showToast("请输入服务数量");
            } else {
                String trim2 = ((ActivityCreateOrderBinding) this.dataBinding).tvDate.getText().toString().trim();
                if (trim2.contains("选择")) {
                    ToastUtils.showToast("请选择地址");
                    return;
                }
                String trim3 = ((ActivityCreateOrderBinding) this.dataBinding).tvType.getText().toString().trim();
                String trim4 = ((ActivityCreateOrderBinding) this.dataBinding).etRemark.getText().toString().trim();
                OrderInfo orderInfo = new OrderInfo();
                orderInfo.setOrderId("J" + getOrderNum());
                orderInfo.setRecycleType(trim3);
                orderInfo.setOrderStatus("进行中");
                orderInfo.setSTime(trim2);
                orderInfo.setRemark(trim4);
                orderInfo.setAddress(trim);
                orderInfo.setQTime(new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(new Date(System.currentTimeMillis())));
                orderInfo.setAccount((String) PreferenceUtil.get("token", ""));
                MyApplication.daoSession.getOrderInfoDao().insertOrReplace(orderInfo);
                EventBus.getDefault().post(new OrderEvent());
                startActivity(new Intent(this, OrderFinishActivity.class));
            }
        }
    }

    private String getOrderNum() {
        Random random = new Random();
        char[] cArr = new char[8];
        cArr[1] = (char) (random.nextInt(9) + 49);
        for (int i = 0; i < 8; i++) {
            cArr[i] = (char) (random.nextInt(10) + 48);
        }
        return new String(cArr);
    }

    /* access modifiers changed from: protected */
    @Override // androidx.activity.ComponentActivity, androidx.fragment.app.FragmentActivity
    public void onActivityResult(int i, int i2, Intent intent) {
        super.onActivityResult(i, i2, intent);
        if (i2 == -1 && i == 101) {
            AddressEntity addressEntity = (AddressEntity) intent.getSerializableExtra("item");
            this.extra = addressEntity;
            if (addressEntity != null) {
                ((ActivityCreateOrderBinding) this.dataBinding).tvAddress.setText(Html.fromHtml(this.extra.getAddress() + this.extra.getDetail()));
            }
        } else if (i2 == -1 && i == 102) {
            this.extra2 = (TimeItemEntity) intent.getSerializableExtra("select");
            int intExtra = intent.getIntExtra("possss", 0);
            if (this.extra2 != null) {
                Calendar instance = Calendar.getInstance(Locale.CHINA);
                instance.setTimeInMillis(System.currentTimeMillis());
                instance.add(5, intExtra);
                String format = new SimpleDateFormat("yyyy-MM-dd").format(instance.getTime());
                ((ActivityCreateOrderBinding) this.dataBinding).tvDate.setText(Html.fromHtml(format + "  " + this.extra2.getTime()));
            }
        }
    }
}
