package com.jiazheng.app.ui.activity;

import android.view.View;
import com.bigkoo.pickerview.builder.TimePickerBuilder;
import com.bigkoo.pickerview.listener.OnTimeSelectListener;
import com.jiazheng.app.base.MyApplication;
import com.jiazheng.app.dao.DuihuanInfo;
import com.jiazheng.app.ui.adapter.DuihuanAdapter;
import com.jiazheng.app.ui.base.BaseActivity;
import com.jiazheng.app.viewmodel.HomeViewModel;
import com.weideapp.yufeng.R;
import in.jiazheng.app.databinding.ActivityDuihuanBinding;
import java.sql.Date;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Calendar;
import java.util.List;
import java.util.Locale;

public class DuihuanActivity extends BaseActivity<HomeViewModel, ActivityDuihuanBinding> implements View.OnClickListener {
    private DuihuanAdapter adapter;
    private String currentTime;
    private List<DuihuanInfo> dataList;

    /* access modifiers changed from: protected */
    @Override // com.jiazheng.app.ui.base.BaseActivity
    public int getContentViewId() {
        return R.layout.activity_duihuan;
    }

    /* access modifiers changed from: protected */
    @Override // com.jiazheng.app.ui.base.BaseActivity
    public void setListener() {
        ((ActivityDuihuanBinding) this.dataBinding).setOnClickListener(this);
    }

    /* access modifiers changed from: protected */
    @Override // com.jiazheng.app.ui.base.BaseActivity
    public void processLogic() {
        initTime();
        this.dataList = new ArrayList();
        this.adapter = new DuihuanAdapter();
        fetch();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void fetch() {
        this.dataList.addAll(MyApplication.daoSession.getDuihuanInfoDao().queryBuilder().build().list());
        this.adapter.setList(this.dataList);
        ((ActivityDuihuanBinding) this.dataBinding).commonRv.setAdapter(this.adapter);
        if (this.dataList.isEmpty()) {
            ((ActivityDuihuanBinding) this.dataBinding).ivEmpty.setVisibility(0);
            ((ActivityDuihuanBinding) this.dataBinding).commonRv.setVisibility(8);
            return;
        }
        ((ActivityDuihuanBinding) this.dataBinding).commonRv.setVisibility(0);
        ((ActivityDuihuanBinding) this.dataBinding).ivEmpty.setVisibility(8);
    }

    private void initTime() {
        this.currentTime = new SimpleDateFormat("yyyy-MM").format(new Date(System.currentTimeMillis()));
        ((ActivityDuihuanBinding) this.dataBinding).btnDate.setText(this.currentTime);
    }

    public void onClick(View view) {
        int id = view.getId();
        if (id == R.id.leftBack) {
            finish();
        } else if (id == R.id.btnDate) {
            initTimePicker();
        }
    }

    private void initTimePicker() {
        Calendar instance = Calendar.getInstance();
        Calendar instance2 = Calendar.getInstance();
        instance2.set(2022, 1, 0);
        new TimePickerBuilder(this, new OnTimeSelectListener() {
            /* class com.jiazheng.app.ui.activity.DuihuanActivity.AnonymousClass1 */

            @Override // com.bigkoo.pickerview.listener.OnTimeSelectListener
            public void onTimeSelect(java.util.Date date, View view) {
                String str;
                Calendar instance = Calendar.getInstance(Locale.CHINA);
                instance.setTime(date);
                int i = instance.get(1);
                int i2 = instance.get(2) + 1;
                if (i2 < 10) {
                    DuihuanActivity.this.currentTime = i + "-0" + i2;
                    str = i + "-0" + i2;
                } else {
                    DuihuanActivity.this.currentTime = i + "-" + i2;
                    str = i + "-" + i2;
                }
                ((ActivityDuihuanBinding) DuihuanActivity.this.dataBinding).btnDate.setText(str);
                DuihuanActivity.this.fetch();
            }
        }).setType(new boolean[]{true, true, false, false, false, false}).setItemVisibleCount(7).setLineSpacingMultiplier(2.0f).isAlphaGradient(true).setDate(instance).setRangDate(instance2, instance).build().show();
    }
}
