package com.jiazheng.app.ui.activity;

import android.text.TextUtils;
import android.view.View;
import com.jiazheng.app.base.MyApplication;
import com.jiazheng.app.base.NormalViewModel;
import com.jiazheng.app.dao.AccountInfo;
import com.jiazheng.app.ui.base.BaseActivity;
import com.jiazheng.app.utils.TextInputHelper;
import com.jiazheng.app.utils.ToastUtils;
import com.jiazheng.db.AccountInfoDao;
import com.weideapp.yufeng.R;
import in.jiazheng.app.databinding.ActivityForgetPwdBinding;
import java.util.List;
import org.greenrobot.greendao.query.WhereCondition;

public class ForgetPwdActivity extends BaseActivity<NormalViewModel, ActivityForgetPwdBinding> implements View.OnClickListener {
    /* access modifiers changed from: protected */
    @Override // com.jiazheng.app.ui.base.BaseActivity
    public int getContentViewId() {
        return R.layout.activity_forget_pwd;
    }

    /* access modifiers changed from: protected */
    @Override // com.jiazheng.app.ui.base.BaseActivity
    public void setListener() {
        ((ActivityForgetPwdBinding) this.dataBinding).setOnClickListener(this);
    }

    /* access modifiers changed from: protected */
    @Override // com.jiazheng.app.ui.base.BaseActivity
    public void processLogic() {
        new TextInputHelper(((ActivityForgetPwdBinding) this.dataBinding).btnConfirm, false).addViews(((ActivityForgetPwdBinding) this.dataBinding).etEmail, ((ActivityForgetPwdBinding) this.dataBinding).etNewPwd);
    }

    public void onClick(View view) {
        int id = view.getId();
        if (id == R.id.leftBack) {
            finish();
        } else if (id == R.id.btnConfirm) {
            String trim = ((ActivityForgetPwdBinding) this.dataBinding).etEmail.getText().toString().trim();
            if (TextUtils.isEmpty(trim)) {
                ToastUtils.showToast("请输入用户名");
                return;
            }
            String obj = ((ActivityForgetPwdBinding) this.dataBinding).etNewPwd.getText().toString();
            if (TextUtils.isEmpty(obj)) {
                ToastUtils.showToast("请输入新密码");
                return;
            }
            List list = MyApplication.daoSession.getAccountInfoDao().queryBuilder().build().list();
            boolean z = false;
            for (int i = 0; i < list.size(); i++) {
                if (((AccountInfo) list.get(i)).getAccount().equals(trim)) {
                    z = true;
                }
            }
            if (!z) {
                ToastUtils.showToast("用户不存在");
                return;
            }
            AccountInfo accountInfo = (AccountInfo) MyApplication.daoSession.getAccountInfoDao().queryBuilder().where(AccountInfoDao.Properties.Account.eq(trim), new WhereCondition[0]).unique();
            if (accountInfo != null) {
                accountInfo.setPwd(obj);
                MyApplication.daoSession.getAccountInfoDao().insertOrReplace(accountInfo);
            }
            ToastUtils.showToast("修改成功");
            finish();
        }
    }
}
