package com.jiazheng.app.ui.activity;

import android.content.Intent;
import android.os.Handler;
import android.text.TextUtils;
import com.jaeger.library.StatusBarUtil;
import com.jiazheng.app.base.NormalViewModel;
import com.jiazheng.app.ui.base.BaseActivity;
import com.jiazheng.app.utils.PreferenceUtil;
import com.weideapp.yufeng.R;
import in.jiazheng.app.databinding.ActivityLaunchBinding;

public class LaunchActivity extends BaseActivity<NormalViewModel, ActivityLaunchBinding> {
    private static Handler mHandler = new Handler();
    private final int COUNT_DOWN_TIME = 1000;

    /* access modifiers changed from: protected */
    @Override // com.jiazheng.app.ui.base.BaseActivity
    public int getContentViewId() {
        return R.layout.activity_launch;
    }

    /* access modifiers changed from: protected */
    @Override // com.jiazheng.app.ui.base.BaseActivity
    public void setListener() {
        StatusBarUtil.setColorNoTranslucent(this, getResources().getColor(R.color.white));
    }

    /* access modifiers changed from: protected */
    @Override // com.jiazheng.app.ui.base.BaseActivity
    public void processLogic() {
        startMain();
    }

    private void startMain() {
        mHandler.postDelayed(new Runnable() {
            /* class com.jiazheng.app.ui.activity.LaunchActivity.AnonymousClass1 */

            public void run() {
                if (TextUtils.isEmpty((String) PreferenceUtil.get("token", ""))) {
                    LaunchActivity.this.startActivity(new Intent(LaunchActivity.this, LoginActivity.class));
                } else {
                    LaunchActivity.this.startActivity(new Intent(LaunchActivity.this, MainActivity.class));
                }
                LaunchActivity.this.finish();
            }
        }, 1000);
    }
}
