package com.jiazheng.app.ui.activity;

import android.content.Intent;
import android.text.TextUtils;
import android.view.View;
import com.jiazheng.app.base.MyApplication;
import com.jiazheng.app.base.NormalViewModel;
import com.jiazheng.app.dao.AccountInfo;
import com.jiazheng.app.ui.base.BaseActivity;
import com.jiazheng.app.utils.PreferenceUtil;
import com.jiazheng.app.utils.TextInputHelper;
import com.jiazheng.app.utils.ToastUtils;
import com.weideapp.yufeng.R;
import in.jiazheng.app.databinding.ActivityLoginBinding;
import java.util.List;

public class LoginActivity extends BaseActivity<NormalViewModel, ActivityLoginBinding> implements View.OnClickListener {
    /* access modifiers changed from: protected */
    @Override // com.jiazheng.app.ui.base.BaseActivity
    public int getContentViewId() {
        return R.layout.activity_login;
    }

    /* access modifiers changed from: protected */
    @Override // com.jiazheng.app.ui.base.BaseActivity
    public void setListener() {
        ((ActivityLoginBinding) this.dataBinding).setOnClickListener(this);
    }

    /* access modifiers changed from: protected */
    @Override // com.jiazheng.app.ui.base.BaseActivity
    public void processLogic() {
        new TextInputHelper(((ActivityLoginBinding) this.dataBinding).btnLogin, false).addViews(((ActivityLoginBinding) this.dataBinding).etAccount, ((ActivityLoginBinding) this.dataBinding).etPwd);
    }

    public void onClick(View view) {
        int id = view.getId();
        if (id == R.id.btnLogin) {
            if (!((ActivityLoginBinding) this.dataBinding).checkbox.isChecked()) {
                ToastUtils.showToast("请选择同意用户协议和隐私政策,才可以使用。");
                return;
            }
            String trim = ((ActivityLoginBinding) this.dataBinding).etAccount.getText().toString().trim();
            if (TextUtils.isEmpty(trim)) {
                ToastUtils.showToast("请输入用户名");
                return;
            }
            String trim2 = ((ActivityLoginBinding) this.dataBinding).etPwd.getText().toString().trim();
            if (TextUtils.isEmpty(trim2)) {
                ToastUtils.showToast("请输入密码");
                return;
            }
            List list = MyApplication.daoSession.getAccountInfoDao().queryBuilder().build().list();
            boolean z = false;
            for (int i = 0; i < list.size(); i++) {
                if (((AccountInfo) list.get(i)).getAccount().equals(trim)) {
                    z = true;
                }
            }
            if (!z) {
                ToastUtils.showToast("用户不存在");
                return;
            }
            for (int i2 = 0; i2 < list.size(); i2++) {
                AccountInfo accountInfo = (AccountInfo) list.get(i2);
                if (!accountInfo.getAccount().equals(trim) || !accountInfo.getPwd().equals(trim2)) {
                    ToastUtils.showToast("用户名或密码不正确");
                } else if (accountInfo.getStatus() == 1) {
                    PreferenceUtil.put("token", trim);
                    ToastUtils.showToast("登录成功");
                    startActivity(new Intent(this, MainActivity.class));
                } else {
                    ToastUtils.showToast("账号已注销");
                }
            }
        } else if (id == R.id.btnForgetPwd) {
            startActivity(new Intent(this, ForgetPwdActivity.class));
        } else if (id == R.id.btnRegister) {
            startActivity(new Intent(this, RegisterActivity.class));
        }
    }
}
