package com.jiazheng.app.ui.activity;

import android.content.Intent;
import android.text.TextUtils;
import android.view.View;
import com.jiazheng.app.base.MyApplication;
import com.jiazheng.app.base.NormalViewModel;
import com.jiazheng.app.dao.AccountInfo;
import com.jiazheng.app.ui.base.BaseActivity;
import com.jiazheng.app.utils.PreferenceUtil;
import com.jiazheng.app.utils.TextInputHelper;
import com.jiazheng.app.utils.ToastUtils;
import com.weideapp.yufeng.R;
import in.jiazheng.app.databinding.ActivityLogoutBinding;
import java.util.List;

public class LogoutActivity extends BaseActivity<NormalViewModel, ActivityLogoutBinding> implements View.OnClickListener {
    /* access modifiers changed from: protected */
    @Override // com.jiazheng.app.ui.base.BaseActivity
    public int getContentViewId() {
        return R.layout.activity_logout;
    }

    /* access modifiers changed from: protected */
    @Override // com.jiazheng.app.ui.base.BaseActivity
    public void setListener() {
        ((ActivityLogoutBinding) this.dataBinding).setOnClickListener(this);
    }

    /* access modifiers changed from: protected */
    @Override // com.jiazheng.app.ui.base.BaseActivity
    public void processLogic() {
        new TextInputHelper(((ActivityLogoutBinding) this.dataBinding).btnLogout, false).addViews(((ActivityLogoutBinding) this.dataBinding).etAccount, ((ActivityLogoutBinding) this.dataBinding).etPwd);
    }

    public void onClick(View view) {
        if (view.getId() == R.id.leftBack) {
            finish();
        } else if (view.getId() == R.id.btnLogout) {
            String trim = ((ActivityLogoutBinding) this.dataBinding).etAccount.getText().toString().trim();
            if (TextUtils.isEmpty(trim)) {
                ToastUtils.showToast("请输入用户名");
                return;
            }
            String trim2 = ((ActivityLogoutBinding) this.dataBinding).etPwd.getText().toString().trim();
            if (TextUtils.isEmpty(trim2)) {
                ToastUtils.showToast("请输入密码");
                return;
            }
            List list = MyApplication.daoSession.getAccountInfoDao().queryBuilder().build().list();
            String str = (String) PreferenceUtil.get("token", "");
            boolean z = false;
            for (int i = 0; i < list.size(); i++) {
                AccountInfo accountInfo = (AccountInfo) list.get(i);
                if (accountInfo.getAccount().equals(str)) {
                    if (!accountInfo.getAccount().equals(trim) || !accountInfo.getPwd().equals(trim2)) {
                        ToastUtils.showToast("用户名或密码错误");
                        return;
                    }
                    accountInfo.setStatus(0);
                    MyApplication.daoSession.getAccountInfoDao().insertOrReplace(accountInfo);
                    z = true;
                }
            }
            if (!z) {
                ToastUtils.showToast("用户不存在");
                return;
            }
            ToastUtils.showToast("注销成功,我们将在三个工作日内删除您在我们系统中的数据.注销后账号将无法使用");
            PreferenceUtil.remove("token");
            Intent intent = new Intent(this, LoginActivity.class);
            intent.addFlags(32768);
            startActivity(intent);
            finish();
        }
    }
}
