package com.jiazheng.app.ui.activity;

import android.content.Intent;
import androidx.fragment.app.Fragment;
import androidx.fragment.app.FragmentManager;
import androidx.fragment.app.FragmentPagerAdapter;
import androidx.viewpager.widget.ViewPager;
import com.flyco.tablayout.listener.CustomTabEntity;
import com.flyco.tablayout.listener.OnTabSelectListener;
import com.jiazheng.app.base.NormalViewModel;
import com.jiazheng.app.entity.TabEntity;
import com.jiazheng.app.ui.base.BaseActivity;
import com.jiazheng.app.ui.fragment.HomeFragment;
import com.jiazheng.app.ui.fragment.MineFragment;
import com.jiazheng.app.ui.fragment.OrderFragment;
import com.jiazheng.app.ui.fragment.RecycleFragment;
import com.weideapp.yufeng.R;
import in.jiazheng.app.databinding.ActivityMainBinding;
import java.util.ArrayList;

public class MainActivity extends BaseActivity<NormalViewModel, ActivityMainBinding> {
    private ArrayList<Fragment> mFragments = new ArrayList<>();
    private int[] mIconSelectIds = {R.mipmap.bottom_1_2, R.mipmap.bottom_2_2, R.mipmap.bottom_3_2, R.mipmap.bottom_4_2};
    private int[] mIconUnSelectIds = {R.mipmap.bottom_1_1, R.mipmap.bottom_2_1, R.mipmap.bottom_3_1, R.mipmap.bottom_4_1};
    private ArrayList<CustomTabEntity> mTabEntities = new ArrayList<>();
    private String[] mTitles = {"首页", "分类", "订单", "我的"};
    private int openType;

    /* access modifiers changed from: protected */
    @Override // com.jiazheng.app.ui.base.BaseActivity
    public int getContentViewId() {
        return R.layout.activity_main;
    }

    /* access modifiers changed from: protected */
    @Override // com.jiazheng.app.ui.base.BaseActivity
    public void setListener() {
    }

    /* access modifiers changed from: protected */
    @Override // androidx.fragment.app.FragmentActivity
    public void onNewIntent(Intent intent) {
        super.onNewIntent(intent);
        int intExtra = intent.getIntExtra("openType", 0);
        this.openType = intExtra;
        if (intExtra == 1) {
            ((ActivityMainBinding) this.dataBinding).vpFragment.setCurrentItem(2);
            OrderFragment orderFragment = (OrderFragment) this.mFragments.get(2);
            if (orderFragment != null && orderFragment.isResumed()) {
                orderFragment.scrollBottom();
            }
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.jiazheng.app.ui.base.BaseActivity
    public void processLogic() {
        initViewPage();
    }

    private void initViewPage() {
        this.mFragments.add(HomeFragment.newInstance());
        this.mFragments.add(RecycleFragment.newInstance());
        this.mFragments.add(OrderFragment.newInstance());
        this.mFragments.add(MineFragment.newInstance());
        int i = 0;
        while (true) {
            String[] strArr = this.mTitles;
            if (i < strArr.length) {
                this.mTabEntities.add(new TabEntity(strArr[i], this.mIconSelectIds[i], this.mIconUnSelectIds[i]));
                i++;
            } else {
                ((ActivityMainBinding) this.dataBinding).vpFragment.setOffscreenPageLimit(2);
                ((ActivityMainBinding) this.dataBinding).vpFragment.setScroll(false);
                ((ActivityMainBinding) this.dataBinding).vpFragment.setAdapter(new MainPagerAdapter(getSupportFragmentManager()));
                ((ActivityMainBinding) this.dataBinding).ctlTabBottom.setTabData(this.mTabEntities);
                ((ActivityMainBinding) this.dataBinding).ctlTabBottom.setMsgMargin(3, -5.0f, 12.0f);
                ((ActivityMainBinding) this.dataBinding).ctlTabBottom.setOnTabSelectListener(new OnTabSelectListener() {
                    /* class com.jiazheng.app.ui.activity.MainActivity.AnonymousClass1 */

                    @Override // com.flyco.tablayout.listener.OnTabSelectListener
                    public void onTabReselect(int i) {
                    }

                    @Override // com.flyco.tablayout.listener.OnTabSelectListener
                    public void onTabSelect(int i) {
                        ((ActivityMainBinding) MainActivity.this.dataBinding).vpFragment.setCurrentItem(i, false);
                    }
                });
                ((ActivityMainBinding) this.dataBinding).vpFragment.setCurrentItem(0);
                ((ActivityMainBinding) this.dataBinding).vpFragment.addOnPageChangeListener(new ViewPager.OnPageChangeListener() {
                    /* class com.jiazheng.app.ui.activity.MainActivity.AnonymousClass2 */

                    @Override // androidx.viewpager.widget.ViewPager.OnPageChangeListener
                    public void onPageScrollStateChanged(int i) {
                    }

                    @Override // androidx.viewpager.widget.ViewPager.OnPageChangeListener
                    public void onPageScrolled(int i, float f, int i2) {
                    }

                    @Override // androidx.viewpager.widget.ViewPager.OnPageChangeListener
                    public void onPageSelected(int i) {
                        ((ActivityMainBinding) MainActivity.this.dataBinding).ctlTabBottom.setCurrentTab(i);
                    }
                });
                return;
            }
        }
    }

    /* access modifiers changed from: private */
    public class MainPagerAdapter extends FragmentPagerAdapter {
        public MainPagerAdapter(FragmentManager fragmentManager) {
            super(fragmentManager);
        }

        @Override // androidx.viewpager.widget.PagerAdapter
        public int getCount() {
            return MainActivity.this.mFragments.size();
        }

        @Override // androidx.viewpager.widget.PagerAdapter
        public CharSequence getPageTitle(int i) {
            return MainActivity.this.mTitles[i];
        }

        @Override // androidx.fragment.app.FragmentPagerAdapter
        public Fragment getItem(int i) {
            return (Fragment) MainActivity.this.mFragments.get(i);
        }
    }
}
