package com.jiazheng.app.ui.activity;

import android.graphics.Typeface;
import android.view.View;
import android.widget.TextView;
import androidx.fragment.app.Fragment;
import androidx.fragment.app.FragmentManager;
import androidx.lifecycle.Lifecycle;
import androidx.viewpager2.adapter.FragmentStateAdapter;
import androidx.viewpager2.widget.ViewPager2;
import com.google.android.material.tabs.TabLayout;
import com.google.android.material.tabs.TabLayoutMediator;
import com.jiazheng.app.base.NormalViewModel;
import com.jiazheng.app.ui.base.BaseActivity;
import com.jiazheng.app.ui.fragment.RecycleFragment;
import com.weideapp.yufeng.R;
import in.jiazheng.app.databinding.ActivityRecycleClassifyBinding;
import java.util.ArrayList;

public class RecycleClassifyActivity extends BaseActivity<NormalViewModel, ActivityRecycleClassifyBinding> implements View.OnClickListener {
    private ArrayList<Fragment> mFragments = new ArrayList<>();
    private String[] titleList = {"可回收物", "不可回收物"};

    /* access modifiers changed from: protected */
    @Override // com.jiazheng.app.ui.base.BaseActivity
    public int getContentViewId() {
        return R.layout.activity_recycle_classify;
    }

    /* access modifiers changed from: protected */
    @Override // com.jiazheng.app.ui.base.BaseActivity
    public void setListener() {
        ((ActivityRecycleClassifyBinding) this.dataBinding).setOnClickListener(this);
    }

    /* access modifiers changed from: protected */
    @Override // com.jiazheng.app.ui.base.BaseActivity
    public void processLogic() {
        initTabLayout();
    }

    private void initTabLayout() {
        this.mFragments.add(RecycleFragment.newInstance());
        this.mFragments.add(RecycleFragment.newInstance());
        ((ActivityRecycleClassifyBinding) this.dataBinding).mainVp.setOffscreenPageLimit(1);
        ((ActivityRecycleClassifyBinding) this.dataBinding).mainVp.setAdapter(new MyPagerAdapter(getSupportFragmentManager(), getLifecycle()));
        ((ActivityRecycleClassifyBinding) this.dataBinding).mainVp.registerOnPageChangeCallback(new ViewPager2.OnPageChangeCallback() {
            /* class com.jiazheng.app.ui.activity.RecycleClassifyActivity.AnonymousClass1 */

            @Override // androidx.viewpager2.widget.ViewPager2.OnPageChangeCallback
            public void onPageSelected(int i) {
                int tabCount = ((ActivityRecycleClassifyBinding) RecycleClassifyActivity.this.dataBinding).mainTl.getTabCount();
                for (int i2 = 0; i2 < tabCount; i2++) {
                    TabLayout.Tab tabAt = ((ActivityRecycleClassifyBinding) RecycleClassifyActivity.this.dataBinding).mainTl.getTabAt(i2);
                    TextView textView = (TextView) tabAt.getCustomView();
                    if (tabAt.getPosition() == i) {
                        textView.setTextSize(14.0f);
                        textView.setTextColor(RecycleClassifyActivity.this.getResources().getColor(R.color.black));
                        textView.setTypeface(Typeface.SANS_SERIF, 1);
                    } else {
                        textView.setTextSize(13.0f);
                        textView.setTextColor(RecycleClassifyActivity.this.getResources().getColor(R.color.c_B4B4B4));
                        textView.setTypeface(Typeface.SANS_SERIF, 0);
                    }
                }
            }
        });
        new TabLayoutMediator(((ActivityRecycleClassifyBinding) this.dataBinding).mainTl, ((ActivityRecycleClassifyBinding) this.dataBinding).mainVp, new TabLayoutMediator.TabConfigurationStrategy() {
            /* class com.jiazheng.app.ui.activity.RecycleClassifyActivity.AnonymousClass2 */

            @Override // com.google.android.material.tabs.TabLayoutMediator.TabConfigurationStrategy
            public void onConfigureTab(TabLayout.Tab tab, int i) {
                TextView textView = new TextView(RecycleClassifyActivity.this);
                textView.setText(RecycleClassifyActivity.this.titleList[i]);
                textView.setGravity(17);
                tab.setCustomView(textView);
            }
        }).attach();
        ((ActivityRecycleClassifyBinding) this.dataBinding).mainVp.setCurrentItem(0);
    }

    public void onClick(View view) {
        if (view.getId() == R.id.leftBack) {
            finish();
        }
    }

    /* access modifiers changed from: private */
    public class MyPagerAdapter extends FragmentStateAdapter {
        public MyPagerAdapter(FragmentManager fragmentManager, Lifecycle lifecycle) {
            super(fragmentManager, lifecycle);
        }

        @Override // androidx.viewpager2.adapter.FragmentStateAdapter
        public Fragment createFragment(int i) {
            return (Fragment) RecycleClassifyActivity.this.mFragments.get(i);
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public int getItemCount() {
            return RecycleClassifyActivity.this.titleList.length;
        }
    }
}
