package com.jiazheng.app.ui.activity;

import android.text.TextUtils;
import android.view.View;
import com.jiazheng.app.base.MyApplication;
import com.jiazheng.app.dao.AccountInfo;
import com.jiazheng.app.ui.base.BaseActivity;
import com.jiazheng.app.utils.TextInputHelper;
import com.jiazheng.app.utils.ToastUtils;
import com.jiazheng.app.viewmodel.HomeViewModel;
import com.weideapp.yufeng.R;
import in.jiazheng.app.databinding.ActivityRegisterBinding;
import java.util.List;

public class RegisterActivity extends BaseActivity<HomeViewModel, ActivityRegisterBinding> implements View.OnClickListener {
    /* access modifiers changed from: protected */
    @Override // com.jiazheng.app.ui.base.BaseActivity
    public int getContentViewId() {
        return R.layout.activity_register;
    }

    /* access modifiers changed from: protected */
    @Override // com.jiazheng.app.ui.base.BaseActivity
    public void setListener() {
        ((ActivityRegisterBinding) this.dataBinding).setOnClickListener(this);
    }

    /* access modifiers changed from: protected */
    @Override // com.jiazheng.app.ui.base.BaseActivity
    public void processLogic() {
        new TextInputHelper(((ActivityRegisterBinding) this.dataBinding).btnRegister, false).addViews(((ActivityRegisterBinding) this.dataBinding).etEmail, ((ActivityRegisterBinding) this.dataBinding).etPwd);
    }

    public void onClick(View view) {
        int id = view.getId();
        if (id == R.id.leftBack) {
            finish();
        } else if (id == R.id.btnRegister) {
            if (!((ActivityRegisterBinding) this.dataBinding).checkbox.isChecked()) {
                ToastUtils.showToast("请选择同意用户协议和隐私政策,才可以使用。");
                return;
            }
            String trim = ((ActivityRegisterBinding) this.dataBinding).etEmail.getText().toString().trim();
            if (TextUtils.isEmpty(trim)) {
                ToastUtils.showToast("请输入用户名");
                return;
            }
            String obj = ((ActivityRegisterBinding) this.dataBinding).etPwd.getText().toString();
            if (TextUtils.isEmpty(obj)) {
                ToastUtils.showToast("请输入登录密码");
            } else if (trim.length() < 4) {
                ToastUtils.showToast("用户名不能小于4位");
            } else {
                List list = MyApplication.daoSession.getAccountInfoDao().queryBuilder().build().list();
                for (int i = 0; i < list.size(); i++) {
                    if (((AccountInfo) list.get(i)).getAccount().equals(trim)) {
                        ToastUtils.showToast("用户已存在");
                        return;
                    }
                }
                AccountInfo accountInfo = new AccountInfo();
                accountInfo.setAccount(trim);
                accountInfo.setPwd(obj);
                accountInfo.setStatus(1);
                MyApplication.daoSession.getAccountInfoDao().insertOrReplace(accountInfo);
                ToastUtils.showToast("注册成功");
                finish();
            }
        }
    }
}
