package com.jiazheng.app.ui.fragment;

import android.content.Intent;
import android.os.Bundle;
import android.text.SpannableString;
import android.text.TextUtils;
import android.text.style.AbsoluteSizeSpan;
import android.text.style.StyleSpan;
import android.view.View;
import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.listener.OnItemChildClickListener;
import com.chad.library.adapter.base.listener.OnItemClickListener;
import com.jiazheng.app.base.MyApplication;
import com.jiazheng.app.base.NormalViewModel;
import com.jiazheng.app.dao.AccountInfo;
import com.jiazheng.app.dao.DuihuanInfo;
import com.jiazheng.app.entity.MallEntity;
import com.jiazheng.app.entity.UpdateScoreEvent;
import com.jiazheng.app.ui.activity.DuihuanActivity;
import com.jiazheng.app.ui.activity.GoodsDetailActivity;
import com.jiazheng.app.ui.activity.ScoreDetailActivity;
import com.jiazheng.app.ui.adapter.MallAdapter;
import com.jiazheng.app.ui.base.BaseFragment;
import com.jiazheng.app.utils.PreferenceUtil;
import com.jiazheng.app.utils.ToastUtils;
import com.weideapp.yufeng.R;
import in.jiazheng.app.databinding.FragmentMallBinding;
import java.sql.Date;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.List;
import java.util.UUID;
import org.greenrobot.eventbus.EventBus;
import org.greenrobot.eventbus.Subscribe;
import org.greenrobot.eventbus.ThreadMode;

public class MallFragment extends BaseFragment<NormalViewModel, FragmentMallBinding> implements View.OnClickListener {
    private MallAdapter adapter;

    /* access modifiers changed from: protected */
    @Override // com.jiazheng.app.ui.base.BaseFragment
    public int getContentViewId() {
        return R.layout.fragment_mall;
    }

    public static MallFragment newInstance() {
        return new MallFragment();
    }

    /* access modifiers changed from: protected */
    @Override // com.jiazheng.app.ui.base.BaseFragment
    public void setListener() {
        ((FragmentMallBinding) this.dataBinding).setOnClickListener(this);
    }

    /* access modifiers changed from: protected */
    @Override // com.jiazheng.app.ui.base.BaseFragment
    public void processLogic(Bundle bundle) {
        EventBus.getDefault().register(this);
        setScore();
        initRecycle();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void setScore() {
        SpannableString spannableString;
        String str = (String) PreferenceUtil.get("token", "");
        List list = MyApplication.daoSession.getAccountInfoDao().queryBuilder().list();
        for (int i = 0; i < list.size(); i++) {
            AccountInfo accountInfo = (AccountInfo) list.get(i);
            if (accountInfo.getAccount().equals(str)) {
                if (!TextUtils.isEmpty(accountInfo.getScore())) {
                    spannableString = new SpannableString("共" + accountInfo.getScore() + "积分");
                } else {
                    spannableString = new SpannableString("共0积分");
                }
                spannableString.setSpan(new AbsoluteSizeSpan(30, true), 1, spannableString.length() - 2, 18);
                spannableString.setSpan(new StyleSpan(1), 1, spannableString.length() - 2, 18);
                ((FragmentMallBinding) this.dataBinding).tvJifen.setText(spannableString);
            }
        }
    }

    private void initRecycle() {
        ArrayList arrayList = new ArrayList();
        MallEntity mallEntity = new MallEntity();
        mallEntity.setGoodsName("罗技Logitech无线键鼠套装");
        mallEntity.setCount("限量500份");
        mallEntity.setGetPeople("234人已领");
        mallEntity.setScore("65");
        arrayList.add(mallEntity);
        MallEntity mallEntity2 = new MallEntity();
        mallEntity2.setGoodsName("极简轻质双肩包");
        mallEntity2.setCount("限量500份");
        mallEntity2.setGetPeople("147人已领");
        mallEntity2.setScore("70");
        arrayList.add(mallEntity2);
        MallEntity mallEntity3 = new MallEntity();
        mallEntity3.setGoodsName("安卓/苹果通用一拖三数据线");
        mallEntity3.setCount("限量500份");
        mallEntity3.setGetPeople("365人已领");
        mallEntity3.setScore("20");
        arrayList.add(mallEntity3);
        MallAdapter mallAdapter = new MallAdapter();
        this.adapter = mallAdapter;
        mallAdapter.setList(arrayList);
        ((FragmentMallBinding) this.dataBinding).commonRv.setAdapter(this.adapter);
        this.adapter.setOnItemClickListener(new OnItemClickListener() {
            /* class com.jiazheng.app.ui.fragment.MallFragment.AnonymousClass1 */

            @Override // com.chad.library.adapter.base.listener.OnItemClickListener
            public void onItemClick(BaseQuickAdapter<?, ?> baseQuickAdapter, View view, int i) {
                Intent intent = new Intent(MallFragment.this.getActivity(), GoodsDetailActivity.class);
                intent.putExtra("item", (MallEntity) baseQuickAdapter.getItem(i));
                intent.putExtra("position", i);
                MallFragment.this.startActivity(intent);
            }
        });
        this.adapter.addChildClickViewIds(R.id.btnDuihuan);
        this.adapter.setOnItemChildClickListener(new OnItemChildClickListener() {
            /* class com.jiazheng.app.ui.fragment.MallFragment.AnonymousClass2 */

            @Override // com.chad.library.adapter.base.listener.OnItemChildClickListener
            public void onItemChildClick(BaseQuickAdapter<?, ?> baseQuickAdapter, View view, int i) {
                MallEntity mallEntity = (MallEntity) baseQuickAdapter.getItem(i);
                if (view.getId() == R.id.btnDuihuan) {
                    String str = (String) PreferenceUtil.get("token", "");
                    List list = MyApplication.daoSession.getAccountInfoDao().queryBuilder().list();
                    for (int i2 = 0; i2 < list.size(); i2++) {
                        AccountInfo accountInfo = (AccountInfo) list.get(i2);
                        if (accountInfo.getAccount().equals(str)) {
                            String score = accountInfo.getScore();
                            int parseInt = !TextUtils.isEmpty(score) ? Integer.parseInt(score) : 0;
                            int parseInt2 = Integer.parseInt(mallEntity.getScore());
                            if (parseInt > parseInt2) {
                                ToastUtils.showToast("兑换成功");
                                accountInfo.setScore(String.valueOf(parseInt - parseInt2));
                                MyApplication.daoSession.getAccountInfoDao().insertOrReplace(accountInfo);
                                MallFragment.this.setScore();
                                DuihuanInfo duihuanInfo = new DuihuanInfo();
                                duihuanInfo.setDescribe(mallEntity.getGoodsName());
                                duihuanInfo.setTime(MallFragment.this.getTime());
                                duihuanInfo.setScore("-" + mallEntity.getScore());
                                duihuanInfo.setAccount(str);
                                duihuanInfo.setRecordId(UUID.randomUUID().toString());
                                MyApplication.daoSession.getDuihuanInfoDao().insertOrReplace(duihuanInfo);
                            } else {
                                ToastUtils.showToast("积分不足");
                            }
                        }
                    }
                }
            }
        });
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private String getTime() {
        return new SimpleDateFormat("MM-dd HH:mm").format(new Date(System.currentTimeMillis()));
    }

    public void onClick(View view) {
        int id = view.getId();
        if (id == R.id.linJifen) {
            startActivity(new Intent(getActivity(), ScoreDetailActivity.class));
        } else if (id == R.id.linDuihuan) {
            startActivity(new Intent(getActivity(), DuihuanActivity.class));
        }
    }

    @Subscribe(threadMode = ThreadMode.MAIN)
    public void updateScore(UpdateScoreEvent updateScoreEvent) {
        setScore();
    }
}
