package com.jiazheng.app.ui.fragment;

import android.os.Bundle;
import android.view.View;
import android.view.ViewGroup;
import androidx.appcompat.app.AlertDialog;
import com.jiazheng.app.base.MyApplication;
import com.jiazheng.app.dao.OrderInfo;
import com.jiazheng.app.entity.OrderEvent;
import com.jiazheng.app.ui.adapter.OrderAdapter;
import com.jiazheng.app.ui.base.BaseFragment;
import com.jiazheng.app.utils.PreferenceUtil;
import com.jiazheng.app.viewmodel.HomeViewModel;
import com.jiazheng.db.OrderInfoDao;
import com.weideapp.yufeng.R;
import in.jiazheng.app.databinding.FragmentOrderBinding;
import java.util.ArrayList;
import java.util.List;
import org.greenrobot.eventbus.EventBus;
import org.greenrobot.eventbus.Subscribe;
import org.greenrobot.eventbus.ThreadMode;
import org.greenrobot.greendao.query.WhereCondition;

public class OrderFragment extends BaseFragment<HomeViewModel, FragmentOrderBinding> implements View.OnClickListener {
    private OrderAdapter adapter;
    private List<OrderInfo> dataList;
    private AlertDialog dialog;

    /* access modifiers changed from: protected */
    @Override // com.jiazheng.app.ui.base.BaseFragment
    public int getContentViewId() {
        return R.layout.fragment_order;
    }

    public void onClick(View view) {
    }

    public static OrderFragment newInstance() {
        return new OrderFragment();
    }

    /* access modifiers changed from: protected */
    @Override // com.jiazheng.app.ui.base.BaseFragment
    public void setListener() {
        ((FragmentOrderBinding) this.dataBinding).setOnClickListener(this);
        EventBus.getDefault().register(this);
    }

    /* access modifiers changed from: protected */
    @Override // com.jiazheng.app.ui.base.BaseFragment
    public void processLogic(Bundle bundle) {
        initRecycle();
    }

    private void initRecycle() {
        this.adapter = new OrderAdapter();
        this.dataList = new ArrayList();
        fetch();
        ((FragmentOrderBinding) this.dataBinding).commonRv.setAdapter(this.adapter);
    }

    private void fetch() {
        this.dataList.clear();
        this.dataList.addAll(MyApplication.daoSession.getOrderInfoDao().queryBuilder().where(OrderInfoDao.Properties.Account.eq((String) PreferenceUtil.get("token", "")), new WhereCondition[0]).build().list());
        this.adapter.setList(this.dataList);
        this.adapter.notifyDataSetChanged();
        if (this.dataList.isEmpty()) {
            ((FragmentOrderBinding) this.dataBinding).commonRv.setVisibility(8);
            ((FragmentOrderBinding) this.dataBinding).ivEmpty.setVisibility(0);
            return;
        }
        ((FragmentOrderBinding) this.dataBinding).ivEmpty.setVisibility(8);
        ((FragmentOrderBinding) this.dataBinding).commonRv.setVisibility(0);
    }

    private void showDeleteDialog(String str) {
        View inflate = getLayoutInflater().inflate(R.layout.dialog_delete_order, (ViewGroup) null);
        inflate.findViewById(R.id.btnCancel).setOnClickListener(new View.OnClickListener() {
            /* class com.jiazheng.app.ui.fragment.$$Lambda$OrderFragment$iZCKqi3RLuJ0bt6w9wwF3Je5eE */

            public final void onClick(View view) {
                OrderFragment.this.lambda$showDeleteDialog$0$OrderFragment(view);
            }
        });
        inflate.findViewById(R.id.btnConfirm).setOnClickListener(new View.OnClickListener(str) {
            /* class com.jiazheng.app.ui.fragment.$$Lambda$OrderFragment$vVRjt5JEErkCPwYaUGdTe_KXbyU */
            public final /* synthetic */ String f$1;

            {
                this.f$1 = r2;
            }

            public final void onClick(View view) {
                OrderFragment.this.lambda$showDeleteDialog$1$OrderFragment(this.f$1, view);
            }
        });
        AlertDialog create = new AlertDialog.Builder(requireActivity()).setView(inflate).create();
        this.dialog = create;
        create.show();
    }

    public /* synthetic */ void lambda$showDeleteDialog$0$OrderFragment(View view) {
        this.dialog.dismiss();
    }

    public /* synthetic */ void lambda$showDeleteDialog$1$OrderFragment(String str, View view) {
        OrderInfo orderInfo = (OrderInfo) MyApplication.daoSession.getOrderInfoDao().queryBuilder().where(OrderInfoDao.Properties.OrderId.eq(str), new WhereCondition[0]).unique();
        orderInfo.setStatus("已取消");
        MyApplication.daoSession.getOrderInfoDao().insertOrReplace(orderInfo);
        fetch();
        this.dialog.dismiss();
    }

    @Subscribe(threadMode = ThreadMode.MAIN)
    public void update(OrderEvent orderEvent) {
        fetch();
    }

    public void scrollBottom() {
        ((FragmentOrderBinding) this.dataBinding).commonRv.smoothScrollToPosition(this.dataList.size() - 1);
    }
}
