package com.jiazheng.app.utils;

import android.text.Editable;
import android.text.TextWatcher;
import android.view.View;
import android.widget.TextView;
import java.util.ArrayList;
import java.util.List;

public class TextInputHelper implements TextWatcher {
    private boolean isAlpha;
    private View mMainView;
    private List<TextView> mViewSet;

    public void beforeTextChanged(CharSequence charSequence, int i, int i2, int i3) {
    }

    public void onTextChanged(CharSequence charSequence, int i, int i2, int i3) {
    }

    public TextInputHelper() {
    }

    public TextInputHelper(View view) {
        this(view, true);
    }

    public TextInputHelper(View view, boolean z) {
        if (view != null) {
            this.mMainView = view;
            this.isAlpha = z;
            return;
        }
        throw new IllegalArgumentException("The view is empty");
    }

    public void addViews(TextView... textViewArr) {
        if (textViewArr != null) {
            if (this.mViewSet == null) {
                this.mViewSet = new ArrayList(textViewArr.length - 1);
            }
            for (TextView textView : textViewArr) {
                textView.addTextChangedListener(this);
                this.mViewSet.add(textView);
            }
            afterTextChanged(null);
        }
    }

    public void removeViews() {
        List<TextView> list = this.mViewSet;
        if (list != null) {
            for (TextView textView : list) {
                textView.removeTextChangedListener(this);
            }
            this.mViewSet.clear();
            this.mViewSet = null;
        }
    }

    public synchronized void afterTextChanged(Editable editable) {
        List<TextView> list = this.mViewSet;
        if (list != null) {
            for (TextView textView : list) {
                if ("".equals(textView.getText().toString())) {
                    setEnabled(false);
                    return;
                }
            }
            setEnabled(true);
        }
    }

    public void setEnabled(boolean z) {
        if (z != this.mMainView.isEnabled()) {
            if (z) {
                this.mMainView.setEnabled(true);
                if (this.isAlpha) {
                    this.mMainView.setAlpha(1.0f);
                    return;
                }
                return;
            }
            this.mMainView.setEnabled(false);
            if (this.isAlpha) {
                this.mMainView.setAlpha(0.5f);
            }
        }
    }
}
