package com.jiazheng.db;

import com.jiazheng.app.dao.AccountInfo;
import com.jiazheng.app.dao.DuihuanInfo;
import com.jiazheng.app.dao.OrderInfo;
import com.jiazheng.app.dao.ScoreInfo;
import java.util.Map;
import org.greenrobot.greendao.AbstractDao;
import org.greenrobot.greendao.AbstractDaoSession;
import org.greenrobot.greendao.database.Database;
import org.greenrobot.greendao.identityscope.IdentityScopeType;
import org.greenrobot.greendao.internal.DaoConfig;

public class DaoSession extends AbstractDaoSession {
    private final AccountInfoDao accountInfoDao;
    private final DaoConfig accountInfoDaoConfig;
    private final DuihuanInfoDao duihuanInfoDao;
    private final DaoConfig duihuanInfoDaoConfig;
    private final OrderInfoDao orderInfoDao;
    private final DaoConfig orderInfoDaoConfig;
    private final ScoreInfoDao scoreInfoDao;
    private final DaoConfig scoreInfoDaoConfig;

    public DaoSession(Database database, IdentityScopeType identityScopeType, Map<Class<? extends AbstractDao<?, ?>>, DaoConfig> map) {
        super(database);
        DaoConfig clone = map.get(AccountInfoDao.class).clone();
        this.accountInfoDaoConfig = clone;
        clone.initIdentityScope(identityScopeType);
        DaoConfig clone2 = map.get(DuihuanInfoDao.class).clone();
        this.duihuanInfoDaoConfig = clone2;
        clone2.initIdentityScope(identityScopeType);
        DaoConfig clone3 = map.get(OrderInfoDao.class).clone();
        this.orderInfoDaoConfig = clone3;
        clone3.initIdentityScope(identityScopeType);
        DaoConfig clone4 = map.get(ScoreInfoDao.class).clone();
        this.scoreInfoDaoConfig = clone4;
        clone4.initIdentityScope(identityScopeType);
        AccountInfoDao accountInfoDao2 = new AccountInfoDao(clone, this);
        this.accountInfoDao = accountInfoDao2;
        DuihuanInfoDao duihuanInfoDao2 = new DuihuanInfoDao(clone2, this);
        this.duihuanInfoDao = duihuanInfoDao2;
        OrderInfoDao orderInfoDao2 = new OrderInfoDao(clone3, this);
        this.orderInfoDao = orderInfoDao2;
        ScoreInfoDao scoreInfoDao2 = new ScoreInfoDao(clone4, this);
        this.scoreInfoDao = scoreInfoDao2;
        registerDao(AccountInfo.class, accountInfoDao2);
        registerDao(DuihuanInfo.class, duihuanInfoDao2);
        registerDao(OrderInfo.class, orderInfoDao2);
        registerDao(ScoreInfo.class, scoreInfoDao2);
    }

    public void clear() {
        this.accountInfoDaoConfig.clearIdentityScope();
        this.duihuanInfoDaoConfig.clearIdentityScope();
        this.orderInfoDaoConfig.clearIdentityScope();
        this.scoreInfoDaoConfig.clearIdentityScope();
    }

    public AccountInfoDao getAccountInfoDao() {
        return this.accountInfoDao;
    }

    public DuihuanInfoDao getDuihuanInfoDao() {
        return this.duihuanInfoDao;
    }

    public OrderInfoDao getOrderInfoDao() {
        return this.orderInfoDao;
    }

    public ScoreInfoDao getScoreInfoDao() {
        return this.scoreInfoDao;
    }
}
