package com.jiazheng.db;

import android.database.Cursor;
import android.database.sqlite.SQLiteStatement;
import com.jiazheng.app.dao.DuihuanInfo;
import org.greenrobot.greendao.AbstractDao;
import org.greenrobot.greendao.Property;
import org.greenrobot.greendao.database.Database;
import org.greenrobot.greendao.database.DatabaseStatement;
import org.greenrobot.greendao.internal.DaoConfig;

public class DuihuanInfoDao extends AbstractDao<DuihuanInfo, Long> {
    public static final String TABLENAME = "DUIHUAN_INFO";

    public static class Properties {
        public static final Property Account = new Property(5, String.class, "account", false, "ACCOUNT");
        public static final Property Describe = new Property(3, String.class, "describe", false, "DESCRIBE");
        public static final Property Id = new Property(0, Long.class, "id", true, "_id");
        public static final Property RecordId = new Property(1, String.class, "recordId", false, "RECORD_ID");
        public static final Property Score = new Property(4, String.class, "score", false, "SCORE");
        public static final Property Time = new Property(2, String.class, "time", false, "TIME");
    }

    /* access modifiers changed from: protected */
    @Override // org.greenrobot.greendao.AbstractDao
    public final boolean isEntityUpdateable() {
        return true;
    }

    public DuihuanInfoDao(DaoConfig daoConfig) {
        super(daoConfig);
    }

    public DuihuanInfoDao(DaoConfig daoConfig, DaoSession daoSession) {
        super(daoConfig, daoSession);
    }

    public static void createTable(Database database, boolean z) {
        String str = z ? "IF NOT EXISTS " : "";
        database.execSQL("CREATE TABLE " + str + "\"DUIHUAN_INFO\" (\"_id\" INTEGER PRIMARY KEY AUTOINCREMENT ,\"RECORD_ID\" TEXT,\"TIME\" TEXT,\"DESCRIBE\" TEXT,\"SCORE\" TEXT,\"ACCOUNT\" TEXT);");
        database.execSQL("CREATE UNIQUE INDEX " + str + "IDX_DUIHUAN_INFO_RECORD_ID ON \"DUIHUAN_INFO\" (\"RECORD_ID\" ASC);");
    }

    public static void dropTable(Database database, boolean z) {
        StringBuilder sb = new StringBuilder();
        sb.append("DROP TABLE ");
        sb.append(z ? "IF EXISTS " : "");
        sb.append("\"DUIHUAN_INFO\"");
        database.execSQL(sb.toString());
    }

    /* access modifiers changed from: protected */
    public final void bindValues(DatabaseStatement databaseStatement, DuihuanInfo duihuanInfo) {
        databaseStatement.clearBindings();
        Long id = duihuanInfo.getId();
        if (id != null) {
            databaseStatement.bindLong(1, id.longValue());
        }
        String recordId = duihuanInfo.getRecordId();
        if (recordId != null) {
            databaseStatement.bindString(2, recordId);
        }
        String time = duihuanInfo.getTime();
        if (time != null) {
            databaseStatement.bindString(3, time);
        }
        String describe = duihuanInfo.getDescribe();
        if (describe != null) {
            databaseStatement.bindString(4, describe);
        }
        String score = duihuanInfo.getScore();
        if (score != null) {
            databaseStatement.bindString(5, score);
        }
        String account = duihuanInfo.getAccount();
        if (account != null) {
            databaseStatement.bindString(6, account);
        }
    }

    /* access modifiers changed from: protected */
    public final void bindValues(SQLiteStatement sQLiteStatement, DuihuanInfo duihuanInfo) {
        sQLiteStatement.clearBindings();
        Long id = duihuanInfo.getId();
        if (id != null) {
            sQLiteStatement.bindLong(1, id.longValue());
        }
        String recordId = duihuanInfo.getRecordId();
        if (recordId != null) {
            sQLiteStatement.bindString(2, recordId);
        }
        String time = duihuanInfo.getTime();
        if (time != null) {
            sQLiteStatement.bindString(3, time);
        }
        String describe = duihuanInfo.getDescribe();
        if (describe != null) {
            sQLiteStatement.bindString(4, describe);
        }
        String score = duihuanInfo.getScore();
        if (score != null) {
            sQLiteStatement.bindString(5, score);
        }
        String account = duihuanInfo.getAccount();
        if (account != null) {
            sQLiteStatement.bindString(6, account);
        }
    }

    @Override // org.greenrobot.greendao.AbstractDao
    public Long readKey(Cursor cursor, int i) {
        int i2 = i + 0;
        if (cursor.isNull(i2)) {
            return null;
        }
        return Long.valueOf(cursor.getLong(i2));
    }

    @Override // org.greenrobot.greendao.AbstractDao
    public DuihuanInfo readEntity(Cursor cursor, int i) {
        int i2 = i + 0;
        Long valueOf = cursor.isNull(i2) ? null : Long.valueOf(cursor.getLong(i2));
        int i3 = i + 1;
        String string = cursor.isNull(i3) ? null : cursor.getString(i3);
        int i4 = i + 2;
        String string2 = cursor.isNull(i4) ? null : cursor.getString(i4);
        int i5 = i + 3;
        String string3 = cursor.isNull(i5) ? null : cursor.getString(i5);
        int i6 = i + 4;
        int i7 = i + 5;
        return new DuihuanInfo(valueOf, string, string2, string3, cursor.isNull(i6) ? null : cursor.getString(i6), cursor.isNull(i7) ? null : cursor.getString(i7));
    }

    public void readEntity(Cursor cursor, DuihuanInfo duihuanInfo, int i) {
        int i2 = i + 0;
        String str = null;
        duihuanInfo.setId(cursor.isNull(i2) ? null : Long.valueOf(cursor.getLong(i2)));
        int i3 = i + 1;
        duihuanInfo.setRecordId(cursor.isNull(i3) ? null : cursor.getString(i3));
        int i4 = i + 2;
        duihuanInfo.setTime(cursor.isNull(i4) ? null : cursor.getString(i4));
        int i5 = i + 3;
        duihuanInfo.setDescribe(cursor.isNull(i5) ? null : cursor.getString(i5));
        int i6 = i + 4;
        duihuanInfo.setScore(cursor.isNull(i6) ? null : cursor.getString(i6));
        int i7 = i + 5;
        if (!cursor.isNull(i7)) {
            str = cursor.getString(i7);
        }
        duihuanInfo.setAccount(str);
    }

    /* access modifiers changed from: protected */
    public final Long updateKeyAfterInsert(DuihuanInfo duihuanInfo, long j) {
        duihuanInfo.setId(Long.valueOf(j));
        return Long.valueOf(j);
    }

    public Long getKey(DuihuanInfo duihuanInfo) {
        if (duihuanInfo != null) {
            return duihuanInfo.getId();
        }
        return null;
    }

    public boolean hasKey(DuihuanInfo duihuanInfo) {
        return duihuanInfo.getId() != null;
    }
}
