package com.panda.basework;

import android.app.Application;
import android.content.Context;
import androidx.multidex.MultiDex;
import cn.leancloud.AVLogger;
import cn.leancloud.AVOSCloud;
import java.lang.reflect.Method;

public class MyApplication extends Application {
    private DownloadApplication downloadApplication;

    public void onCreate() {
        super.onCreate();
        MultiDex.install(this);
        DownloadApplication downloadApplication2 = this.downloadApplication;
        if (downloadApplication2 != null) {
            downloadApplication2.onCreate();
        }
        AVOSCloud.setLogLevel(AVLogger.Level.OFF);
        AVOSCloud.initialize(this, "RTXBTAP7cHh3NbWhN1XSCeJJ-MdYXbMMI", "wqWI4Q4tDRdigbF3kmp53u8q");
    }

    /* access modifiers changed from: protected */
    public void attachBaseContext(Context context) {
        super.attachBaseContext(context);
        this.downloadApplication = getModuleApplicationInstance(this);
        try {
            Method declaredMethod = Application.class.getDeclaredMethod("attach", Context.class);
            if (declaredMethod != null) {
                declaredMethod.setAccessible(true);
                declaredMethod.invoke(this.downloadApplication, getBaseContext());
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    private DownloadApplication getModuleApplicationInstance(Context context) {
        ClassLoader classLoader;
        Class<?> loadClass;
        try {
            if (!(this.downloadApplication != null || (classLoader = context.getClassLoader()) == null || (loadClass = classLoader.loadClass(DownloadApplication.class.getName())) == null)) {
                this.downloadApplication = (DownloadApplication) loadClass.newInstance();
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        return this.downloadApplication;
    }
}
