package com.panda.basework.activity;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.ImageView;
import android.widget.TextView;
import androidx.appcompat.app.AppCompatActivity;
import com.jaeger.library.StatusBarUtil;
import com.panda.basework.R;
import com.panda.basework.utils.AppUtils;

public class AboutmeActivity extends AppCompatActivity implements View.OnClickListener {
    /* access modifiers changed from: protected */
    @Override // androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, androidx.fragment.app.FragmentActivity
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        getWindow().getDecorView().setSystemUiVisibility(8192);
        StatusBarUtil.setColorNoTranslucent(this, getResources().getColor(R.color.white));
        setContentView(R.layout.activity_about_me);
        ((ImageView) findViewById(R.id.iv_logo)).setImageBitmap(AppUtils.getBitmap(this));
        findViewById(R.id.user_protol).setOnClickListener(this);
        findViewById(R.id.privacy_protol).setOnClickListener(this);
        findViewById(R.id.iv_back).setOnClickListener(this);
        ((TextView) findViewById(R.id.tv_name_verstion)).setText(AppUtils.getAppName(this) + " " + AppUtils.getVersionName(this));
        StringBuilder sb = new StringBuilder();
        sb.append(AppUtils.getAppName(this));
        sb.append("版权所有\nCopyright© 2022 All Rights Reserved");
        ((TextView) findViewById(R.id.tv_allright)).setText(sb.toString());
    }

    public void onClick(View view) {
        int id = view.getId();
        if (id == R.id.user_protol) {
            startActivity(new Intent(this, UserAgreementActivity.class));
        } else if (id == R.id.privacy_protol) {
            Intent intent = new Intent(this, NewWebViewActivity2.class);
            intent.putExtra("WebViewUrl", "http://litengweb.top/privacy.html");
            intent.putExtra("hide_title", false);
            startActivity(intent);
        } else if (id == R.id.iv_back) {
            finish();
        }
    }
}
