package com.umeng.analytics.pro;

import android.content.Context;
import android.content.SharedPreferences;
import android.text.TextUtils;
import com.umeng.analytics.AnalyticsConfig;
import com.umeng.analytics.b;
import com.umeng.analytics.pro.c;
import com.umeng.analytics.pro.g;
import com.umeng.commonsdk.debug.UMRTLog;
import com.umeng.commonsdk.statistics.common.DeviceConfig;
import com.umeng.commonsdk.statistics.common.MLog;
import com.umeng.commonsdk.statistics.internal.PreferenceWrapper;
import com.umeng.commonsdk.utils.UMUtils;
import java.lang.reflect.Method;
import java.util.Arrays;
import java.util.Iterator;
import org.json.JSONObject;

/* compiled from: SessionTracker */
public class p {
    private static final String a = "session_start_time";
    private static final String b = "session_end_time";
    private static final String c = "session_id";
    private static String f;
    private static Context g;
    private final String d;
    private final String e;

    private p() {
        this.d = "a_start_time";
        this.e = "a_end_time";
    }

    /* access modifiers changed from: private */
    /* compiled from: SessionTracker */
    public static class a {
        private static final p a = new p();

        private a() {
        }
    }

    public static p a() {
        return a.a;
    }

    public boolean a(Context context) {
        SharedPreferences sharedPreferences = PreferenceWrapper.getDefault(context);
        String string = sharedPreferences.getString(c, null);
        if (string == null) {
            return false;
        }
        long j = sharedPreferences.getLong(a, 0);
        long j2 = sharedPreferences.getLong(b, 0);
        if (j2 != 0) {
            int i = (Math.abs(j2 - j) > 86400000 ? 1 : (Math.abs(j2 - j) == 86400000 ? 0 : -1));
        }
        try {
            JSONObject jSONObject = new JSONObject();
            jSONObject.put("__ii", string);
            jSONObject.put("__e", j);
            jSONObject.put(c.e.a.g, j2);
            double[] location = AnalyticsConfig.getLocation();
            if (location != null) {
                JSONObject jSONObject2 = new JSONObject();
                jSONObject2.put("lat", location[0]);
                jSONObject2.put("lng", location[1]);
                jSONObject2.put("ts", System.currentTimeMillis());
                jSONObject.put(c.e.a.e, jSONObject2);
            }
            Class<?> cls = Class.forName("android.net.TrafficStats");
            Method method = cls.getMethod("getUidRxBytes", Integer.TYPE);
            Method method2 = cls.getMethod("getUidTxBytes", Integer.TYPE);
            int i2 = context.getApplicationInfo().uid;
            if (i2 == -1) {
                return false;
            }
            long longValue = ((Long) method.invoke(null, Integer.valueOf(i2))).longValue();
            long longValue2 = ((Long) method2.invoke(null, Integer.valueOf(i2))).longValue();
            if (longValue > 0) {
                if (longValue2 > 0) {
                    JSONObject jSONObject3 = new JSONObject();
                    jSONObject3.put(b.C, longValue);
                    jSONObject3.put(b.B, longValue2);
                    jSONObject.put(c.e.a.d, jSONObject3);
                }
            }
            g.a(context).a(string, jSONObject, g.a.NEWSESSION);
            q.a(g);
            i.a(g);
            try {
                a(sharedPreferences);
                return true;
            } catch (Throwable unused) {
                return false;
            }
        } catch (Throwable unused2) {
            return false;
        }
    }

    private void a(SharedPreferences sharedPreferences) {
        SharedPreferences.Editor edit = sharedPreferences.edit();
        edit.remove(a);
        edit.remove(b);
        edit.remove("a_start_time");
        edit.remove("a_end_time");
        edit.commit();
    }

    public String b(Context context) {
        String deviceId = DeviceConfig.getDeviceId(context);
        String appkey = UMUtils.getAppkey(context);
        long currentTimeMillis = System.currentTimeMillis();
        if (appkey != null) {
            String MD5 = UMUtils.MD5(currentTimeMillis + appkey + deviceId);
            f = MD5;
            return MD5;
        }
        throw new RuntimeException("Appkey is null or empty, Please check!");
    }

    public void a(Context context, Object obj) {
        try {
            if (g == null && context != null) {
                g = context.getApplicationContext();
            }
            long longValue = ((Long) obj).longValue();
            SharedPreferences sharedPreferences = PreferenceWrapper.getDefault(g);
            if (sharedPreferences != null) {
                SharedPreferences.Editor edit = sharedPreferences.edit();
                String string = sharedPreferences.getString(b.al, "");
                String appVersionName = UMUtils.getAppVersionName(g);
                if (!TextUtils.isEmpty(string) && !string.equals(appVersionName)) {
                    int i = sharedPreferences.getInt("versioncode", 0);
                    String string2 = sharedPreferences.getString("pre_date", "");
                    String string3 = sharedPreferences.getString("pre_version", "");
                    String string4 = sharedPreferences.getString(b.al, "");
                    edit.putString("vers_date", string2);
                    edit.putString("vers_pre_version", string3);
                    edit.putString("cur_version", string4);
                    edit.putString("dp_vers_date", string2);
                    edit.putString("dp_vers_pre_version", string3);
                    edit.putString("dp_cur_version", string4);
                    edit.putInt("vers_code", i);
                    edit.putString("vers_name", string);
                    edit.putInt("dp_vers_code", i);
                    edit.putString("dp_vers_name", string);
                    edit.putLong("a_end_time", 0);
                    edit.commit();
                    if (c(context) == null) {
                        f = a(context, sharedPreferences, longValue);
                    }
                    a(g, longValue);
                    b(g, longValue);
                } else if (a(sharedPreferences, longValue)) {
                    f = a(context, sharedPreferences, longValue);
                    MLog.i("Start new session: " + f);
                    UMRTLog.i(UMRTLog.RTLOG_TAG, "Start new session: " + f);
                } else {
                    f = sharedPreferences.getString(c, null);
                    edit.putLong("a_start_time", longValue);
                    edit.putLong("a_end_time", 0);
                    edit.commit();
                    MLog.i("Extend current session: " + f);
                    UMRTLog.i(UMRTLog.RTLOG_TAG, "Extend current session: " + f);
                    d(context);
                    j.a(g).a(false);
                    j.a(g).d();
                }
            }
        } catch (Throwable unused) {
        }
    }

    public void b(Context context, Object obj) {
        try {
            if (g == null && context != null) {
                g = context.getApplicationContext();
            }
            long longValue = ((Long) obj).longValue();
            SharedPreferences sharedPreferences = PreferenceWrapper.getDefault(context);
            if (sharedPreferences != null) {
                if (sharedPreferences.getLong("a_start_time", 0) != 0 || !AnalyticsConfig.ACTIVITY_DURATION_OPEN) {
                    SharedPreferences.Editor edit = sharedPreferences.edit();
                    edit.putLong("a_end_time", longValue);
                    edit.putLong(b, longValue);
                    edit.commit();
                    return;
                }
                MLog.e("onPause called before onResume");
            }
        } catch (Throwable unused) {
        }
    }

    public boolean b() {
        SharedPreferences sharedPreferences = PreferenceWrapper.getDefault(g);
        if (sharedPreferences == null) {
            return false;
        }
        long currentTimeMillis = System.currentTimeMillis();
        long j = sharedPreferences.getLong("a_start_time", 0);
        long j2 = sharedPreferences.getLong("a_end_time", 0);
        if ((j == 0 || currentTimeMillis - j >= AnalyticsConfig.kContinueSessionMillis) && currentTimeMillis - j2 > AnalyticsConfig.kContinueSessionMillis) {
            return true;
        }
        return false;
    }

    private boolean a(SharedPreferences sharedPreferences, long j) {
        Iterator<String> keys;
        long j2 = sharedPreferences.getLong("a_start_time", 0);
        long j3 = sharedPreferences.getLong("a_end_time", 0);
        if (j2 != 0 && j - j2 < AnalyticsConfig.kContinueSessionMillis) {
            MLog.i("onResume called before onPause");
            return false;
        } else if (j - j3 <= AnalyticsConfig.kContinueSessionMillis) {
            return false;
        } else {
            try {
                String string = sharedPreferences.getString(c, "-1");
                long j4 = sharedPreferences.getLong(b, 0);
                if ("-1".equals(string)) {
                    return true;
                }
                if (j4 == 0) {
                    j4 = System.currentTimeMillis();
                }
                JSONObject jSONObject = new JSONObject();
                jSONObject.put(c.e.a.g, j4);
                g.a(g).a(string, jSONObject, g.a.END);
                if (!AnalyticsConfig.FLAG_DPLUS) {
                    return true;
                }
                JSONObject jSONObject2 = new JSONObject();
                JSONObject j5 = b.a().j();
                if (j5.length() > 0) {
                    jSONObject2.put(b.ab, j5);
                }
                jSONObject2.put(b.af, string);
                jSONObject2.put("__ii", string);
                jSONObject2.put(b.ag, j4);
                JSONObject h = b.a().h(g);
                if (!(h == null || h.length() <= 0 || (keys = h.keys()) == null)) {
                    while (keys.hasNext()) {
                        try {
                            String obj = keys.next().toString();
                            if (!Arrays.asList(b.au).contains(obj)) {
                                jSONObject2.put(obj, h.get(obj));
                            }
                        } catch (Exception unused) {
                        }
                    }
                }
                j.a(g).a(jSONObject2, 3, false);
                return true;
            } catch (Throwable unused2) {
                return true;
            }
        }
    }

    private String a(Context context, SharedPreferences sharedPreferences, long j) {
        if (g == null && context != null) {
            g = context.getApplicationContext();
        }
        String b2 = b(g);
        try {
            d(context);
            JSONObject jSONObject = new JSONObject();
            jSONObject.put("__e", j);
            g.a(g).a(b2, jSONObject, g.a.BEGIN);
            a(g);
            SharedPreferences.Editor edit = sharedPreferences.edit();
            edit.putString(c, b2);
            edit.putLong(a, j);
            edit.putLong(b, 0);
            edit.putLong("a_start_time", j);
            edit.putLong("a_end_time", 0);
            edit.putInt("versioncode", Integer.parseInt(UMUtils.getAppVersionCode(context)));
            edit.putString(b.al, UMUtils.getAppVersionName(context));
            edit.commit();
            JSONObject jSONObject2 = new JSONObject();
            JSONObject j2 = b.a().j();
            if (j2.length() > 0) {
                jSONObject2.put(b.ab, j2);
            }
            jSONObject2.put(b.ad, b2);
            jSONObject2.put("__ii", b2);
            jSONObject2.put(b.ae, j);
            j.a(g).c((Object) jSONObject2);
        } catch (Throwable unused) {
        }
        return b2;
    }

    private void d(Context context) {
        j.a(context).b(context);
        j.a(context).a();
    }

    public boolean a(Context context, long j) {
        String string;
        Iterator<String> keys;
        boolean z = true;
        try {
            SharedPreferences sharedPreferences = PreferenceWrapper.getDefault(context);
            if (sharedPreferences == null || (string = sharedPreferences.getString(c, null)) == null) {
                return false;
            }
            long j2 = sharedPreferences.getLong("a_start_time", 0);
            long j3 = sharedPreferences.getLong("a_end_time", 0);
            if (j2 <= 0 || j3 != 0) {
                z = false;
            } else {
                try {
                    b(g, Long.valueOf(j));
                    try {
                        JSONObject jSONObject = new JSONObject();
                        jSONObject.put(c.e.a.g, j);
                        g.a(context).a(string, jSONObject, g.a.END);
                        j.a(g).b();
                        if (AnalyticsConfig.FLAG_DPLUS) {
                            JSONObject jSONObject2 = new JSONObject();
                            JSONObject b2 = b.a().b();
                            if (b2 == null || b2.length() < 1) {
                                b2 = b.a().j();
                            }
                            if (b2.length() > 0) {
                                jSONObject2.put(b.ab, b2);
                            }
                            jSONObject2.put(b.af, string);
                            jSONObject2.put("__ii", string);
                            jSONObject2.put(b.ag, j);
                            JSONObject h = b.a().h(g);
                            if (!(h == null || h.length() <= 0 || (keys = h.keys()) == null)) {
                                while (keys.hasNext()) {
                                    try {
                                        String obj = keys.next().toString();
                                        if (!Arrays.asList(b.au).contains(obj)) {
                                            jSONObject2.put(obj, h.get(obj));
                                        }
                                    } catch (Exception unused) {
                                    }
                                }
                            }
                            j.a(g).a(jSONObject2, 3, true);
                        }
                    } catch (Throwable unused2) {
                    }
                } catch (Throwable unused3) {
                    return true;
                }
            }
            a(context);
            return z;
        } catch (Throwable unused4) {
            return false;
        }
    }

    public void b(Context context, long j) {
        SharedPreferences sharedPreferences = PreferenceWrapper.getDefault(context);
        if (sharedPreferences != null) {
            f = b(context);
            try {
                SharedPreferences.Editor edit = sharedPreferences.edit();
                edit.putString(c, f);
                edit.putLong(a, j);
                edit.putLong(b, 0);
                edit.putLong("a_start_time", j);
                edit.putLong("a_end_time", 0);
                edit.putInt("versioncode", Integer.parseInt(UMUtils.getAppVersionCode(g)));
                edit.putString(b.al, UMUtils.getAppVersionName(g));
                edit.commit();
                JSONObject jSONObject = new JSONObject();
                jSONObject.put("__e", j);
                g.a(g).a(f, jSONObject, g.a.BEGIN);
                JSONObject jSONObject2 = new JSONObject();
                JSONObject j2 = b.a().j();
                if (j2.length() > 0) {
                    jSONObject2.put(b.ab, j2);
                }
                jSONObject2.put(b.ad, f);
                jSONObject2.put("__ii", f);
                jSONObject2.put(b.ae, j);
                j.a(g).b((Object) jSONObject2);
            } catch (Throwable unused) {
            }
        }
    }

    public String c() {
        return f;
    }

    public String c(Context context) {
        try {
            if (f == null) {
                return PreferenceWrapper.getDefault(context).getString(c, null);
            }
        } catch (Throwable unused) {
        }
        return f;
    }

    public String d() {
        return c(g);
    }
}
