package com.umeng.commonsdk;

import android.content.Context;
import android.text.TextUtils;
import android.util.Log;
import com.umeng.commonsdk.debug.UMLog;
import com.umeng.commonsdk.debug.UMLogCommon;
import com.umeng.commonsdk.proguard.g;
import com.umeng.commonsdk.stateless.UMSLEnvelopeBuild;
import com.umeng.commonsdk.statistics.AnalyticsConstants;
import com.umeng.commonsdk.statistics.SdkVersion;
import com.umeng.commonsdk.statistics.a;
import com.umeng.commonsdk.statistics.b;
import com.umeng.commonsdk.statistics.common.DeviceConfig;
import com.umeng.commonsdk.statistics.common.MLog;
import com.umeng.commonsdk.utils.UMUtils;
import java.lang.reflect.Constructor;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;

public class UMConfigure {
    public static final int DEVICE_TYPE_BOX = 2;
    public static final int DEVICE_TYPE_PHONE = 1;
    private static final String KEY_FILE_NAME_APPKEY = "APPKEY";
    private static final String KEY_FILE_NAME_LOG = "LOG";
    private static final String KEY_METHOD_NAME_PUSH_SETCHANNEL = "setMessageChannel";
    private static final String KEY_METHOD_NAME_PUSH_SET_SECRET = "setSecret";
    private static final String KEY_METHOD_NAME_SETAPPKEY = "setAppkey";
    private static final String KEY_METHOD_NAME_SETCHANNEL = "setChannel";
    private static final String KEY_METHOD_NAME_SETDEBUGMODE = "setDebugMode";
    private static final String TAG = "UMConfigure";
    private static final String WRAPER_TYPE_COCOS2DX_X = "Cocos2d-x";
    private static final String WRAPER_TYPE_COCOS2DX_XLUA = "Cocos2d-x_lua";
    private static final String WRAPER_TYPE_FLUTTER = "flutter";
    private static final String WRAPER_TYPE_HYBRID = "hybrid";
    private static final String WRAPER_TYPE_NATIVE = "native";
    private static final String WRAPER_TYPE_PHONEGAP = "phonegap";
    private static final String WRAPER_TYPE_REACTNATIVE = "react-native";
    private static final String WRAPER_TYPE_UNITY = "Unity";
    private static final String WRAPER_TYPE_WEEX = "weex";
    private static boolean debugLog = false;
    private static boolean isFinish = false;
    private static boolean isUMDebug;
    private static Object lockObject = new Object();
    public static UMLog umDebugLog = new UMLog();

    private static Class<?> getClass(String str) {
        try {
            return Class.forName(str);
        } catch (ClassNotFoundException unused) {
            return null;
        }
    }

    private Object getInstanceObject(Class<?> cls) {
        if (cls != null) {
            try {
                return cls.newInstance();
            } catch (IllegalAccessException | InstantiationException unused) {
            }
        }
        return null;
    }

    private static Object getDecInstanceObject(Class<?> cls) {
        Constructor<?> constructor;
        if (cls == null) {
            return null;
        }
        try {
            constructor = cls.getDeclaredConstructor(new Class[0]);
        } catch (NoSuchMethodException unused) {
            constructor = null;
        }
        if (constructor == null) {
            return null;
        }
        constructor.setAccessible(true);
        try {
            return constructor.newInstance(new Object[0]);
        } catch (IllegalAccessException | IllegalArgumentException | InstantiationException | InvocationTargetException unused2) {
            return null;
        }
    }

    private static Method getDecMethod(Class<?> cls, String str, Class<?>[] clsArr) {
        Method method = null;
        if (cls != null) {
            try {
                method = cls.getDeclaredMethod(str, clsArr);
            } catch (NoSuchMethodException unused) {
            }
            if (method != null) {
                method.setAccessible(true);
            }
        }
        return method;
    }

    private static void invoke(Method method, Object obj, Object[] objArr) {
        if (method != null && obj != null) {
            try {
                method.invoke(obj, objArr);
            } catch (IllegalAccessException | IllegalArgumentException | InvocationTargetException unused) {
            }
        }
    }

    private static void invoke(Method method, Object[] objArr) {
        if (method != null) {
            try {
                method.invoke(null, objArr);
            } catch (IllegalAccessException | IllegalArgumentException | InvocationTargetException unused) {
            }
        }
    }

    private static void setFile(Class<?> cls, String str, String str2) {
        if (cls != null) {
            try {
                cls.getField(str).set(str, str2);
            } catch (Exception unused) {
            }
        }
    }

    private static void setFile(Class<?> cls, String str, boolean z) {
        if (cls != null) {
            try {
                cls.getField(str).set(str, Boolean.valueOf(z));
            } catch (Exception unused) {
            }
        }
    }

    private static void saveSDKComponent() {
        StringBuffer stringBuffer = new StringBuffer();
        if (getClass("com.umeng.analytics.vismode.V") != null) {
            stringBuffer.append("v");
        } else if (getClass("com.umeng.analytics.MobclickAgent") != null) {
            stringBuffer.append(g.al);
        }
        if (getClass("com.umeng.visual.UMVisualAgent") != null) {
            stringBuffer.append("x");
        }
        if (getClass("com.umeng.message.PushAgent") != null) {
            stringBuffer.append(g.ao);
        }
        if (getClass("com.umeng.socialize.UMShareAPI") != null) {
            stringBuffer.append(g.ap);
        }
        if (getClass("com.umeng.error.UMError") != null) {
            stringBuffer.append("e");
        }
        stringBuffer.append(g.aq);
        if (!(SdkVersion.SDK_TYPE == 1 || getClass("com.umeng.commonsdk.internal.UMOplus") == null)) {
            stringBuffer.append("o");
        }
        if (!TextUtils.isEmpty(stringBuffer)) {
            b.a = stringBuffer.toString();
            UMSLEnvelopeBuild.module = stringBuffer.toString();
        }
    }

    public static boolean getInitStatus() {
        boolean z;
        synchronized (lockObject) {
            z = isFinish;
        }
        return z;
    }

    public static void init(Context context, int i, String str) {
        init(context, null, null, i, str);
    }

    /* JADX WARNING: Code restructure failed: missing block: B:159:0x02f9, code lost:
        r9 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:161:0x02fc, code lost:
        if (com.umeng.commonsdk.UMConfigure.debugLog != false) goto L_0x02fe;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:162:0x02fe, code lost:
        android.util.Log.e(com.umeng.commonsdk.UMConfigure.TAG, "init e is " + r9);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:163:0x0315, code lost:
        r9 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:165:0x0318, code lost:
        if (com.umeng.commonsdk.UMConfigure.debugLog != false) goto L_0x031a;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:166:0x031a, code lost:
        android.util.Log.e(com.umeng.commonsdk.UMConfigure.TAG, "init e is " + r9);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:171:?, code lost:
        return;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:173:?, code lost:
        return;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:174:?, code lost:
        return;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:175:?, code lost:
        return;
     */
    /* JADX WARNING: Failed to process nested try/catch */
    /* JADX WARNING: Removed duplicated region for block: B:159:0x02f9 A[ExcHandler: all (r9v3 'th' java.lang.Object A[CUSTOM_DECLARE]), Splitter:B:0:0x0000] */
    public static void init(Context context, String str, String str2, int i, String str3) {
        Method declaredMethod;
        Method declaredMethod2;
        Method declaredMethod3;
        Method declaredMethod4;
        Method declaredMethod5;
        Method declaredMethod6;
        Object invoke;
        Method declaredMethod7;
        Method declaredMethod8;
        Object invoke2;
        Method declaredMethod9;
        Method declaredMethod10;
        try {
            if (debugLog) {
                Log.i(TAG, "common version is 1.5.3");
                Log.i(TAG, "common type is " + SdkVersion.SDK_TYPE);
            }
            if (context != null) {
                Context applicationContext = context.getApplicationContext();
                if (debugLog) {
                    String appkeyByXML = UMUtils.getAppkeyByXML(applicationContext);
                    if (!TextUtils.isEmpty(str) && !TextUtils.isEmpty(appkeyByXML) && !str.equals(appkeyByXML)) {
                        UMLog.mutlInfo(UMLogCommon.SC_10011, 3, "", new String[]{"@", "#"}, new String[]{str, appkeyByXML});
                    }
                }
                if (TextUtils.isEmpty(str)) {
                    str = UMUtils.getAppkeyByXML(applicationContext);
                }
                if (TextUtils.isEmpty(str2)) {
                    str2 = UMUtils.getChannelByXML(applicationContext);
                }
                if (TextUtils.isEmpty(str2)) {
                    str2 = "Unknown";
                }
                UMUtils.setChannel(applicationContext, str2);
                if (debugLog) {
                    Log.i(TAG, "channel is " + str2);
                }
                saveSDKComponent();
                Class<?> cls = Class.forName("com.umeng.analytics.MobclickAgent");
                if (!(cls == null || (declaredMethod10 = cls.getDeclaredMethod("init", Context.class)) == null)) {
                    declaredMethod10.setAccessible(true);
                    declaredMethod10.invoke(cls, applicationContext);
                    if (debugLog) {
                        UMLog.mutlInfo(UMLogCommon.SC_10003, 2, "");
                    }
                }
                Class<?> cls2 = Class.forName("com.umeng.message.PushAgent");
                if (!(cls2 == null || (declaredMethod8 = cls2.getDeclaredMethod("getInstance", Context.class)) == null || (invoke2 = declaredMethod8.invoke(cls2, applicationContext)) == null || (declaredMethod9 = cls2.getDeclaredMethod(KEY_METHOD_NAME_SETAPPKEY, String.class)) == null)) {
                    declaredMethod9.setAccessible(true);
                    declaredMethod9.invoke(invoke2, str);
                    if (debugLog) {
                        UMLog.mutlInfo(UMLogCommon.SC_10004, 2, "");
                    }
                }
                Class<?> cls3 = Class.forName("com.umeng.message.PushAgent");
                if (!(cls3 == null || (declaredMethod6 = cls3.getDeclaredMethod("getInstance", Context.class)) == null || (invoke = declaredMethod6.invoke(cls3, applicationContext)) == null || (declaredMethod7 = cls3.getDeclaredMethod(KEY_METHOD_NAME_PUSH_SETCHANNEL, String.class)) == null)) {
                    declaredMethod7.setAccessible(true);
                    declaredMethod7.invoke(invoke, str2);
                    if (debugLog) {
                        UMLog.mutlInfo(UMLogCommon.SC_10005, 2, "");
                    }
                }
                try {
                    Class<?> cls4 = getClass("com.umeng.socialize.UMShareAPI");
                    setFile(cls4, KEY_FILE_NAME_APPKEY, str);
                    if (!(cls4 == null || (declaredMethod5 = cls4.getDeclaredMethod("init", Context.class, String.class)) == null)) {
                        declaredMethod5.setAccessible(true);
                        declaredMethod5.invoke(cls4, applicationContext, str);
                        if (debugLog) {
                            UMLog.mutlInfo(UMLogCommon.SC_10006, 2, "");
                        }
                    }
                } catch (Throwable unused) {
                }
                if (!TextUtils.isEmpty(str)) {
                    UMUtils.setAppkey(applicationContext, str);
                    String lastAppkey = UMUtils.getLastAppkey(applicationContext);
                    if (!TextUtils.isEmpty(str) && !str.equals(lastAppkey)) {
                        if (!TextUtils.isEmpty(lastAppkey) && debugLog) {
                            UMLog.mutlInfo(UMLogCommon.SC_10008, 2, "");
                        }
                        UMUtils.setLastAppkey(applicationContext, str);
                    }
                    if (debugLog) {
                        Log.i(TAG, "current appkey is " + str + ", last appkey is " + lastAppkey);
                    }
                    AnalyticsConstants.setDeviceType(i);
                    if (TextUtils.isEmpty(str3)) {
                        boolean z = debugLog;
                    } else {
                        if (debugLog) {
                            Log.i(TAG, "push secret is " + str3);
                        }
                        try {
                            Class<?> cls5 = Class.forName("com.umeng.message.PushAgent");
                            if (!(cls5 == null || (declaredMethod3 = cls5.getDeclaredMethod("getInstance", Context.class)) == null)) {
                                declaredMethod3.setAccessible(true);
                                Object invoke3 = declaredMethod3.invoke(cls5, applicationContext);
                                if (!(invoke3 == null || (declaredMethod4 = cls5.getDeclaredMethod(KEY_METHOD_NAME_PUSH_SET_SECRET, String.class)) == null)) {
                                    declaredMethod4.setAccessible(true);
                                    declaredMethod4.invoke(invoke3, str3);
                                    if (debugLog) {
                                        UMLog.mutlInfo(UMLogCommon.SC_10009, 2, "");
                                    }
                                }
                            }
                        } catch (Throwable unused2) {
                        }
                    }
                    try {
                        Class<?> cls6 = Class.forName("com.umeng.error.UMError");
                        if (!(cls6 == null || (declaredMethod2 = cls6.getDeclaredMethod("init", Context.class)) == null)) {
                            declaredMethod2.setAccessible(true);
                            declaredMethod2.invoke(cls6, applicationContext);
                            if (debugLog) {
                                UMLog.mutlInfo(UMLogCommon.SC_10010, 2, "");
                            }
                        }
                    } catch (Throwable unused3) {
                    }
                    if (SdkVersion.SDK_TYPE != 1) {
                        try {
                            Class<?> cls7 = Class.forName("com.umeng.commonsdk.UMConfigureImpl");
                            if (!(cls7 == null || (declaredMethod = cls7.getDeclaredMethod("init", Context.class)) == null)) {
                                declaredMethod.setAccessible(true);
                                declaredMethod.invoke(cls7, applicationContext);
                            }
                        } catch (Throwable unused4) {
                        }
                    } else {
                        a.a(applicationContext);
                    }
                    try {
                        Method method = Class.forName("com.umeng.visual.UMVisualAgent").getMethod("init", Context.class, String.class);
                        if (!TextUtils.isEmpty(str)) {
                            method.invoke(null, context, str);
                        } else if (AnalyticsConstants.UM_DEBUG) {
                            MLog.e("initDebugSDK appkey  is null");
                        }
                    } catch (ClassNotFoundException unused5) {
                        Class.forName("com.umeng.analytics.vismode.event.VisualHelper").getMethod("init", Context.class).invoke(null, context);
                    } catch (Throwable unused6) {
                    }
                    synchronized (lockObject) {
                        isFinish = true;
                    }
                } else if (debugLog) {
                    UMLog.aq(UMLogCommon.SC_10007, 0, "\\|");
                }
            } else if (debugLog) {
                Log.e(TAG, "context is null !!!");
            }
        } catch (Throwable th) {
        }
    }

    public static boolean isDebugLog() {
        return debugLog;
    }

    public static void setLogEnabled(boolean z) {
        try {
            debugLog = z;
            MLog.DEBUG = z;
            Class<?> cls = getClass("com.umeng.message.PushAgent");
            Object decInstanceObject = getDecInstanceObject(cls);
            invoke(getDecMethod(cls, KEY_METHOD_NAME_SETDEBUGMODE, new Class[]{Boolean.TYPE}), decInstanceObject, new Object[]{Boolean.valueOf(z)});
            setFile(getClass("com.umeng.socialize.Config"), "DEBUG", z);
        } catch (Exception e) {
            if (debugLog) {
                Log.e(TAG, "set log enabled e is " + e);
            }
        } catch (Throwable th) {
            if (debugLog) {
                Log.e(TAG, "set log enabled e is " + th);
            }
        }
    }

    public static void setEncryptEnabled(boolean z) {
        b.a(z);
        UMSLEnvelopeBuild.setEncryptEnabled(z);
    }

    public static String getUMIDString(Context context) {
        if (context != null) {
            return UMUtils.getUMId(context.getApplicationContext());
        }
        return null;
    }

    private static void setLatencyWindow(long j) {
        a.c = ((int) j) * 1000;
    }

    private static void setCheckDevice(boolean z) {
        AnalyticsConstants.CHECK_DEVICE = z;
    }

    private static void setWraperType(String str, String str2) {
        if (!TextUtils.isEmpty(str)) {
            if (str.equals(WRAPER_TYPE_NATIVE)) {
                com.umeng.commonsdk.stateless.a.a = WRAPER_TYPE_NATIVE;
                a.a = WRAPER_TYPE_NATIVE;
            } else if (str.equals(WRAPER_TYPE_COCOS2DX_X)) {
                com.umeng.commonsdk.stateless.a.a = WRAPER_TYPE_COCOS2DX_X;
                a.a = WRAPER_TYPE_COCOS2DX_X;
            } else if (str.equals(WRAPER_TYPE_COCOS2DX_XLUA)) {
                com.umeng.commonsdk.stateless.a.a = WRAPER_TYPE_COCOS2DX_XLUA;
                a.a = WRAPER_TYPE_COCOS2DX_XLUA;
            } else if (str.equals(WRAPER_TYPE_UNITY)) {
                com.umeng.commonsdk.stateless.a.a = WRAPER_TYPE_UNITY;
                a.a = WRAPER_TYPE_UNITY;
            } else if (str.equals(WRAPER_TYPE_REACTNATIVE)) {
                com.umeng.commonsdk.stateless.a.a = WRAPER_TYPE_REACTNATIVE;
                a.a = WRAPER_TYPE_REACTNATIVE;
            } else if (str.equals(WRAPER_TYPE_PHONEGAP)) {
                com.umeng.commonsdk.stateless.a.a = WRAPER_TYPE_PHONEGAP;
                a.a = WRAPER_TYPE_PHONEGAP;
            } else if (str.equals(WRAPER_TYPE_WEEX)) {
                com.umeng.commonsdk.stateless.a.a = WRAPER_TYPE_WEEX;
                a.a = WRAPER_TYPE_WEEX;
            } else if (str.equals(WRAPER_TYPE_HYBRID)) {
                com.umeng.commonsdk.stateless.a.a = WRAPER_TYPE_HYBRID;
                a.a = WRAPER_TYPE_HYBRID;
            } else if (str.equals(WRAPER_TYPE_FLUTTER)) {
                com.umeng.commonsdk.stateless.a.a = WRAPER_TYPE_FLUTTER;
                a.a = WRAPER_TYPE_FLUTTER;
            }
        }
        if (!TextUtils.isEmpty(str2)) {
            com.umeng.commonsdk.stateless.a.b = str2;
            a.b = str2;
        }
    }

    public static String[] getTestDeviceInfo(Context context) {
        String[] strArr = new String[2];
        if (context != null) {
            try {
                strArr[0] = DeviceConfig.getDeviceIdForGeneral(context);
                strArr[1] = DeviceConfig.getMac(context);
            } catch (Exception unused) {
            }
        }
        return strArr;
    }
}
