package com.umeng.commonsdk.framework;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.net.ConnectivityManager;
import android.net.NetworkInfo;
import android.os.FileObserver;
import android.os.Handler;
import android.os.HandlerThread;
import android.os.Message;
import com.umeng.commonsdk.debug.UMRTLog;
import com.umeng.commonsdk.internal.b;
import com.umeng.commonsdk.statistics.common.DeviceConfig;
import com.umeng.commonsdk.statistics.common.e;
import com.umeng.commonsdk.statistics.internal.StatTracer;
import com.umeng.commonsdk.statistics.noise.ImLatent;
import java.io.File;

/* access modifiers changed from: package-private */
/* compiled from: UMNetWorkSender */
public class c {
    private static HandlerThread a = null;
    private static Handler b = null;
    private static Handler c = null;
    private static final int d = 273;
    private static final int e = 512;
    private static final int f = 769;
    private static a g = null;
    private static ConnectivityManager h = null;
    private static NetworkInfo i = null;
    private static IntentFilter j = null;
    private static StatTracer k = null;
    private static ImLatent l = null;
    private static boolean m = false;
    private static BroadcastReceiver n = new BroadcastReceiver() {
        /* class com.umeng.commonsdk.framework.c.AnonymousClass1 */

        public void onReceive(Context context, Intent intent) {
            if (intent.getAction().equals("android.net.conn.CONNECTIVITY_CHANGE")) {
                Context appContext = UMModuleRegister.getAppContext();
                ConnectivityManager unused = c.h = (ConnectivityManager) appContext.getSystemService("connectivity");
                try {
                    NetworkInfo unused2 = c.i = c.h.getActiveNetworkInfo();
                    if (c.i == null || !c.i.isAvailable()) {
                        e.c("--->>> network disconnected.");
                        boolean unused3 = c.m = false;
                        return;
                    }
                    boolean unused4 = c.m = true;
                    c.c(273);
                    if (c.i.getType() == 1 && context != null) {
                        try {
                            if (!UMWorkDispatch.eventHasExist(com.umeng.commonsdk.internal.a.j)) {
                                UMWorkDispatch.sendEvent(context, com.umeng.commonsdk.internal.a.j, b.a(context).a(), null);
                            }
                        } catch (Throwable unused5) {
                        }
                    }
                } catch (Throwable th) {
                    com.umeng.commonsdk.proguard.b.a(appContext, th);
                }
            }
        }
    };

    public c(Context context, Handler handler) {
        c = handler;
        try {
            if (a == null) {
                HandlerThread handlerThread = new HandlerThread("NetWorkSender");
                a = handlerThread;
                handlerThread.start();
                if (g == null) {
                    a aVar = new a(b.h(context));
                    g = aVar;
                    aVar.startWatching();
                    e.b("--->>> FileMonitor has already started!");
                }
                Context appContext = UMModuleRegister.getAppContext();
                if (DeviceConfig.checkPermission(appContext, "android.permission.ACCESS_NETWORK_STATE") && j == null) {
                    IntentFilter intentFilter = new IntentFilter();
                    j = intentFilter;
                    intentFilter.addAction("android.net.conn.CONNECTIVITY_CHANGE");
                    BroadcastReceiver broadcastReceiver = n;
                    if (broadcastReceiver != null) {
                        appContext.registerReceiver(broadcastReceiver, j);
                    }
                }
                if (k == null) {
                    StatTracer instance = StatTracer.getInstance(context);
                    k = instance;
                    l = ImLatent.getService(context, instance);
                }
                if (b == null) {
                    b = new Handler(a.getLooper()) {
                        /* class com.umeng.commonsdk.framework.c.AnonymousClass2 */

                        public void handleMessage(Message message) {
                            int i = message.what;
                            if (i == 273) {
                                e.b("--->>> handleMessage: recv MSG_PROCESS_NEXT msg.");
                                c.j();
                            } else if (i == 512) {
                                c.i();
                            }
                        }
                    };
                }
            }
        } catch (Throwable th) {
            com.umeng.commonsdk.proguard.b.a(context, th);
        }
    }

    private static void h() {
        if (a != null) {
            a = null;
        }
        if (b != null) {
            b = null;
        }
        if (c != null) {
            c = null;
        }
        if (l != null) {
            l = null;
        }
        if (k != null) {
            k = null;
        }
    }

    /* access modifiers changed from: private */
    public static void i() {
        a aVar = g;
        if (aVar != null) {
            aVar.stopWatching();
            g = null;
        }
        if (j != null) {
            if (n != null) {
                UMModuleRegister.getAppContext().unregisterReceiver(n);
                n = null;
            }
            j = null;
        }
        e.b("--->>> handleQuit: Quit sender thread.");
        HandlerThread handlerThread = a;
        if (handlerThread != null) {
            handlerThread.quit();
            h();
        }
    }

    public static void a() {
        c(512);
    }

    private static void b(int i2) {
        Handler handler;
        if (m && (handler = b) != null && !handler.hasMessages(i2)) {
            Message obtainMessage = b.obtainMessage();
            obtainMessage.what = i2;
            b.sendMessage(obtainMessage);
        }
    }

    /* access modifiers changed from: private */
    public static void c(int i2) {
        Handler handler;
        if (m && (handler = b) != null) {
            Message obtainMessage = handler.obtainMessage();
            obtainMessage.what = i2;
            b.sendMessage(obtainMessage);
        }
    }

    private static void a(int i2, long j2) {
        Handler handler;
        if (m && (handler = b) != null) {
            Message obtainMessage = handler.obtainMessage();
            obtainMessage.what = i2;
            b.sendMessageDelayed(obtainMessage, j2);
        }
    }

    public static void b() {
        b(273);
    }

    private static void a(int i2, int i3) {
        Handler handler;
        if (m && (handler = c) != null) {
            handler.removeMessages(i2);
            Message obtainMessage = c.obtainMessage();
            obtainMessage.what = i2;
            c.sendMessageDelayed(obtainMessage, (long) i3);
        }
    }

    public static void c() {
        a((int) f, 3000);
    }

    /* access modifiers changed from: package-private */
    /* compiled from: UMNetWorkSender */
    public static class a extends FileObserver {
        public a(String str) {
            super(str);
        }

        public void onEvent(int i, String str) {
            if ((i & 8) == 8) {
                e.b("--->>> envelope file created >>> " + str);
                UMRTLog.i(UMRTLog.RTLOG_TAG, "File: " + str + " created.");
                c.c(273);
            }
        }
    }

    /* access modifiers changed from: private */
    public static void j() {
        e.b("--->>> handleProcessNext: Enter...");
        if (m) {
            Context appContext = UMModuleRegister.getAppContext();
            try {
                if (b.c(appContext) > 0) {
                    e.b("--->>> The envelope file exists.");
                    if (b.c(appContext) > 100) {
                        e.b("--->>> Number of envelope files is greater than 100, remove old files first.");
                        b.d(appContext);
                    }
                    File e2 = b.e(appContext);
                    if (e2 != null) {
                        String path = e2.getPath();
                        e.b("--->>> Ready to send envelope file [" + path + "].");
                        com.umeng.commonsdk.statistics.c cVar = new com.umeng.commonsdk.statistics.c(appContext);
                        ImLatent imLatent = l;
                        if (imLatent != null && imLatent.isLatentActivite()) {
                            l.latentDeactivite();
                            long delayTime = l.getDelayTime();
                            if (delayTime > 0) {
                                e.c("start lacency policy, wait [" + delayTime + "] milliseconds .");
                                try {
                                    Thread.sleep(delayTime * 1000);
                                } catch (Throwable th) {
                                    com.umeng.commonsdk.proguard.b.a(appContext, th);
                                }
                            }
                        }
                        if (cVar.a(e2)) {
                            e.b("--->>> Send envelope file success, delete it.");
                            if (!b.a(e2)) {
                                e.b("--->>> Failed to delete already processed file. We try again after delete failed.");
                                b.a(e2);
                            }
                            c(273);
                            return;
                        }
                        e.b("--->>> Send envelope file failed, abandon and wait next trigger!");
                        return;
                    }
                }
                e.b("--->>> The envelope file not exists, start auto process for module cache data.");
                c();
            } catch (Throwable th2) {
                com.umeng.commonsdk.proguard.b.a(appContext, th2);
            }
        }
    }
}
