package com.umeng.commonsdk.stateless;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.net.ConnectivityManager;
import android.net.NetworkInfo;
import android.os.Handler;
import android.os.HandlerThread;
import android.os.Message;
import android.text.TextUtils;
import android.util.Base64;
import com.umeng.commonsdk.proguard.b;
import com.umeng.commonsdk.statistics.common.DeviceConfig;
import com.umeng.commonsdk.statistics.common.e;
import java.io.File;

/* compiled from: UMSLNetWorkSender */
public class d {
    public static final int a = 273;
    private static Context b = null;
    private static HandlerThread c = null;
    private static Handler d = null;
    private static Object e = new Object();
    private static final int f = 512;
    private static IntentFilter g = null;
    private static boolean h = false;
    private static BroadcastReceiver i = new BroadcastReceiver() {
        /* class com.umeng.commonsdk.stateless.d.AnonymousClass1 */

        public void onReceive(Context context, Intent intent) {
            ConnectivityManager connectivityManager;
            if (context != null && intent != null) {
                try {
                    if (intent.getAction() != null && intent.getAction().equals("android.net.conn.CONNECTIVITY_CHANGE")) {
                        Context unused = d.b = context.getApplicationContext();
                        if (d.b != null && (connectivityManager = (ConnectivityManager) d.b.getSystemService("connectivity")) != null) {
                            NetworkInfo activeNetworkInfo = connectivityManager.getActiveNetworkInfo();
                            if (activeNetworkInfo == null || !activeNetworkInfo.isAvailable()) {
                                e.a("walle", "[stateless] net reveiver disconnected --->>>");
                                boolean unused2 = d.h = false;
                                return;
                            }
                            boolean unused3 = d.h = true;
                            e.a("walle", "[stateless] net reveiver ok --->>>");
                            d.b(d.a);
                        }
                    }
                } catch (Throwable th) {
                    b.a(context, th);
                }
            }
        }
    };

    public d(Context context) {
        synchronized (e) {
            if (context != null) {
                try {
                    Context applicationContext = context.getApplicationContext();
                    b = applicationContext;
                    if (applicationContext != null && c == null) {
                        HandlerThread handlerThread = new HandlerThread("SL-NetWorkSender");
                        c = handlerThread;
                        handlerThread.start();
                        if (d == null) {
                            d = new Handler(c.getLooper()) {
                                /* class com.umeng.commonsdk.stateless.d.AnonymousClass2 */

                                public void handleMessage(Message message) {
                                    int i = message.what;
                                    if (i == 273) {
                                        d.e();
                                    } else if (i == 512) {
                                        d.f();
                                    }
                                }
                            };
                        }
                        if (DeviceConfig.checkPermission(b, "android.permission.ACCESS_NETWORK_STATE")) {
                            e.a("walle", "[stateless] begin register receiver");
                            if (g == null) {
                                IntentFilter intentFilter = new IntentFilter();
                                g = intentFilter;
                                intentFilter.addAction("android.net.conn.CONNECTIVITY_CHANGE");
                                if (i != null) {
                                    e.a("walle", "[stateless] register receiver ok");
                                    b.registerReceiver(i, g);
                                }
                            }
                        }
                    }
                } catch (Throwable th) {
                    b.a(context, th);
                }
            }
        }
    }

    public static void a(int i2) {
        Handler handler;
        if (h && (handler = d) != null) {
            Message obtainMessage = handler.obtainMessage();
            obtainMessage.what = i2;
            d.sendMessage(obtainMessage);
        }
    }

    public static void b(int i2) {
        Handler handler;
        try {
            if (h && (handler = d) != null && !handler.hasMessages(i2)) {
                e.a("walle", "[stateless] sendMsgOnce !!!!");
                Message obtainMessage = d.obtainMessage();
                obtainMessage.what = i2;
                d.sendMessage(obtainMessage);
            }
        } catch (Throwable th) {
            b.a(b, th);
        }
    }

    /* access modifiers changed from: private */
    public static void e() {
        Context context;
        if (h && (context = b) != null) {
            try {
                File a2 = f.a(context);
                if (a2 != null && a2.getParentFile() != null && !TextUtils.isEmpty(a2.getParentFile().getName())) {
                    e eVar = new e(b);
                    String str = new String(Base64.decode(a2.getParentFile().getName(), 0));
                    e.a("walle", "[stateless] handleProcessNext, pathUrl is " + str);
                    byte[] bArr = null;
                    try {
                        bArr = f.a(a2.getAbsolutePath());
                    } catch (Exception unused) {
                    }
                    if (eVar.a(bArr, str)) {
                        e.a("walle", "[stateless] Send envelope file success, delete it.");
                        File file = new File(a2.getAbsolutePath());
                        if (!file.delete()) {
                            e.a("walle", "[stateless] Failed to delete already processed file. We try again after delete failed.");
                            file.delete();
                        }
                        b(a);
                        return;
                    }
                    e.a("walle", "[stateless] Send envelope file failed, abandon and wait next trigger!");
                }
            } catch (Throwable th) {
                b.a(b, th);
            }
        }
    }

    public static void a() {
        b(512);
    }

    /* access modifiers changed from: private */
    public static void f() {
        if (g != null) {
            BroadcastReceiver broadcastReceiver = i;
            if (broadcastReceiver != null) {
                Context context = b;
                if (context != null) {
                    context.unregisterReceiver(broadcastReceiver);
                }
                i = null;
            }
            g = null;
        }
        HandlerThread handlerThread = c;
        if (handlerThread != null) {
            handlerThread.quit();
            if (c != null) {
                c = null;
            }
            if (d != null) {
                d = null;
            }
        }
    }
}
