package com.umeng.commonsdk.statistics;

import android.content.Context;
import android.content.SharedPreferences;
import android.text.TextUtils;
import com.umeng.commonsdk.debug.UMRTLog;
import com.umeng.commonsdk.framework.UMEnvelopeBuild;
import com.umeng.commonsdk.framework.a;
import com.umeng.commonsdk.framework.b;
import com.umeng.commonsdk.proguard.ad;
import com.umeng.commonsdk.proguard.g;
import com.umeng.commonsdk.proguard.o;
import com.umeng.commonsdk.statistics.common.MLog;
import com.umeng.commonsdk.statistics.common.ReportPolicy;
import com.umeng.commonsdk.statistics.idtracking.ImprintHandler;
import com.umeng.commonsdk.statistics.idtracking.e;
import com.umeng.commonsdk.statistics.internal.PreferenceWrapper;
import com.umeng.commonsdk.statistics.internal.StatTracer;
import com.umeng.commonsdk.statistics.internal.d;
import com.umeng.commonsdk.statistics.noise.ABTest;
import com.umeng.commonsdk.statistics.noise.Defcon;
import com.umeng.commonsdk.statistics.noise.ImLatent;
import com.umeng.commonsdk.statistics.proto.Response;
import java.io.File;

/* compiled from: NetWorkManager */
public class c {
    private static final int b = 1;
    private static final int c = 2;
    private static final int d = 3;
    private static final String p = "thtstart";
    private static final String q = "gkvc";
    private static final String r = "ekvc";
    String a = null;
    private final int e = 1;
    private com.umeng.commonsdk.statistics.internal.c f;
    private ImprintHandler g;
    private e h;
    private ImprintHandler.a i = null;
    private ABTest j = null;
    private ImLatent k = null;
    private Defcon l = null;
    private long m = 0;
    private int n = 0;
    private int o = 0;
    private Context s;
    private ReportPolicy.ReportStrategy t = null;

    public c(Context context) {
        this.s = context;
        this.i = ImprintHandler.getImprintService(context).b();
        this.j = ABTest.getService(this.s);
        this.l = Defcon.getService(this.s);
        Context context2 = this.s;
        this.k = ImLatent.getService(context2, StatTracer.getInstance(context2));
        SharedPreferences sharedPreferences = PreferenceWrapper.getDefault(this.s);
        this.m = sharedPreferences.getLong(p, 0);
        this.n = sharedPreferences.getInt(q, 0);
        this.o = sharedPreferences.getInt(r, 0);
        this.a = UMEnvelopeBuild.imprintProperty(this.s, "track_list", null);
        ImprintHandler imprintService = ImprintHandler.getImprintService(this.s);
        this.g = imprintService;
        imprintService.a(new d() {
            /* class com.umeng.commonsdk.statistics.c.AnonymousClass1 */

            @Override // com.umeng.commonsdk.statistics.internal.d
            public void onImprintChanged(ImprintHandler.a aVar) {
                c.this.j.onImprintChanged(aVar);
                c.this.l.onImprintChanged(aVar);
                c.this.k.onImprintChanged(aVar);
                c cVar = c.this;
                cVar.a = UMEnvelopeBuild.imprintProperty(cVar.s, "track_list", null);
                String a2 = a.a(c.this.s, g.e, (String) null);
                if (!TextUtils.isEmpty(a2)) {
                    try {
                        Class<?> cls = Class.forName("com.umeng.commonsdk.internal.utils.SDStorageAgent");
                        if (cls != null) {
                            cls.getMethod("updateUMTT", Context.class, String.class).invoke(cls, c.this.s, a2);
                        }
                    } catch (Throwable unused) {
                    }
                }
            }
        });
        this.h = e.a(this.s);
        com.umeng.commonsdk.statistics.internal.c cVar = new com.umeng.commonsdk.statistics.internal.c(this.s);
        this.f = cVar;
        cVar.a(StatTracer.getInstance(this.s));
    }

    public boolean a(File file) {
        int i2;
        if (file == null) {
            return false;
        }
        try {
            byte[] a2 = b.a(file.getPath());
            if (a2 == null) {
                return false;
            }
            com.umeng.commonsdk.statistics.internal.a.a(this.s).b(file.getName());
            byte[] a3 = this.f.a(a2, com.umeng.commonsdk.statistics.internal.a.a(this.s).a(file.getName()));
            if (a3 == null) {
                i2 = 1;
            } else {
                i2 = a(a3);
            }
            if (i2 == 2) {
                this.h.d();
                StatTracer.getInstance(this.s).saveSate();
            } else if (i2 == 3) {
                StatTracer.getInstance(this.s).saveSate();
            }
            if (i2 == 2) {
                return true;
            }
            return false;
        } catch (Throwable th) {
            com.umeng.commonsdk.proguard.b.a(this.s, th);
            return false;
        }
    }

    private int a(byte[] bArr) {
        Response response = new Response();
        try {
            new o(new ad.a()).a(response, bArr);
            if (response.resp_code == 1) {
                this.g.b(response.getImprint());
                this.g.c();
            }
            MLog.i("send log:" + response.getMsg());
            UMRTLog.i(UMRTLog.RTLOG_TAG, "send log: " + response.getMsg());
        } catch (Throwable th) {
            com.umeng.commonsdk.proguard.b.a(this.s, th);
        }
        return response.resp_code == 1 ? 2 : 3;
    }

    public boolean a() {
        if (!this.l.isOpen()) {
            ReportPolicy.ReportStrategy reportStrategy = this.t;
            if (!((reportStrategy instanceof ReportPolicy.LatentPolicy) && reportStrategy.isValid()) && this.k.shouldStartLatency()) {
                this.t = new ReportPolicy.LatentPolicy((int) this.k.getDelayTime());
                return true;
            }
        }
        return false;
    }

    public int b() {
        this.k.getDelayTime();
        return (int) (System.currentTimeMillis() - StatTracer.getInstance(this.s).getLastReqTime());
    }
}
