package com.umeng.commonsdk.statistics.internal;

import android.content.Context;
import android.net.ConnectivityManager;
import android.net.NetworkInfo;
import android.text.TextUtils;
import com.android.volley.toolbox.HttpHeaderParser;
import com.umeng.commonsdk.UMConfigure;
import com.umeng.commonsdk.debug.UMLog;
import com.umeng.commonsdk.debug.UMRTLog;
import com.umeng.commonsdk.framework.UMEnvelopeBuild;
import com.umeng.commonsdk.statistics.AnalyticsConstants;
import com.umeng.commonsdk.statistics.SdkVersion;
import com.umeng.commonsdk.statistics.UMServerURL;
import com.umeng.commonsdk.statistics.b;
import com.umeng.commonsdk.statistics.common.DataHelper;
import com.umeng.commonsdk.statistics.common.DeviceConfig;
import com.umeng.commonsdk.statistics.common.HelperUtils;
import com.umeng.commonsdk.statistics.common.MLog;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.net.InetSocketAddress;
import java.net.Proxy;
import java.net.URL;
import java.net.UnknownHostException;
import java.security.SecureRandom;
import javax.net.ssl.HttpsURLConnection;
import javax.net.ssl.SSLContext;
import javax.net.ssl.SSLHandshakeException;
import org.apache.http.conn.ssl.SSLSocketFactory;

/* compiled from: NetworkHelper */
public class c {
    private static boolean e = false;
    private String a = "10.0.0.172";
    private int b = 80;
    private Context c;
    private b d;

    public c(Context context) {
        this.c = context;
    }

    public void a(b bVar) {
        this.d = bVar;
    }

    private void a() {
        String imprintProperty = UMEnvelopeBuild.imprintProperty(this.c, "domain_p", "");
        String imprintProperty2 = UMEnvelopeBuild.imprintProperty(this.c, "domain_s", "");
        if (!TextUtils.isEmpty(imprintProperty)) {
            UMServerURL.DEFAULT_URL = DataHelper.assembleURL(imprintProperty);
        }
        if (!TextUtils.isEmpty(imprintProperty2)) {
            UMServerURL.SECONDARY_URL = DataHelper.assembleURL(imprintProperty2);
        }
        AnalyticsConstants.APPLOG_URL_LIST = new String[]{UMServerURL.DEFAULT_URL, UMServerURL.SECONDARY_URL};
    }

    private void b() {
        String imprintProperty = UMEnvelopeBuild.imprintProperty(this.c, "domain_p", "");
        String imprintProperty2 = UMEnvelopeBuild.imprintProperty(this.c, "domain_s", "");
        if (!TextUtils.isEmpty(imprintProperty)) {
            UMServerURL.DEFAULT_URL = DataHelper.assembleURL(imprintProperty);
        }
        if (!TextUtils.isEmpty(imprintProperty2)) {
            UMServerURL.SECONDARY_URL = DataHelper.assembleURL(imprintProperty2);
        }
        String imprintProperty3 = UMEnvelopeBuild.imprintProperty(this.c, "oversea_domain_p", "");
        String imprintProperty4 = UMEnvelopeBuild.imprintProperty(this.c, "oversea_domain_s", "");
        if (!TextUtils.isEmpty(imprintProperty3)) {
            UMServerURL.OVERSEA_DEFAULT_URL = DataHelper.assembleURL(imprintProperty3);
        }
        if (!TextUtils.isEmpty(imprintProperty4)) {
            UMServerURL.OVERSEA_SECONDARY_URL = DataHelper.assembleURL(imprintProperty4);
        }
        AnalyticsConstants.APPLOG_URL_LIST = new String[]{UMServerURL.OVERSEA_DEFAULT_URL, UMServerURL.OVERSEA_SECONDARY_URL};
        if (TextUtils.isEmpty(b.b)) {
            return;
        }
        if (b.b.startsWith("460") || b.b.startsWith("461")) {
            AnalyticsConstants.APPLOG_URL_LIST = new String[]{UMServerURL.DEFAULT_URL, UMServerURL.SECONDARY_URL};
        }
    }

    public byte[] a(byte[] bArr, boolean z) {
        if (SdkVersion.SDK_TYPE == 0) {
            a();
        } else {
            UMServerURL.DEFAULT_URL = UMServerURL.OVERSEA_DEFAULT_URL;
            UMServerURL.SECONDARY_URL = UMServerURL.OVERSEA_SECONDARY_URL;
            b();
        }
        int i = 0;
        byte[] bArr2 = null;
        while (true) {
            if (i >= AnalyticsConstants.APPLOG_URL_LIST.length) {
                break;
            }
            bArr2 = a(bArr, AnalyticsConstants.APPLOG_URL_LIST[i]);
            if (bArr2 != null) {
                b bVar = this.d;
                if (bVar != null) {
                    bVar.onRequestSucceed(z);
                }
            } else {
                b bVar2 = this.d;
                if (bVar2 != null) {
                    bVar2.onRequestFailed();
                }
                i++;
            }
        }
        return bArr2;
    }

    private boolean c() {
        NetworkInfo activeNetworkInfo;
        String extraInfo;
        if (this.c.getPackageManager().checkPermission("android.permission.ACCESS_NETWORK_STATE", this.c.getPackageName()) != 0) {
            return false;
        }
        try {
            ConnectivityManager connectivityManager = (ConnectivityManager) this.c.getSystemService("connectivity");
            if (!DeviceConfig.checkPermission(this.c, "android.permission.ACCESS_NETWORK_STATE") || (activeNetworkInfo = connectivityManager.getActiveNetworkInfo()) == null || activeNetworkInfo.getType() == 1 || (extraInfo = activeNetworkInfo.getExtraInfo()) == null || (!extraInfo.equals("cmwap") && !extraInfo.equals("3gwap") && !extraInfo.equals("uniwap"))) {
                return false;
            }
            return true;
        } catch (Throwable th) {
            com.umeng.commonsdk.proguard.b.a(this.c, th);
        }
    }

    /* JADX DEBUG: Failed to insert an additional move for type inference into block B:84:? */
    /* JADX DEBUG: Failed to insert an additional move for type inference into block B:99:? */
    /* JADX DEBUG: Multi-variable search result rejected for r5v0, resolved type: javax.net.ssl.HttpsURLConnection */
    /* JADX DEBUG: Multi-variable search result rejected for r5v2, resolved type: javax.net.ssl.HttpsURLConnection */
    /* JADX DEBUG: Multi-variable search result rejected for r5v3, resolved type: javax.net.ssl.HttpsURLConnection */
    /* JADX DEBUG: Multi-variable search result rejected for r5v4, resolved type: javax.net.ssl.HttpsURLConnection */
    /* JADX DEBUG: Multi-variable search result rejected for r5v8, resolved type: javax.net.ssl.HttpsURLConnection */
    /* JADX DEBUG: Multi-variable search result rejected for r5v17, resolved type: javax.net.ssl.HttpsURLConnection */
    /* JADX DEBUG: Multi-variable search result rejected for r5v18, resolved type: javax.net.ssl.HttpsURLConnection */
    /* JADX DEBUG: Multi-variable search result rejected for r5v19, resolved type: javax.net.ssl.HttpsURLConnection */
    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARNING: Removed duplicated region for block: B:101:0x01c7 A[SYNTHETIC, Splitter:B:101:0x01c7] */
    /* JADX WARNING: Removed duplicated region for block: B:106:0x01d3 A[SYNTHETIC, Splitter:B:106:0x01d3] */
    /* JADX WARNING: Removed duplicated region for block: B:71:0x0179 A[SYNTHETIC, Splitter:B:71:0x0179] */
    /* JADX WARNING: Removed duplicated region for block: B:76:0x0185 A[SYNTHETIC, Splitter:B:76:0x0185] */
    /* JADX WARNING: Removed duplicated region for block: B:86:0x01a0 A[SYNTHETIC, Splitter:B:86:0x01a0] */
    /* JADX WARNING: Removed duplicated region for block: B:91:0x01ac A[SYNTHETIC, Splitter:B:91:0x01ac] */
    public byte[] a(byte[] bArr, String str) {
        OutputStream outputStream;
        HttpsURLConnection httpsURLConnection;
        Throwable th;
        HttpsURLConnection httpsURLConnection2;
        boolean z;
        try {
            b bVar = this.d;
            if (bVar != null) {
                bVar.onRequestStart();
            }
            if (c()) {
                httpsURLConnection = (HttpsURLConnection) new URL(str).openConnection(new Proxy(Proxy.Type.HTTP, new InetSocketAddress(this.a, this.b)));
            } else {
                httpsURLConnection = (HttpsURLConnection) new URL(str).openConnection();
            }
            try {
                z = true;
                if (!e) {
                    httpsURLConnection.setHostnameVerifier(SSLSocketFactory.STRICT_HOSTNAME_VERIFIER);
                    SSLContext instance = SSLContext.getInstance("TLS");
                    instance.init(null, null, new SecureRandom());
                    HttpsURLConnection.setDefaultSSLSocketFactory(instance.getSocketFactory());
                    e = true;
                }
                httpsURLConnection.setRequestProperty("X-Umeng-UTC", String.valueOf(System.currentTimeMillis()));
                httpsURLConnection.setRequestProperty("X-Umeng-Sdk", a.a(this.c).b());
                httpsURLConnection.setRequestProperty(HttpHeaderParser.HEADER_CONTENT_TYPE, a.a(this.c).a());
                httpsURLConnection.setRequestProperty("Msg-Type", "envelope/json");
                httpsURLConnection.setConnectTimeout(30000);
                httpsURLConnection.setReadTimeout(30000);
                httpsURLConnection.setRequestMethod("POST");
                httpsURLConnection.setDoOutput(true);
                httpsURLConnection.setDoInput(true);
                httpsURLConnection.setUseCaches(false);
                outputStream = httpsURLConnection.getOutputStream();
            } catch (SSLHandshakeException unused) {
                outputStream = null;
                MLog.i("发送数据时发生javax.net.sslHandshakeException异常，导致友盟后端对设备端证书验证失败。请确保设备端没有运行抓包代理类程序。详见链接 https://lark.alipay.com/yj131525/byt0wl/ufnf3i#A10200");
                UMLog uMLog = UMConfigure.umDebugLog;
                UMLog.aq("A_10201", 2, "\\|");
                if (outputStream != null) {
                }
                if (httpsURLConnection != 0) {
                }
                return null;
            } catch (UnknownHostException unused2) {
                outputStream = null;
                MLog.i("发送数据时发生java.net.UnknownHostException异常，导致友盟后端域名解析失败。请检查系统DNS服务器配置是否正确。详见链接 https://lark.alipay.com/yj131525/byt0wl/ufnf3i#A10200");
                UMLog uMLog2 = UMConfigure.umDebugLog;
                UMLog.aq("A_10200", 2, "\\|");
                if (outputStream != null) {
                }
                if (httpsURLConnection != 0) {
                }
                return null;
            } catch (Throwable th2) {
                th = th2;
                outputStream = null;
                httpsURLConnection2 = httpsURLConnection;
                try {
                    com.umeng.commonsdk.proguard.b.a(this.c, th);
                    return null;
                } finally {
                    if (outputStream != null) {
                        try {
                            outputStream.close();
                        } catch (Exception e2) {
                            com.umeng.commonsdk.proguard.b.a(this.c, e2);
                        }
                    }
                    if (httpsURLConnection2 != 0) {
                        try {
                            httpsURLConnection2.getInputStream().close();
                        } catch (IOException unused3) {
                        }
                        httpsURLConnection2.disconnect();
                    }
                }
            }
            try {
                outputStream.write(bArr);
                outputStream.flush();
                httpsURLConnection.connect();
                b bVar2 = this.d;
                if (bVar2 != null) {
                    bVar2.onRequestEnd();
                }
                int responseCode = httpsURLConnection.getResponseCode();
                String headerField = httpsURLConnection.getHeaderField(HttpHeaderParser.HEADER_CONTENT_TYPE);
                if (TextUtils.isEmpty(headerField) || !headerField.equalsIgnoreCase("application/thrift")) {
                    z = false;
                }
                if (AnalyticsConstants.UM_DEBUG) {
                    MLog.i("status code : " + responseCode + "; isThrifit:" + z);
                }
                if (responseCode != 200 || !z) {
                    if (outputStream != null) {
                        try {
                            outputStream.close();
                        } catch (Exception e3) {
                            com.umeng.commonsdk.proguard.b.a(this.c, e3);
                        }
                    }
                    if (httpsURLConnection != 0) {
                        try {
                            httpsURLConnection.getInputStream().close();
                        } catch (IOException unused4) {
                        }
                        httpsURLConnection.disconnect();
                    }
                    return null;
                }
                MLog.i("Send message to server. status code is: " + responseCode);
                UMRTLog.i(UMRTLog.RTLOG_TAG, "Send message to server. status code is: " + responseCode + "; url = " + str);
                InputStream inputStream = httpsURLConnection.getInputStream();
                try {
                    byte[] readStreamToByteArray = HelperUtils.readStreamToByteArray(inputStream);
                    if (outputStream != null) {
                        try {
                            outputStream.close();
                        } catch (Exception e4) {
                            com.umeng.commonsdk.proguard.b.a(this.c, e4);
                        }
                    }
                    if (httpsURLConnection != 0) {
                        try {
                            httpsURLConnection.getInputStream().close();
                        } catch (IOException unused5) {
                        }
                        httpsURLConnection.disconnect();
                    }
                    return readStreamToByteArray;
                } finally {
                    HelperUtils.safeClose(inputStream);
                }
            } catch (SSLHandshakeException unused6) {
                MLog.i("发送数据时发生javax.net.sslHandshakeException异常，导致友盟后端对设备端证书验证失败。请确保设备端没有运行抓包代理类程序。详见链接 https://lark.alipay.com/yj131525/byt0wl/ufnf3i#A10200");
                UMLog uMLog3 = UMConfigure.umDebugLog;
                UMLog.aq("A_10201", 2, "\\|");
                if (outputStream != null) {
                }
                if (httpsURLConnection != 0) {
                }
                return null;
            } catch (UnknownHostException unused7) {
                MLog.i("发送数据时发生java.net.UnknownHostException异常，导致友盟后端域名解析失败。请检查系统DNS服务器配置是否正确。详见链接 https://lark.alipay.com/yj131525/byt0wl/ufnf3i#A10200");
                UMLog uMLog22 = UMConfigure.umDebugLog;
                UMLog.aq("A_10200", 2, "\\|");
                if (outputStream != null) {
                }
                if (httpsURLConnection != 0) {
                }
                return null;
            } catch (Throwable th3) {
                th = th3;
                httpsURLConnection2 = httpsURLConnection;
                com.umeng.commonsdk.proguard.b.a(this.c, th);
                return null;
            }
        } catch (SSLHandshakeException unused8) {
            httpsURLConnection = null;
            outputStream = httpsURLConnection;
            MLog.i("发送数据时发生javax.net.sslHandshakeException异常，导致友盟后端对设备端证书验证失败。请确保设备端没有运行抓包代理类程序。详见链接 https://lark.alipay.com/yj131525/byt0wl/ufnf3i#A10200");
            UMLog uMLog32 = UMConfigure.umDebugLog;
            UMLog.aq("A_10201", 2, "\\|");
            if (outputStream != null) {
                try {
                    outputStream.close();
                } catch (Exception e5) {
                    com.umeng.commonsdk.proguard.b.a(this.c, e5);
                }
            }
            if (httpsURLConnection != 0) {
                try {
                    httpsURLConnection.getInputStream().close();
                } catch (IOException unused9) {
                }
                httpsURLConnection.disconnect();
            }
            return null;
        } catch (UnknownHostException unused10) {
            httpsURLConnection = 0;
            outputStream = httpsURLConnection;
            MLog.i("发送数据时发生java.net.UnknownHostException异常，导致友盟后端域名解析失败。请检查系统DNS服务器配置是否正确。详见链接 https://lark.alipay.com/yj131525/byt0wl/ufnf3i#A10200");
            UMLog uMLog222 = UMConfigure.umDebugLog;
            UMLog.aq("A_10200", 2, "\\|");
            if (outputStream != null) {
                try {
                    outputStream.close();
                } catch (Exception e6) {
                    com.umeng.commonsdk.proguard.b.a(this.c, e6);
                }
            }
            if (httpsURLConnection != 0) {
                try {
                    httpsURLConnection.getInputStream().close();
                } catch (IOException unused11) {
                }
                httpsURLConnection.disconnect();
            }
            return null;
        } catch (Throwable th4) {
            th = th4;
            OutputStream outputStream2 = null;
            outputStream = outputStream2;
            httpsURLConnection2 = outputStream2;
            com.umeng.commonsdk.proguard.b.a(this.c, th);
            return null;
        }
    }
}
