package com.youth.banner.transformer;

import android.view.View;

public class ZoomOutPageTransformer extends BasePageTransformer {
    private static final float DEFAULT_MIN_ALPHA = 0.5f;
    private static final float DEFAULT_MIN_SCALE = 0.85f;
    private float mMinAlpha = 0.5f;
    private float mMinScale = DEFAULT_MIN_SCALE;

    public ZoomOutPageTransformer() {
    }

    public ZoomOutPageTransformer(float f, float f2) {
        this.mMinScale = f;
        this.mMinAlpha = f2;
    }

    @Override // androidx.viewpager2.widget.ViewPager2.PageTransformer
    public void transformPage(View view, float f) {
        int width = view.getWidth();
        int height = view.getHeight();
        if (f < -1.0f) {
            view.setAlpha(0.0f);
        } else if (f <= 1.0f) {
            float max = Math.max(this.mMinScale, 1.0f - Math.abs(f));
            float f2 = 1.0f - max;
            float f3 = (((float) height) * f2) / 2.0f;
            float f4 = (((float) width) * f2) / 2.0f;
            if (f < 0.0f) {
                view.setTranslationX(f4 - (f3 / 2.0f));
            } else {
                view.setTranslationX((-f4) + (f3 / 2.0f));
            }
            view.setScaleX(max);
            view.setScaleY(max);
            float f5 = this.mMinAlpha;
            float f6 = this.mMinScale;
            view.setAlpha(f5 + (((max - f6) / (1.0f - f6)) * (1.0f - f5)));
        } else {
            view.setAlpha(0.0f);
        }
    }
}
