package cn.leancloud.callback;

import cn.leancloud.AVException;
import cn.leancloud.internal.ThreadModel;

public abstract class AVCallback<T> {
    private static volatile ThreadModel.MainThreadChecker mainThreadChecker = null;
    private static volatile boolean needCheckMainThread = false;
    private static volatile ThreadModel.ThreadShuttle threadShuttle;

    /* access modifiers changed from: protected */
    public abstract void internalDone0(T t, AVException aVException);

    public static void setMainThreadChecker(ThreadModel.MainThreadChecker mainThreadChecker2, ThreadModel.ThreadShuttle threadShuttle2) {
        if (mainThreadChecker2 == null) {
            needCheckMainThread = false;
            mainThreadChecker = null;
            threadShuttle = null;
            return;
        }
        needCheckMainThread = true;
        mainThreadChecker = mainThreadChecker2;
        threadShuttle = threadShuttle2;
    }

    public void internalDone(final T t, final AVException aVException) {
        if (!needCheckMainThread || mainThreadChecker.isMainThread()) {
            internalDone0(t, aVException);
        } else {
            threadShuttle.launch(new Runnable() {
                /* class cn.leancloud.callback.AVCallback.AnonymousClass1 */

                /* JADX DEBUG: Multi-variable search result rejected for r0v0, resolved type: cn.leancloud.callback.AVCallback */
                /* JADX WARN: Multi-variable type inference failed */
                public void run() {
                    AVCallback.this.internalDone0(t, aVException);
                }
            });
        }
    }

    public void internalDone(AVException aVException) {
        internalDone(null, aVException);
    }
}
