package cn.leancloud.logging;

import cn.leancloud.AVLogger;
import java.util.logging.Level;
import java.util.logging.LogRecord;
import java.util.logging.Logger;

public class SimpleLogger extends InternalLogger {
    private Logger logger = null;

    public SimpleLogger(Logger logger2) {
        if (logger2 != null) {
            this.logger = logger2;
            return;
        }
        throw new IllegalArgumentException("Logger is null.");
    }

    @Override // cn.leancloud.logging.InternalLogger
    public void setLevel(AVLogger.Level level) {
        super.setLevel(level);
        this.logger.setLevel(getNativeLevel(level));
    }

    /* access modifiers changed from: package-private */
    /* renamed from: cn.leancloud.logging.SimpleLogger$1  reason: invalid class name */
    public static /* synthetic */ class AnonymousClass1 {
        static final /* synthetic */ int[] $SwitchMap$cn$leancloud$AVLogger$Level;

        /* JADX WARNING: Can't wrap try/catch for region: R(14:0|1|2|3|4|5|6|7|8|9|10|11|12|14) */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:11:0x003e */
        /* JADX WARNING: Missing exception handler attribute for start block: B:3:0x0012 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:5:0x001d */
        /* JADX WARNING: Missing exception handler attribute for start block: B:7:0x0028 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:9:0x0033 */
        static {
            int[] iArr = new int[AVLogger.Level.values().length];
            $SwitchMap$cn$leancloud$AVLogger$Level = iArr;
            iArr[AVLogger.Level.OFF.ordinal()] = 1;
            $SwitchMap$cn$leancloud$AVLogger$Level[AVLogger.Level.ERROR.ordinal()] = 2;
            $SwitchMap$cn$leancloud$AVLogger$Level[AVLogger.Level.WARNING.ordinal()] = 3;
            $SwitchMap$cn$leancloud$AVLogger$Level[AVLogger.Level.INFO.ordinal()] = 4;
            $SwitchMap$cn$leancloud$AVLogger$Level[AVLogger.Level.DEBUG.ordinal()] = 5;
            try {
                $SwitchMap$cn$leancloud$AVLogger$Level[AVLogger.Level.VERBOSE.ordinal()] = 6;
            } catch (NoSuchFieldError unused) {
            }
        }
    }

    private Level getNativeLevel(AVLogger.Level level) {
        switch (AnonymousClass1.$SwitchMap$cn$leancloud$AVLogger$Level[level.ordinal()]) {
            case 1:
                return Level.OFF;
            case 2:
                return Level.SEVERE;
            case 3:
                return Level.WARNING;
            case 4:
                return Level.INFO;
            case 5:
                return Level.FINE;
            case 6:
                return Level.FINER;
            default:
                return Level.ALL;
        }
    }

    /* access modifiers changed from: protected */
    @Override // cn.leancloud.logging.InternalLogger
    public void internalWriteLog(AVLogger.Level level, String str) {
        Level nativeLevel = getNativeLevel(level);
        Logger logger2 = this.logger;
        logger2.log(nativeLevel, "[Thread-" + Thread.currentThread().getId() + "] " + str);
    }

    /* access modifiers changed from: protected */
    @Override // cn.leancloud.logging.InternalLogger
    public void internalWriteLog(AVLogger.Level level, String str, Throwable th) {
        Level nativeLevel = getNativeLevel(level);
        Logger logger2 = this.logger;
        logger2.log(nativeLevel, "[Thread-" + Thread.currentThread().getId() + "] " + str, th);
    }

    /* access modifiers changed from: protected */
    @Override // cn.leancloud.logging.InternalLogger
    public void internalWriteLog(AVLogger.Level level, Throwable th) {
        LogRecord logRecord = new LogRecord(getNativeLevel(level), "");
        logRecord.setThrown(th);
        this.logger.log(logRecord);
    }
}
