package cn.leancloud.service;

import cn.leancloud.core.AVOSService;
import cn.leancloud.utils.StringUtil;
import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.annotation.JSONType;

@JSONType
public class AppAccessEndpoint {
    @JSONField(name = "api_server")
    private String apiServer;
    @JSONField(name = "engine_server")
    private String engineServer;
    @JSONField(name = "push_server")
    private String pushServer;
    @JSONField(name = "rtm_router_server")
    private String rtmRouterServer;
    @JSONField(name = "stats_server")
    private String statServer;
    @JSONField(name = "ttl")
    private long ttl;

    public long getTtl() {
        return this.ttl;
    }

    public void setTtl(long j) {
        this.ttl = j;
    }

    public String getStatServer() {
        return this.statServer;
    }

    public void setStatServer(String str) {
        this.statServer = str;
    }

    public String getPushServer() {
        return this.pushServer;
    }

    public void setPushServer(String str) {
        this.pushServer = str;
    }

    public String getRtmRouterServer() {
        return this.rtmRouterServer;
    }

    public void setRtmRouterServer(String str) {
        this.rtmRouterServer = str;
    }

    public String getApiServer() {
        return this.apiServer;
    }

    public void setApiServer(String str) {
        this.apiServer = str;
    }

    public String getEngineServer() {
        return this.engineServer;
    }

    public void setEngineServer(String str) {
        this.engineServer = str;
    }

    /* access modifiers changed from: package-private */
    /* renamed from: cn.leancloud.service.AppAccessEndpoint$1  reason: invalid class name */
    public static /* synthetic */ class AnonymousClass1 {
        static final /* synthetic */ int[] $SwitchMap$cn$leancloud$core$AVOSService;

        /* JADX WARNING: Can't wrap try/catch for region: R(12:0|1|2|3|4|5|6|7|8|9|10|12) */
        /* JADX WARNING: Code restructure failed: missing block: B:13:?, code lost:
            return;
         */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:3:0x0012 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:5:0x001d */
        /* JADX WARNING: Missing exception handler attribute for start block: B:7:0x0028 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:9:0x0033 */
        static {
            int[] iArr = new int[AVOSService.values().length];
            $SwitchMap$cn$leancloud$core$AVOSService = iArr;
            iArr[AVOSService.API.ordinal()] = 1;
            $SwitchMap$cn$leancloud$core$AVOSService[AVOSService.ENGINE.ordinal()] = 2;
            $SwitchMap$cn$leancloud$core$AVOSService[AVOSService.PUSH.ordinal()] = 3;
            $SwitchMap$cn$leancloud$core$AVOSService[AVOSService.RTM.ordinal()] = 4;
            $SwitchMap$cn$leancloud$core$AVOSService[AVOSService.STATS.ordinal()] = 5;
        }
    }

    public String getServerHost(AVOSService aVOSService) {
        int i = AnonymousClass1.$SwitchMap$cn$leancloud$core$AVOSService[aVOSService.ordinal()];
        if (i == 1) {
            return getApiServer();
        }
        if (i == 2) {
            return getEngineServer();
        }
        if (i == 3) {
            return getPushServer();
        }
        if (i != 4) {
            return i != 5 ? "" : getStatServer();
        }
        return getRtmRouterServer();
    }

    public boolean hasSpecifiedEndpoint() {
        return !StringUtil.isEmpty(this.apiServer) || !StringUtil.isEmpty(this.engineServer) || !StringUtil.isEmpty(this.pushServer) || !StringUtil.isEmpty(this.rtmRouterServer);
    }

    public void freezeEndpoint(AVOSService aVOSService, String str) {
        int i = AnonymousClass1.$SwitchMap$cn$leancloud$core$AVOSService[aVOSService.ordinal()];
        if (i == 1) {
            setApiServer(str);
        } else if (i == 2) {
            setEngineServer(str);
        } else if (i == 3) {
            setPushServer(str);
        } else if (i == 4) {
            setRtmRouterServer(str);
        } else if (i == 5) {
            setStatServer(str);
        }
    }
}
