package cn.leancloud.upload;

import cn.leancloud.AVException;
import cn.leancloud.AVFile;
import cn.leancloud.AVLogger;
import cn.leancloud.callback.ProgressCallback;
import cn.leancloud.upload.FileUploader;
import cn.leancloud.upload.QiniuAccessor;
import cn.leancloud.utils.LogUtil;
import java.io.InputStream;
import java.util.ArrayList;

/* access modifiers changed from: package-private */
public class QiniuSlicingUploader extends HttpClientUploader {
    private static AVLogger LOGGER = LogUtil.getLogger(QiniuSlicingUploader.class);
    private String fileKey = null;
    private FileUploader.ProgressCalculator progressCalculator;
    private QiniuAccessor qiniuAccessor;
    private final String token;
    private int uploadChunkSize = 262144;

    QiniuSlicingUploader(AVFile aVFile, String str, String str2, ProgressCallback progressCallback) {
        super(aVFile, progressCallback);
        this.token = str;
        this.fileKey = aVFile.getKey();
        this.qiniuAccessor = new QiniuAccessor(getOKHttpClient(), str, this.fileKey, str2);
        AVLogger aVLogger = LOGGER;
        aVLogger.d("Constructor with token=" + str + ", key=" + this.fileKey + ", accessor=" + this.qiniuAccessor);
    }

    /* JADX WARNING: Removed duplicated region for block: B:68:0x01e5 A[SYNTHETIC, Splitter:B:68:0x01e5] */
    /* JADX WARNING: Removed duplicated region for block: B:74:0x01ec A[SYNTHETIC, Splitter:B:74:0x01ec] */
    @Override // cn.leancloud.upload.Uploader
    public AVException execute() {
        InputStream inputStream;
        Throwable th;
        Exception e;
        int i;
        byte[] bArr;
        int i2;
        int i3;
        int i4;
        int i5;
        byte[] bArr2 = new byte[this.uploadChunkSize];
        int size = this.avFile.getSize();
        int i6 = 4194304;
        int i7 = 0;
        int i8 = (size / 4194304) + (size % 4194304 > 0 ? 1 : 0);
        ArrayList arrayList = new ArrayList(i8);
        this.progressCalculator = new FileUploader.ProgressCalculator(i8, new FileUploader.FileUploadProgressCallback() {
            /* class cn.leancloud.upload.QiniuSlicingUploader.AnonymousClass1 */

            @Override // cn.leancloud.upload.FileUploader.FileUploadProgressCallback
            public void onProgress(int i) {
                QiniuSlicingUploader.this.publishProgress(i);
            }
        });
        try {
            InputStream dataStream = this.avFile.getDataStream();
            try {
                LOGGER.d("begin to upload qiniu. chunkSize=" + this.uploadChunkSize + ", blockCount=" + i8 + ", is=" + dataStream);
                int i9 = 0;
                while (true) {
                    int i10 = 6;
                    String str = ") result=";
                    if (i9 < i8) {
                        int i11 = i9 * i6;
                        int i12 = i9 == i8 + -1 ? size - i11 : 4194304;
                        int i13 = this.uploadChunkSize;
                        int i14 = (i12 / i13) + (i12 % i13 > 0 ? 1 : 0);
                        int i15 = 0;
                        QiniuAccessor.QiniuBlockResponseData qiniuBlockResponseData = null;
                        while (i15 < i14) {
                            int i16 = this.uploadChunkSize;
                            int i17 = i15 * i16;
                            if (i15 == i14 - 1) {
                                i16 = i12 - i17;
                            }
                            int read = dataStream.read(bArr2, i7, i16 + 0);
                            int i18 = read + 0;
                            while (read > 0 && i18 < i16) {
                                read = dataStream.read(bArr2, i18, i16 - i18);
                                i18 += read;
                            }
                            if (i15 == 0) {
                                QiniuAccessor.QiniuBlockResponseData createBlockInQiniu = this.qiniuAccessor.createBlockInQiniu(i12, i16, bArr2, i10);
                                i2 = i14;
                                LOGGER.d("createBlockInQiniu(curBlockSize=" + i12 + ", curChunkSize=" + i16 + str + createBlockInQiniu);
                                i = i12;
                                i3 = i8;
                                qiniuBlockResponseData = createBlockInQiniu;
                                i4 = i9;
                                bArr = bArr2;
                                i5 = i11;
                            } else {
                                i2 = i14;
                                i = i12;
                                bArr = bArr2;
                                i5 = i11;
                                i3 = i8;
                                i4 = i9;
                                QiniuAccessor.QiniuBlockResponseData putFileBlocksToQiniu = this.qiniuAccessor.putFileBlocksToQiniu(qiniuBlockResponseData, i11, bArr2, i16, 6);
                                AVLogger aVLogger = LOGGER;
                                StringBuilder sb = new StringBuilder();
                                sb.append("putFileBlocksToQiniu(lastRes=");
                                sb.append(qiniuBlockResponseData);
                                sb.append(", curBlockOffset=");
                                sb.append(i5);
                                sb.append(", curChunkSize=");
                                sb.append(i16);
                                str = str;
                                sb.append(str);
                                sb.append(putFileBlocksToQiniu);
                                aVLogger.d(sb.toString());
                                qiniuBlockResponseData = putFileBlocksToQiniu;
                            }
                            i15++;
                            i11 = i5;
                            i9 = i4;
                            i8 = i3;
                            i14 = i2;
                            bArr2 = bArr;
                            i12 = i;
                            i10 = 6;
                            i7 = 0;
                        }
                        if (qiniuBlockResponseData != null) {
                            arrayList.add(qiniuBlockResponseData.getCtx());
                            this.progressCalculator.publishProgress(i9, 100);
                            LOGGER.d("finished to upload block(" + i9 + "), ctx=" + qiniuBlockResponseData.getCtx());
                            i9++;
                            i8 = i8;
                            bArr2 = bArr2;
                            i6 = 4194304;
                            i7 = 0;
                        } else {
                            AVException aVException = new AVException((int) AVException.FILE_UPLOAD_FAILURE, "failed to upload file to qiniu.");
                            if (dataStream != null) {
                                try {
                                    dataStream.close();
                                } catch (Exception unused) {
                                }
                            }
                            return aVException;
                        }
                    } else {
                        QiniuAccessor.QiniuMKFileResponseData makeFile = this.qiniuAccessor.makeFile(size, arrayList, 6);
                        LOGGER.d("makeFile(fileSize=" + size + str + makeFile);
                        if (makeFile == null || !makeFile.key.equals(this.fileKey)) {
                            AVException aVException2 = new AVException(-1, "upload file failure");
                            if (dataStream != null) {
                                try {
                                    dataStream.close();
                                } catch (Exception unused2) {
                                }
                            }
                            return aVException2;
                        } else if (dataStream == null) {
                            return null;
                        } else {
                            try {
                                dataStream.close();
                                return null;
                            } catch (Exception unused3) {
                                return null;
                            }
                        }
                    }
                }
            } catch (Exception e2) {
                e = e2;
                inputStream = dataStream;
                try {
                    AVException aVException3 = new AVException(e);
                    if (inputStream != null) {
                        try {
                            inputStream.close();
                        } catch (Exception unused4) {
                        }
                    }
                    return aVException3;
                } catch (Throwable th2) {
                    th = th2;
                    if (inputStream != null) {
                    }
                    throw th;
                }
            } catch (Throwable th3) {
                th = th3;
                inputStream = dataStream;
                if (inputStream != null) {
                    try {
                        inputStream.close();
                    } catch (Exception unused5) {
                    }
                }
                throw th;
            }
        } catch (Exception e3) {
            e = e3;
            inputStream = null;
            AVException aVException32 = new AVException(e);
            if (inputStream != null) {
            }
            return aVException32;
        } catch (Throwable th4) {
            th = th4;
            inputStream = null;
            if (inputStream != null) {
            }
            throw th;
        }
    }
}
