package com.umeng.commonsdk.framework;

import android.app.ActivityManager;
import android.content.Context;
import android.content.SharedPreferences;
import android.net.ConnectivityManager;
import android.net.NetworkInfo;
import android.os.Build;
import android.os.Process;
import android.text.TextUtils;
import com.umeng.commonsdk.framework.UMLogDataProtocol;
import com.umeng.commonsdk.proguard.g;
import com.umeng.commonsdk.statistics.common.e;
import com.umeng.commonsdk.statistics.internal.PreferenceWrapper;
import com.umeng.commonsdk.statistics.internal.a;
import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.RandomAccessFile;
import java.nio.MappedByteBuffer;
import java.nio.channels.FileChannel;
import java.util.Arrays;
import java.util.Comparator;
import java.util.List;

/* compiled from: UMFrUtils */
public class b {
    private static final String a = "last_successful_build_time";
    private static Object b = new Object();
    private static String c = "envelope";
    private static String d;
    private static Object e = new Object();

    public static String a(Context context) {
        List<ActivityManager.RunningAppProcessInfo> runningAppProcesses;
        try {
            int myPid = Process.myPid();
            ActivityManager activityManager = (ActivityManager) context.getSystemService("activity");
            if (activityManager == null || (runningAppProcesses = activityManager.getRunningAppProcesses()) == null || runningAppProcesses.size() <= 0) {
                return "";
            }
            for (ActivityManager.RunningAppProcessInfo runningAppProcessInfo : runningAppProcesses) {
                if (runningAppProcessInfo.pid == myPid) {
                    return runningAppProcessInfo.processName;
                }
            }
            return "";
        } catch (Throwable th) {
            com.umeng.commonsdk.proguard.b.a(context.getApplicationContext(), th);
            return "";
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:8:0x0030 A[RETURN, SYNTHETIC] */
    private static boolean a(Context context, String str) {
        if (context == null) {
            return false;
        }
        Context applicationContext = context.getApplicationContext();
        if (Build.VERSION.SDK_INT >= 23) {
            try {
                if (((Integer) Class.forName("android.content.Context").getMethod("checkSelfPermission", String.class).invoke(context, str)).intValue() == 0) {
                    return true;
                }
                return false;
            } catch (Throwable th) {
                com.umeng.commonsdk.proguard.b.a(applicationContext, th);
                return false;
            }
        } else {
            try {
                if (applicationContext.getPackageManager().checkPermission(str, applicationContext.getPackageName()) != 0) {
                    return false;
                }
            } catch (Throwable th2) {
                com.umeng.commonsdk.proguard.b.a(applicationContext, th2);
                return false;
            }
        }
        return true;
    }

    public static boolean b(Context context) {
        ConnectivityManager connectivityManager;
        NetworkInfo activeNetworkInfo;
        try {
            if (!a(context, "android.permission.ACCESS_NETWORK_STATE") || (connectivityManager = (ConnectivityManager) context.getSystemService("connectivity")) == null || (activeNetworkInfo = connectivityManager.getActiveNetworkInfo()) == null) {
                return false;
            }
            return activeNetworkInfo.isConnectedOrConnecting();
        } catch (Throwable th) {
            com.umeng.commonsdk.proguard.b.a(context.getApplicationContext(), th);
            return false;
        }
    }

    public static int c(Context context) {
        String[] list;
        if (context != null) {
            try {
                File file = new File(h(context));
                synchronized (e) {
                    if (file.isDirectory() && (list = file.list()) != null) {
                        return list.length;
                    }
                }
            } catch (Throwable th) {
                com.umeng.commonsdk.proguard.b.a(context, th);
            }
        }
        return 0;
    }

    private static long a(long j, long j2) {
        return (j < j2 ? j2 - j : j - j2) / 86400000;
    }

    public static void d(final Context context) {
        File file = new File(h(context));
        synchronized (e) {
            File[] listFiles = file.listFiles();
            if (listFiles != null) {
                if (listFiles.length > 100) {
                    Arrays.sort(listFiles, new Comparator<File>() {
                        /* class com.umeng.commonsdk.framework.b.AnonymousClass1 */

                        /* renamed from: a */
                        public int compare(File file, File file2) {
                            String name = file.getName();
                            String name2 = file2.getName();
                            String c = b.c(name);
                            String c2 = b.c(name2);
                            if (!TextUtils.isEmpty(c) && !TextUtils.isEmpty(c2)) {
                                try {
                                    int i = ((Long.valueOf(c).longValue() - Long.valueOf(c2).longValue()) > 0 ? 1 : ((Long.valueOf(c).longValue() - Long.valueOf(c2).longValue()) == 0 ? 0 : -1));
                                    if (i > 0) {
                                        return 1;
                                    }
                                    return i == 0 ? 0 : -1;
                                } catch (NumberFormatException e) {
                                    com.umeng.commonsdk.proguard.b.a(context, e);
                                }
                            }
                            return 1;
                        }
                    });
                    if (listFiles.length > 100) {
                        try {
                            e.b("--->>> biger than 10");
                            for (int i = 0; i < listFiles.length - 100; i++) {
                                if (!listFiles[i].delete()) {
                                    e.b("--->>> remove [" + i + "] file fail.");
                                }
                            }
                        } catch (Throwable th) {
                            com.umeng.commonsdk.proguard.b.a(context, th);
                        }
                    }
                }
            }
        }
    }

    /* access modifiers changed from: private */
    public static String c(String str) {
        Context appContext = UMModuleRegister.getAppContext();
        if (!TextUtils.isEmpty(str)) {
            int indexOf = str.indexOf(95) + 1;
            try {
                return str.substring(indexOf, str.indexOf(95, indexOf));
            } catch (IndexOutOfBoundsException e2) {
                com.umeng.commonsdk.proguard.b.a(appContext, e2);
            }
        }
        return "";
    }

    public static File e(final Context context) {
        if (context == null) {
            return null;
        }
        File file = new File(h(context));
        synchronized (e) {
            File[] listFiles = file.listFiles();
            if (listFiles != null) {
                if (listFiles.length != 0) {
                    Arrays.sort(listFiles, new Comparator<File>() {
                        /* class com.umeng.commonsdk.framework.b.AnonymousClass2 */

                        /* renamed from: a */
                        public int compare(File file, File file2) {
                            String name = file.getName();
                            String name2 = file2.getName();
                            String c = b.c(name);
                            String c2 = b.c(name2);
                            if (!TextUtils.isEmpty(c) && !TextUtils.isEmpty(c2)) {
                                try {
                                    int i = ((Long.valueOf(c).longValue() - Long.valueOf(c2).longValue()) > 0 ? 1 : ((Long.valueOf(c).longValue() - Long.valueOf(c2).longValue()) == 0 ? 0 : -1));
                                    if (i > 0) {
                                        return 1;
                                    }
                                    return i == 0 ? 0 : -1;
                                } catch (NumberFormatException e) {
                                    com.umeng.commonsdk.proguard.b.a(context, e);
                                }
                            }
                            return 1;
                        }
                    });
                    return listFiles[0];
                }
            }
            return null;
        }
    }

    public static void f(Context context) {
        if (context != null) {
            try {
                String g = g(context);
                if (!TextUtils.isEmpty(g) && !g.equals(c)) {
                    File file = new File(context.getFilesDir().getAbsolutePath() + "/." + g);
                    if (file.exists()) {
                        File[] listFiles = file.listFiles();
                        if (listFiles == null || listFiles.length == 0) {
                            try {
                                if (file.isDirectory()) {
                                    file.delete();
                                }
                            } catch (Throwable th) {
                                com.umeng.commonsdk.proguard.b.a(context, th);
                            }
                        } else {
                            try {
                                String h = h(context);
                                for (int i = 0; i < listFiles.length; i++) {
                                    File file2 = listFiles[i];
                                    file2.renameTo(new File(h + "/" + listFiles[i].getName()));
                                }
                                if (file.isDirectory()) {
                                    file.delete();
                                }
                            } catch (Throwable th2) {
                                com.umeng.commonsdk.proguard.b.a(context, th2);
                            }
                        }
                    }
                }
            } catch (Throwable th3) {
                com.umeng.commonsdk.proguard.b.a(context, th3);
            }
        }
    }

    public static String g(Context context) {
        ActivityManager activityManager = (ActivityManager) context.getSystemService("activity");
        if (activityManager != null) {
            List<ActivityManager.RunningAppProcessInfo> runningAppProcesses = activityManager.getRunningAppProcesses();
            if (runningAppProcesses == null) {
                e.b("--->>> getEnvelopeDir: can't get process name, use default envelope directory.");
                return c;
            } else if (runningAppProcesses.size() == 0) {
                return c;
            } else {
                try {
                    for (ActivityManager.RunningAppProcessInfo runningAppProcessInfo : runningAppProcesses) {
                        if (runningAppProcessInfo.pid == Process.myPid()) {
                            String replace = runningAppProcessInfo.processName.replace(':', '_');
                            e.b("--->>> getEnvelopeDir: use current process name as envelope directory.");
                            return replace;
                        }
                    }
                } catch (Throwable th) {
                    com.umeng.commonsdk.proguard.b.a(context, th);
                }
            }
        }
        return c;
    }

    public static String h(Context context) {
        String str;
        synchronized (e) {
            try {
                if (d == null) {
                    d = context.getFilesDir().getAbsolutePath() + "/." + c;
                }
                File file = new File(d);
                if (!file.exists() && !file.mkdir()) {
                    e.b("--->>> Create Envelope Directory failed!!!");
                }
            } catch (Throwable th) {
                com.umeng.commonsdk.proguard.b.a(context, th);
            }
            str = d;
        }
        return str;
    }

    public static long i(Context context) {
        long j;
        synchronized (b) {
            j = PreferenceWrapper.getDefault(context).getLong(a, 0);
        }
        return j;
    }

    private static void j(Context context) {
        synchronized (b) {
            SharedPreferences sharedPreferences = PreferenceWrapper.getDefault(context);
            sharedPreferences.edit().putLong(a, System.currentTimeMillis()).commit();
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:26:0x004f A[SYNTHETIC, Splitter:B:26:0x004f] */
    /* JADX WARNING: Removed duplicated region for block: B:33:0x005b A[SYNTHETIC, Splitter:B:33:0x005b] */
    public static int a(Context context, String str, byte[] bArr) {
        Throwable th;
        IOException e2;
        if (bArr == null) {
            return 101;
        }
        File file = new File(h(context) + "/" + str);
        synchronized (e) {
            FileOutputStream fileOutputStream = null;
            try {
                FileOutputStream fileOutputStream2 = new FileOutputStream(file);
                try {
                    fileOutputStream2.write(bArr);
                    fileOutputStream2.close();
                    if (a.a(context).a(str)) {
                        j(context);
                    }
                    return 0;
                } catch (IOException e3) {
                    e2 = e3;
                    fileOutputStream = fileOutputStream2;
                    try {
                        com.umeng.commonsdk.proguard.b.a(context, e2);
                        if (fileOutputStream != null) {
                        }
                        return 101;
                    } catch (Throwable th2) {
                        th = th2;
                        if (fileOutputStream != null) {
                            try {
                                fileOutputStream.close();
                            } catch (Throwable th3) {
                                com.umeng.commonsdk.proguard.b.a(context, th3);
                            }
                        }
                        throw th;
                    }
                } catch (Throwable th4) {
                    th = th4;
                    fileOutputStream = fileOutputStream2;
                    if (fileOutputStream != null) {
                    }
                    throw th;
                }
            } catch (IOException e4) {
                e2 = e4;
                com.umeng.commonsdk.proguard.b.a(context, e2);
                if (fileOutputStream != null) {
                    try {
                        fileOutputStream.close();
                    } catch (Throwable th5) {
                        com.umeng.commonsdk.proguard.b.a(context, th5);
                    }
                }
                return 101;
            }
        }
    }

    public static boolean a(File file) {
        Context appContext = UMModuleRegister.getAppContext();
        synchronized (e) {
            if (file != null) {
                try {
                    if (file.exists()) {
                        return file.delete();
                    }
                } catch (Throwable th) {
                    com.umeng.commonsdk.proguard.b.a(appContext, th);
                }
            }
            return true;
        }
    }

    public static byte[] a(String str) throws IOException {
        byte[] bArr;
        Context appContext = UMModuleRegister.getAppContext();
        synchronized (e) {
            FileChannel fileChannel = null;
            try {
                FileChannel channel = new RandomAccessFile(str, "r").getChannel();
                MappedByteBuffer load = channel.map(FileChannel.MapMode.READ_ONLY, 0, channel.size()).load();
                System.out.println(load.isLoaded());
                bArr = new byte[((int) channel.size())];
                if (load.remaining() > 0) {
                    load.get(bArr, 0, load.remaining());
                }
                try {
                    channel.close();
                } catch (Throwable th) {
                    com.umeng.commonsdk.proguard.b.a(appContext, th);
                }
            } catch (IOException e2) {
                com.umeng.commonsdk.proguard.b.a(appContext, e2);
                throw e2;
            } catch (Throwable th2) {
                com.umeng.commonsdk.proguard.b.a(appContext, th2);
            }
        }
        return bArr;
        throw th;
    }

    public static boolean a(Context context, UMLogDataProtocol.UMBusinessType uMBusinessType) {
        String str = g.al;
        if (uMBusinessType == UMLogDataProtocol.UMBusinessType.U_DPLUS) {
            str = g.am;
        } else if (uMBusinessType == UMLogDataProtocol.UMBusinessType.U_INTERNAL) {
            str = g.aq;
        }
        File file = new File(h(context));
        synchronized (e) {
            try {
                File[] listFiles = file.listFiles();
                if (listFiles != null) {
                    if (listFiles.length != 0) {
                        for (File file2 : listFiles) {
                            if (file2.getName().startsWith(str)) {
                                return true;
                            }
                        }
                        return false;
                    }
                }
                return false;
            } catch (Throwable th) {
                com.umeng.commonsdk.proguard.b.a(context, th);
            }
        }
    }
}
