package com.umeng.commonsdk.stateless;

import android.content.Context;
import android.os.Build;
import android.text.TextUtils;
import android.util.Base64;
import com.umeng.commonsdk.framework.UMEnvelopeBuild;
import com.umeng.commonsdk.proguard.a;
import com.umeng.commonsdk.proguard.b;
import com.umeng.commonsdk.proguard.g;
import com.umeng.commonsdk.proguard.u;
import com.umeng.commonsdk.statistics.SdkVersion;
import com.umeng.commonsdk.statistics.common.DeviceConfig;
import com.umeng.commonsdk.statistics.common.e;
import com.umeng.commonsdk.utils.UMUtils;
import java.util.Iterator;
import org.json.JSONObject;

public class UMSLEnvelopeBuild {
    private static final String TAG = "UMSLEnvelopeBuild";
    private static String cacheSystemheader;
    private static boolean isEncryptEnabled;
    public static Context mContext;
    public static String module;

    /* JADX WARNING: Can't wrap try/catch for region: R(17:49|50|51|(7:53|54|55|(3:57|60|(1:62))|58|60|(0))|63|65|66|(1:68)|69|70|(1:74)|75|(2:77|78)|(3:83|84|85)|88|89|90) */
    /* JADX WARNING: Failed to process nested try/catch */
    /* JADX WARNING: Missing exception handler attribute for start block: B:69:0x0234 */
    /* JADX WARNING: Removed duplicated region for block: B:62:0x021e  */
    public synchronized JSONObject buildSLBaseHeader(Context context) {
        JSONObject jSONObject;
        String str;
        e.a("walle", "[stateless] begin build hader, thread is " + Thread.currentThread());
        if (context == null) {
            return null;
        }
        Context applicationContext = context.getApplicationContext();
        try {
            if (!TextUtils.isEmpty(cacheSystemheader)) {
                try {
                    jSONObject = new JSONObject(cacheSystemheader);
                } catch (Exception unused) {
                    jSONObject = null;
                }
            } else {
                jSONObject = new JSONObject();
                jSONObject.put(g.o, DeviceConfig.getAppMD5Signature(applicationContext));
                jSONObject.put(g.p, DeviceConfig.getAppSHA1Key(applicationContext));
                jSONObject.put(g.q, DeviceConfig.getAppHashKey(applicationContext));
                jSONObject.put("app_version", DeviceConfig.getAppVersionName(applicationContext));
                jSONObject.put("version_code", Integer.parseInt(DeviceConfig.getAppVersionCode(applicationContext)));
                jSONObject.put(g.u, DeviceConfig.getDeviceIdUmengMD5(applicationContext));
                jSONObject.put(g.v, DeviceConfig.getCPU());
                String mccmnc = DeviceConfig.getMCCMNC(applicationContext);
                if (!TextUtils.isEmpty(mccmnc)) {
                    jSONObject.put(g.A, mccmnc);
                } else {
                    jSONObject.put(g.A, "");
                }
                String subOSName = DeviceConfig.getSubOSName(applicationContext);
                if (!TextUtils.isEmpty(subOSName)) {
                    jSONObject.put(g.J, subOSName);
                }
                String subOSVersion = DeviceConfig.getSubOSVersion(applicationContext);
                if (!TextUtils.isEmpty(subOSVersion)) {
                    jSONObject.put(g.K, subOSVersion);
                }
                String deviceType = DeviceConfig.getDeviceType(applicationContext);
                if (!TextUtils.isEmpty(deviceType)) {
                    jSONObject.put(g.af, deviceType);
                }
                jSONObject.put(g.n, DeviceConfig.getPackageName(applicationContext));
                jSONObject.put(g.t, "Android");
                jSONObject.put("device_id", DeviceConfig.getDeviceId(applicationContext));
                jSONObject.put("device_model", Build.MODEL);
                jSONObject.put(g.D, Build.BOARD);
                jSONObject.put(g.E, Build.BRAND);
                jSONObject.put(g.F, Build.TIME);
                jSONObject.put(g.G, Build.MANUFACTURER);
                jSONObject.put(g.H, Build.ID);
                jSONObject.put(g.I, Build.DEVICE);
                jSONObject.put(g.w, "Android");
                jSONObject.put(g.x, Build.VERSION.RELEASE);
                int[] resolutionArray = DeviceConfig.getResolutionArray(applicationContext);
                if (resolutionArray != null) {
                    jSONObject.put(g.y, resolutionArray[1] + "*" + resolutionArray[0]);
                }
                jSONObject.put(g.z, DeviceConfig.getMac(applicationContext));
                jSONObject.put(g.L, DeviceConfig.getTimeZone(applicationContext));
                String[] localeInfo = DeviceConfig.getLocaleInfo(applicationContext);
                jSONObject.put(g.N, localeInfo[0]);
                jSONObject.put(g.M, localeInfo[1]);
                jSONObject.put(g.O, DeviceConfig.getNetworkOperatorName(applicationContext));
                jSONObject.put(g.r, DeviceConfig.getAppName(applicationContext));
                String[] networkAccessMode = DeviceConfig.getNetworkAccessMode(applicationContext);
                if ("Wi-Fi".equals(networkAccessMode[0])) {
                    jSONObject.put(g.P, "wifi");
                } else if ("2G/3G".equals(networkAccessMode[0])) {
                    jSONObject.put(g.P, "2G/3G");
                } else {
                    jSONObject.put(g.P, "unknow");
                }
                if (!"".equals(networkAccessMode[1])) {
                    jSONObject.put(g.Q, networkAccessMode[1]);
                }
                jSONObject.put(g.b, SdkVersion.SDK_VERSION);
                jSONObject.put(g.c, SdkVersion.SDK_TYPE);
                if (!TextUtils.isEmpty(module)) {
                    jSONObject.put(g.d, module);
                }
                cacheSystemheader = jSONObject.toString();
            }
            if (jSONObject == null) {
                return null;
            }
            jSONObject.put("channel", UMUtils.getChannel(applicationContext));
            jSONObject.put("appkey", UMUtils.getAppkey(applicationContext));
            try {
                if (SdkVersion.SDK_TYPE != 1) {
                    try {
                        Class<?> cls = Class.forName("com.umeng.commonsdk.internal.utils.SDStorageAgent");
                        if (cls != null) {
                            str = (String) cls.getMethod("getUmtt", Context.class).invoke(cls, applicationContext);
                            if (!TextUtils.isEmpty(str)) {
                                jSONObject.put(g.e, str);
                            }
                        }
                    } catch (ClassNotFoundException unused2) {
                    }
                    str = null;
                    if (!TextUtils.isEmpty(str)) {
                    }
                }
            } catch (Exception unused3) {
            }
            String imprintProperty = UMEnvelopeBuild.imprintProperty(applicationContext, g.f, null);
            if (!TextUtils.isEmpty(imprintProperty)) {
                jSONObject.put(g.f, imprintProperty);
            }
            if (!(SdkVersion.SDK_TYPE == 1 || a.b(applicationContext) == null)) {
                jSONObject.put(g.g, a.b(applicationContext));
            }
            try {
                jSONObject.put("wrapper_type", a.a);
                jSONObject.put("wrapper_version", a.b);
            } catch (Exception unused4) {
            }
            if (jSONObject != null && jSONObject.length() > 0) {
                JSONObject jSONObject2 = new JSONObject();
                e.a("walle", "[stateless] build header end , header is " + jSONObject.toString() + ", thread is " + Thread.currentThread());
                return jSONObject2.put("header", jSONObject);
            }
            e.a("walle", "[stateless] build header end , header is null !!! thread is " + Thread.currentThread());
            return null;
        } catch (Throwable th) {
            b.a(applicationContext, th);
        }
    }

    private synchronized JSONObject makeErrorResult(int i, JSONObject jSONObject) {
        if (jSONObject != null) {
            try {
                jSONObject.put(com.umeng.analytics.pro.b.ao, i);
            } catch (Exception unused) {
            }
            return jSONObject;
        }
        JSONObject jSONObject2 = new JSONObject();
        try {
            jSONObject2.put(com.umeng.analytics.pro.b.ao, i);
        } catch (Exception unused2) {
        }
        return jSONObject2;
    }

    public synchronized JSONObject buildSLEnvelope(Context context, JSONObject jSONObject, JSONObject jSONObject2, String str) {
        c cVar;
        String str2;
        e.a("walle", "[stateless] build envelope, heade is " + jSONObject.toString());
        e.a("walle", "[stateless] build envelope, body is " + jSONObject2.toString());
        e.a("walle", "[stateless] build envelope, thread is " + Thread.currentThread());
        if (context == null || jSONObject == null || jSONObject2 == null || str == null) {
            e.a("walle", "[stateless] build envelope, context is null or header is null or body is null");
            return makeErrorResult(110, null);
        }
        try {
            Context applicationContext = context.getApplicationContext();
            if (!(jSONObject == null || jSONObject2 == null)) {
                Iterator<String> keys = jSONObject2.keys();
                while (keys.hasNext()) {
                    String next = keys.next();
                    if (!(next == null || !(next instanceof String) || (str2 = next) == null || jSONObject2.opt(str2) == null)) {
                        try {
                            jSONObject.put(str2, jSONObject2.opt(str2));
                        } catch (Exception unused) {
                        }
                    }
                }
            }
            if (jSONObject != null) {
                try {
                    com.umeng.commonsdk.statistics.idtracking.e a = com.umeng.commonsdk.statistics.idtracking.e.a(applicationContext);
                    if (a != null) {
                        a.a();
                        String encodeToString = Base64.encodeToString(new u().a(a.b()), 0);
                        if (!TextUtils.isEmpty(encodeToString)) {
                            JSONObject jSONObject3 = jSONObject.getJSONObject("header");
                            jSONObject3.put(g.V, encodeToString);
                            jSONObject.put("header", jSONObject3);
                        }
                    }
                } catch (Exception unused2) {
                }
            }
            if (jSONObject == null || !f.a((long) jSONObject.toString().getBytes().length, a.c)) {
                e.a("walle", "[stateless] build envelope, json size is " + jSONObject.toString().getBytes().length);
                if (jSONObject != null) {
                    cVar = constructEnvelope(applicationContext, jSONObject.toString().getBytes());
                    if (cVar == null) {
                        e.a("walle", "[stateless] build envelope, envelope is null !!!!");
                        return makeErrorResult(111, jSONObject);
                    }
                } else {
                    cVar = null;
                }
                if (cVar == null || !f.a((long) cVar.b().length, a.d)) {
                    if (!f.a(applicationContext, Base64.encodeToString(str.getBytes(), 0), Base64.encodeToString((str + "_" + System.currentTimeMillis()).getBytes(), 0), cVar.b())) {
                        e.a("walle", "[stateless] build envelope, save fail ----->>>>>");
                        return makeErrorResult(101, jSONObject);
                    }
                    e.a("walle", "[stateless] build envelope, save ok ----->>>>>");
                    e.a("walle", "[stateless] envelope file size is " + jSONObject.toString().getBytes().length);
                    new d(applicationContext);
                    d.b(d.a);
                    e.a("walle", "[stateless] build envelope end, thread is " + Thread.currentThread());
                    return jSONObject;
                }
                e.a("walle", "[stateless] build envelope, envelope overstep!!!! size is " + cVar.b().length);
                return makeErrorResult(114, jSONObject);
            }
            e.a("walle", "[stateless] build envelope, json overstep!!!! size is " + jSONObject.toString().getBytes().length);
            return makeErrorResult(113, jSONObject);
        } catch (Throwable th) {
            b.a(context, th);
            e.a("walle", "build envelope end, thread is " + Thread.currentThread());
            return makeErrorResult(110, null);
        }
    }

    private synchronized c constructEnvelope(Context context, byte[] bArr) {
        c cVar;
        int i = -1;
        String imprintProperty = UMEnvelopeBuild.imprintProperty(context, "slcodex", null);
        e.a("walle", "[stateless] build envelope, codexStr is " + imprintProperty);
        try {
            if (!TextUtils.isEmpty(imprintProperty)) {
                i = Integer.valueOf(imprintProperty).intValue();
            }
        } catch (NumberFormatException e) {
            b.a(context, e);
        }
        if (i == 0) {
            e.a("walle", "[stateless] build envelope, codexValue is 0");
            cVar = c.a(context, UMUtils.getAppkey(context), bArr);
        } else if (i == 1) {
            e.a("walle", "[stateless] build envelope, codexValue is 1");
            cVar = c.b(context, UMUtils.getAppkey(context), bArr);
        } else if (isEncryptEnabled) {
            e.a("walle", "[stateless] build envelope, isEncryptEnabled is true");
            cVar = c.b(context, UMUtils.getAppkey(context), bArr);
        } else {
            e.a("walle", "[stateless] build envelope, isEncryptEnabled is false");
            cVar = c.a(context, UMUtils.getAppkey(context), bArr);
        }
        return cVar;
    }

    public static void setEncryptEnabled(boolean z) {
        isEncryptEnabled = z;
    }
}
