package com.umeng.commonsdk.stateless;

import android.content.Context;
import android.net.ConnectivityManager;
import android.net.NetworkInfo;
import android.text.TextUtils;
import com.umeng.commonsdk.debug.UMRTLog;
import com.umeng.commonsdk.framework.UMEnvelopeBuild;
import com.umeng.commonsdk.statistics.SdkVersion;
import com.umeng.commonsdk.statistics.b;
import com.umeng.commonsdk.statistics.common.DataHelper;
import com.umeng.commonsdk.statistics.common.DeviceConfig;
import com.umeng.commonsdk.statistics.common.MLog;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.net.HttpURLConnection;
import java.net.InetSocketAddress;
import java.net.Proxy;
import java.net.URL;
import java.security.SecureRandom;
import javax.net.ssl.HttpsURLConnection;
import javax.net.ssl.SSLContext;
import javax.net.ssl.SSLHandshakeException;
import org.apache.http.conn.ssl.SSLSocketFactory;

/* compiled from: UMSLNetWorkSenderHelper */
public class e {
    private String a = "10.0.0.172";
    private int b = 80;
    private Context c;

    public e(Context context) {
        this.c = context;
    }

    private void a() {
        String imprintProperty = UMEnvelopeBuild.imprintProperty(this.c, "sl_domain_p", "");
        if (!TextUtils.isEmpty(imprintProperty)) {
            a.g = DataHelper.assembleStatelessURL(imprintProperty);
        }
    }

    private void b() {
        String imprintProperty = UMEnvelopeBuild.imprintProperty(this.c, "sl_domain_p", "");
        String imprintProperty2 = UMEnvelopeBuild.imprintProperty(this.c, "oversea_sl_domain_p", "");
        if (!TextUtils.isEmpty(imprintProperty)) {
            a.f = DataHelper.assembleStatelessURL(imprintProperty);
        }
        if (!TextUtils.isEmpty(imprintProperty2)) {
            a.h = DataHelper.assembleStatelessURL(imprintProperty2);
        }
        a.g = a.h;
        if (TextUtils.isEmpty(b.b)) {
            return;
        }
        if (b.b.startsWith("460") || b.b.startsWith("461")) {
            a.g = a.f;
        }
    }

    private boolean c() {
        NetworkInfo activeNetworkInfo;
        String extraInfo;
        Context context = this.c;
        if (context == null || context.getPackageManager().checkPermission("android.permission.ACCESS_NETWORK_STATE", this.c.getPackageName()) != 0) {
            return false;
        }
        try {
            ConnectivityManager connectivityManager = (ConnectivityManager) this.c.getSystemService("connectivity");
            if (!DeviceConfig.checkPermission(this.c, "android.permission.ACCESS_NETWORK_STATE") || (activeNetworkInfo = connectivityManager.getActiveNetworkInfo()) == null || activeNetworkInfo.getType() == 1 || (extraInfo = activeNetworkInfo.getExtraInfo()) == null || (!extraInfo.equals("cmwap") && !extraInfo.equals("3gwap") && !extraInfo.equals("uniwap"))) {
                return false;
            }
            return true;
        } catch (Throwable th) {
            com.umeng.commonsdk.proguard.b.a(this.c, th);
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:37:0x010d A[SYNTHETIC, Splitter:B:37:0x010d] */
    /* JADX WARNING: Removed duplicated region for block: B:41:0x0114  */
    /* JADX WARNING: Removed duplicated region for block: B:46:0x0122 A[SYNTHETIC, Splitter:B:46:0x0122] */
    /* JADX WARNING: Removed duplicated region for block: B:50:0x0129  */
    public boolean a(byte[] bArr, String str) {
        SSLHandshakeException e;
        HttpsURLConnection httpsURLConnection;
        InputStream inputStream;
        Throwable th;
        boolean z = false;
        if (bArr == null || str == null) {
            com.umeng.commonsdk.statistics.common.e.a("walle", "[stateless] sendMessage, envelopeByte == null || path == null ");
            return false;
        }
        if (SdkVersion.SDK_TYPE == 0) {
            a();
        } else {
            a.f = a.h;
            b();
        }
        OutputStream outputStream = null;
        try {
            if (c()) {
                httpsURLConnection = (HttpsURLConnection) new URL(a.g + "/" + str).openConnection(new Proxy(Proxy.Type.HTTP, new InetSocketAddress(this.a, this.b)));
            } else {
                httpsURLConnection = (HttpsURLConnection) new URL(a.g + "/" + str).openConnection();
            }
            try {
                httpsURLConnection.setHostnameVerifier(SSLSocketFactory.STRICT_HOSTNAME_VERIFIER);
                SSLContext instance = SSLContext.getInstance("TLS");
                instance.init(null, null, new SecureRandom());
                HttpsURLConnection.setDefaultSSLSocketFactory(instance.getSocketFactory());
                httpsURLConnection.setRequestProperty("X-Umeng-UTC", String.valueOf(System.currentTimeMillis()));
                httpsURLConnection.setRequestProperty("Msg-Type", "envelope/json");
                httpsURLConnection.setConnectTimeout(30000);
                httpsURLConnection.setReadTimeout(30000);
                httpsURLConnection.setRequestMethod("POST");
                httpsURLConnection.setDoOutput(true);
                httpsURLConnection.setDoInput(true);
                httpsURLConnection.setUseCaches(false);
                OutputStream outputStream2 = httpsURLConnection.getOutputStream();
                outputStream2.write(bArr);
                outputStream2.flush();
                httpsURLConnection.connect();
                if (httpsURLConnection.getResponseCode() == 200) {
                    UMRTLog.i(UMRTLog.RTLOG_TAG, "--->>> send stateless message success : " + a.g + "/" + str);
                    z = true;
                }
                if (outputStream2 != null) {
                    try {
                        outputStream2.close();
                    } catch (Exception unused) {
                    }
                }
                if (httpsURLConnection != null) {
                    try {
                        inputStream = httpsURLConnection.getInputStream();
                        inputStream.close();
                    } catch (IOException unused2) {
                    }
                    httpsURLConnection.disconnect();
                }
            } catch (SSLHandshakeException e2) {
                e = e2;
                MLog.e("SSLHandshakeException, Failed to send message.", e);
                if (0 != 0) {
                }
                if (httpsURLConnection != null) {
                }
                return z;
            } catch (Throwable th2) {
                th = th2;
                try {
                    MLog.e("Exception,Failed to send message.", th);
                    com.umeng.commonsdk.proguard.b.a(this.c, th);
                    if (0 != 0) {
                    }
                    if (httpsURLConnection != null) {
                    }
                    return z;
                } catch (Throwable th3) {
                    if (0 != 0) {
                        try {
                            outputStream.close();
                        } catch (Exception unused3) {
                        }
                    }
                    if (httpsURLConnection != null) {
                        try {
                            httpsURLConnection.getInputStream().close();
                        } catch (IOException unused4) {
                        }
                        httpsURLConnection.disconnect();
                    }
                    throw th3;
                }
            }
        } catch (SSLHandshakeException e3) {
            e = e3;
            httpsURLConnection = null;
            MLog.e("SSLHandshakeException, Failed to send message.", e);
            if (0 != 0) {
                try {
                    outputStream.close();
                } catch (Exception unused5) {
                }
            }
            if (httpsURLConnection != null) {
                inputStream = httpsURLConnection.getInputStream();
                inputStream.close();
                httpsURLConnection.disconnect();
            }
            return z;
        } catch (Throwable th4) {
            th = th4;
            httpsURLConnection = null;
            MLog.e("Exception,Failed to send message.", th);
            com.umeng.commonsdk.proguard.b.a(this.c, th);
            if (0 != 0) {
                try {
                    outputStream.close();
                } catch (Exception unused6) {
                }
            }
            if (httpsURLConnection != null) {
                inputStream = httpsURLConnection.getInputStream();
                inputStream.close();
                httpsURLConnection.disconnect();
            }
            return z;
        }
        return z;
    }

    /* JADX WARNING: Code restructure failed: missing block: B:20:0x00a7, code lost:
        if (r10 == null) goto L_0x00c0;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:21:0x00a9, code lost:
        r10.disconnect();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:31:0x00bd, code lost:
        if (r10 != null) goto L_0x00a9;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:32:0x00c0, code lost:
        return r0;
     */
    /* JADX WARNING: Removed duplicated region for block: B:28:0x00b8 A[SYNTHETIC, Splitter:B:28:0x00b8] */
    public boolean b(byte[] bArr, String str) {
        HttpURLConnection httpURLConnection;
        Throwable th;
        boolean z = false;
        if (bArr == null || str == null) {
            return false;
        }
        OutputStream outputStream = null;
        try {
            if (c()) {
                httpURLConnection = (HttpURLConnection) new URL(a.g + "/" + str).openConnection(new Proxy(Proxy.Type.HTTP, new InetSocketAddress(this.a, this.b)));
            } else {
                httpURLConnection = (HttpURLConnection) new URL(a.g + "/" + str).openConnection();
            }
            try {
                httpURLConnection.setRequestProperty("X-Umeng-UTC", String.valueOf(System.currentTimeMillis()));
                httpURLConnection.setRequestProperty("Msg-Type", "envelope/json");
                httpURLConnection.setConnectTimeout(30000);
                httpURLConnection.setReadTimeout(30000);
                httpURLConnection.setRequestMethod("POST");
                httpURLConnection.setDoOutput(true);
                httpURLConnection.setDoInput(true);
                httpURLConnection.setUseCaches(false);
                outputStream = httpURLConnection.getOutputStream();
                outputStream.write(bArr);
                outputStream.flush();
                httpURLConnection.connect();
                if (httpURLConnection.getResponseCode() == 200) {
                    z = true;
                }
                if (outputStream != null) {
                    try {
                        outputStream.close();
                    } catch (Exception unused) {
                    }
                }
            } catch (Throwable th2) {
                th = th2;
                try {
                    com.umeng.commonsdk.proguard.b.a(this.c, th);
                    if (outputStream != null) {
                        try {
                            outputStream.close();
                        } catch (Exception unused2) {
                        }
                    }
                } catch (Throwable th3) {
                    if (outputStream != null) {
                        try {
                            outputStream.close();
                        } catch (Exception unused3) {
                        }
                    }
                    if (httpURLConnection != null) {
                        httpURLConnection.disconnect();
                    }
                    throw th3;
                }
            }
        } catch (Throwable th4) {
            th = th4;
            httpURLConnection = null;
            com.umeng.commonsdk.proguard.b.a(this.c, th);
            if (outputStream != null) {
            }
        }
    }
}
